import { Asset, Context, Namespace, SetAssetDocumentsParams } from "../../../internal";
import { AssetDocument, PaginationOptions, ProcedureMethod, ResultSet } from "../../../types";
/**
 * Handles all Asset Document related functionality
 */
export declare class Documents extends Namespace<Asset> {
    /**
     * @hidden
     */
    constructor(parent: Asset, context: Context);
    /**
     * Assign a new list of documents to the Asset by replacing the existing list of documents with the ones passed in the parameters
     *
     * This requires two transactions
     */
    set: ProcedureMethod<SetAssetDocumentsParams, Asset>;
    /**
     * Retrieve all documents linked to the Asset
     *
     * @note supports pagination
     */
    get(paginationOpts?: PaginationOptions): Promise<ResultSet<AssetDocument>>;
}
//# sourceMappingURL=Documents.d.ts.map