import BigNumber from 'bignumber.js';
import { Asset, Context, Namespace } from "../../../internal";
import { ProcedureMethod } from "../../../types";
/**
 * Handles all Asset Issuance related functionality
 */
export declare class Issuance extends Namespace<Asset> {
    /**
     * @hidden
     */
    constructor(parent: Asset, context: Context);
    /**
     * Issue a certain amount of Asset tokens to the caller's default portfolio
     *
     * @param args.amount - amount of Asset tokens to be issued
     */
    issue: ProcedureMethod<{
        amount: BigNumber;
    }, Asset>;
}
//# sourceMappingURL=Issuance.d.ts.map