import BigNumber from 'bignumber.js';
import { AuthorizationRequest, Authorizations, Identity } from "../../../internal";
import { PaginationOptions, ResultSet } from "../../../types";
/**
 * Handles all Identity Authorization related functionality
 */
export declare class IdentityAuthorizations extends Authorizations<Identity> {
    /**
     * Fetch all pending authorization requests issued by this Identity
     *
     * @note supports pagination
     */
    getSent(paginationOpts?: PaginationOptions): Promise<ResultSet<AuthorizationRequest>>;
    /**
     * Retrieve a single Authorization Request targeting or issued by this Identity by its ID
     *
     * @throws if there is no Authorization Request with the passed ID targeting or issued by this Identity
     */
    getOne(args: {
        id: BigNumber;
    }): Promise<AuthorizationRequest>;
}
//# sourceMappingURL=IdentityAuthorizations.d.ts.map