import BigNumber from 'bignumber.js';
import { Asset, Context, Entity } from "../../internal";
import { GroupPermissions, PermissionGroupType } from "../../types";
export interface UniqueIdentifiers {
    ticker: string;
    id?: BigNumber;
    type?: PermissionGroupType;
}
/**
 * Represents a group of permissions for an Asset
 */
export declare abstract class PermissionGroup extends Entity<UniqueIdentifiers, unknown> {
    /**
     * Asset for which this group specifies permissions
     */
    asset: Asset;
    /**
     * @hidden
     */
    constructor(identifiers: UniqueIdentifiers, context: Context);
    /**
     * Retrieve the Permissions associated with this Permission Group
     */
    abstract getPermissions(): Promise<GroupPermissions>;
}
//# sourceMappingURL=PermissionGroup.d.ts.map