import { Procedure, TickerReservation } from "../../internal";
export interface ClaimClassicTickerParams {
    /**
     * signature generated by signing a message formed by the DID (hex without the leading 0x),
     *   prefixed by `classic_claim`. Example: if the DID is `0x1230000000000000000000000000000000000000000000000000000000000000`,
     *   the message would be `classic_claim1230000000000000000000000000000000000000000000000000000000000000`
     */
    ethereumSignature: string;
    /**
     * ticker symbol to claim
     */
    ticker: string;
}
/**
 * @hidden
 */
export declare function prepareClaimClassicTicker(this: Procedure<ClaimClassicTickerParams, TickerReservation>, args: ClaimClassicTickerParams): Promise<TickerReservation>;
/**
 * @hidden
 */
export declare const claimClassicTicker: () => Procedure<ClaimClassicTickerParams, TickerReservation>;
//# sourceMappingURL=claimClassicTicker.d.ts.map