import BigNumber from 'bignumber.js';
import { Procedure } from "../../internal";
import { PortfolioLike } from "../../types";
import { ProcedureAuthorization } from "../../types/internal";
export interface ControllerTransferParams {
    /**
     * portfolio (or portfolio ID) from which Assets will be transferred
     */
    originPortfolio: PortfolioLike;
    /**
     * amount of Asset tokens to transfer
     */
    amount: BigNumber;
}
/**
 * @hidden
 */
export declare type Params = {
    ticker: string;
} & ControllerTransferParams;
/**
 * @hidden
 */
export declare function prepareControllerTransfer(this: Procedure<Params, void>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, void>, { ticker }: Params): Promise<ProcedureAuthorization>;
/**
 * @hidden
 */
export declare const controllerTransfer: () => Procedure<Params, void>;
//# sourceMappingURL=controllerTransfer.d.ts.map