import BigNumber from 'bignumber.js';
import { Asset, Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export interface IssueTokensParams {
    amount: BigNumber;
    ticker: string;
}
export interface Storage {
    asset: Asset;
}
/**
 * @hidden
 */
export declare function prepareIssueTokens(this: Procedure<IssueTokensParams, Asset, Storage>, args: IssueTokensParams): Promise<Asset>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<IssueTokensParams, Asset, Storage>): ProcedureAuthorization;
/**
 * @hidden
 */
export declare function prepareStorage(this: Procedure<IssueTokensParams, Asset, Storage>, { ticker }: IssueTokensParams): Storage;
/**
 * @hidden
 */
export declare const issueTokens: () => Procedure<IssueTokensParams, Asset, Storage>;
//# sourceMappingURL=issueTokens.d.ts.map