import BigNumber from 'bignumber.js';
import { Procedure } from "../../internal";
import { AssetDocument } from "../../types";
import { ProcedureAuthorization } from "../../types/internal";
export interface LinkCaDocsParams {
    /**
     * list of documents
     */
    documents: AssetDocument[];
}
/**
 * @hidden
 */
export declare type Params = LinkCaDocsParams & {
    id: BigNumber;
    ticker: string;
};
/**
 * @hidden
 */
export declare function prepareLinkCaDocs(this: Procedure<Params, void>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, void>, { ticker }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const linkCaDocs: () => Procedure<Params, void>;
//# sourceMappingURL=linkCaDocs.d.ts.map