import BigNumber from 'bignumber.js';
import { Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export declare type ModifyOfferingTimesParams = {
    /**
     * new start time (optional, will be left the same if not passed)
     */
    start?: Date;
    /**
     * new end time (optional, will be left th same if not passed). A null value means the Offering doesn't end
     */
    end: Date | null;
} | {
    start: Date;
    end?: Date | null;
} | {
    start: Date;
    end: Date | null;
};
/**
 * @hidden
 */
export declare type Params = ModifyOfferingTimesParams & {
    id: BigNumber;
    ticker: string;
};
/**
 * @hidden
 */
export declare function prepareModifyOfferingTimes(this: Procedure<Params, void>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, void>, { ticker }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const modifyOfferingTimes: () => Procedure<Params, void>;
//# sourceMappingURL=modifyOfferingTimes.d.ts.map