import { Procedure, Venue } from "../../internal";
import { VenueType } from "../../types";
import { ProcedureAuthorization } from "../../types/internal";
export declare type ModifyVenueParams = {
    description?: string;
    type: VenueType;
} | {
    description: string;
    type?: VenueType;
} | {
    description: string;
    type: VenueType;
};
/**
 * @hidden
 */
export declare type Params = {
    venue: Venue;
} & ModifyVenueParams;
/**
 * @hidden
 */
export declare function prepareModifyVenue(this: Procedure<Params, void>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, void>, { venue: { id: venueId }, description, type }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const modifyVenue: () => Procedure<Params, void>;
//# sourceMappingURL=modifyVenue.d.ts.map