import BigNumber from 'bignumber.js';
import { Asset, Procedure } from "../../internal";
import { Requirement } from "../../types";
import { ProcedureAuthorization } from "../../types/internal";
export interface RemoveAssetRequirementParams {
    requirement: BigNumber | Requirement;
}
/**
 * @hidden
 */
export declare type Params = RemoveAssetRequirementParams & {
    ticker: string;
};
/**
 * @hidden
 */
export declare function prepareRemoveAssetRequirement(this: Procedure<Params, Asset>, args: Params): Promise<Asset>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, Asset>, { ticker }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const removeAssetRequirement: () => Procedure<Params, Asset>;
//# sourceMappingURL=removeAssetRequirement.d.ts.map