import BigNumber from 'bignumber.js';
import { CheckpointSchedule, Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export interface RemoveCheckpointScheduleParams {
    /**
     * schedule (or ID) of the schedule to be removed
     */
    schedule: CheckpointSchedule | BigNumber;
}
/**
 * @hidden
 */
export declare type Params = RemoveCheckpointScheduleParams & {
    ticker: string;
};
/**
 * @hidden
 */
export declare function prepareRemoveCheckpointSchedule(this: Procedure<Params, void>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, void>, { ticker }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const removeCheckpointSchedule: () => Procedure<Params, void>;
//# sourceMappingURL=removeCheckpointSchedule.d.ts.map