import { Asset, Identity, Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export interface RemoveExternalAgentParams {
    target: string | Identity;
}
/**
 * @hidden
 */
export declare type Params = RemoveExternalAgentParams & {
    ticker: string;
};
/**
 * @hidden
 */
export interface Storage {
    asset: Asset;
}
/**
 * @hidden
 */
export declare function prepareRemoveExternalAgent(this: Procedure<Params, void, Storage>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, void, Storage>): ProcedureAuthorization;
/**
 * @hidden
 */
export declare function prepareStorage(this: Procedure<Params, void, Storage>, { ticker }: Params): Storage;
/**
 * @hidden
 */
export declare const removeExternalAgent: () => Procedure<Params, void, Storage>;
//# sourceMappingURL=removeExternalAgent.d.ts.map