import BigNumber from 'bignumber.js';
import { AuthorizationRequest, Identity, PostTransactionValue, Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export interface SetCustodianParams {
    targetIdentity: string | Identity;
    expiry?: Date;
}
/**
 * @hidden
 */
export declare type Params = {
    did: string;
    id?: BigNumber;
} & SetCustodianParams;
/**
 * @hidden
 */
export declare function prepareSetCustodian(this: Procedure<Params, AuthorizationRequest>, args: Params): Promise<PostTransactionValue<AuthorizationRequest>>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, AuthorizationRequest>, { did, id }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const setCustodian: () => Procedure<Params, AuthorizationRequest>;
//# sourceMappingURL=setCustodian.d.ts.map