import { CustomPermissionGroup, Procedure } from "../../internal";
import { TransactionPermissions, TxGroup } from "../../types";
import { ProcedureAuthorization } from "../../types/internal";
export interface SetGroupPermissionsParams {
    permissions: {
        transactions: TransactionPermissions;
    } | {
        transactionGroups: TxGroup[];
    };
}
/**
 * @hidden
 */
export declare type Params = {
    group: CustomPermissionGroup;
} & SetGroupPermissionsParams;
/**
 * @hidden
 */
export declare function prepareSetGroupPermissions(this: Procedure<Params, void>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params>, { group: { asset } }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const setGroupPermissions: () => Procedure<Params, void>;
//# sourceMappingURL=setGroupPermissions.d.ts.map