import BigNumber from 'bignumber.js';
import { Account, AuthorizationRequest, PostTransactionValue, Procedure } from "../../internal";
export interface SubsidizeAccountParams {
    /**
     * Account to subsidize
     */
    beneficiary: string | Account;
    /**
     * amount of POLYX to be subsidized. This can be increased/decreased later on
     */
    allowance: BigNumber;
}
/**
 * @hidden
 */
export declare function prepareSubsidizeAccount(this: Procedure<SubsidizeAccountParams, AuthorizationRequest>, args: SubsidizeAccountParams): Promise<PostTransactionValue<AuthorizationRequest>>;
/**
 * @hidden
 */
export declare const subsidizeAccount: () => Procedure<SubsidizeAccountParams, AuthorizationRequest>;
//# sourceMappingURL=subsidizeAccount.d.ts.map