import { AuthorizationRequest, Identity, PostTransactionValue, Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export interface TransferAssetOwnershipParams {
    target: string | Identity;
    /**
     * date at which the authorization request for transfer expires (optional)
     */
    expiry?: Date;
}
/**
 * @hidden
 */
export declare type Params = {
    ticker: string;
} & TransferAssetOwnershipParams;
/**
 * @hidden
 */
export declare function prepareTransferAssetOwnership(this: Procedure<Params, AuthorizationRequest>, args: Params): Promise<PostTransactionValue<AuthorizationRequest>>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, AuthorizationRequest>, { ticker }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const transferAssetOwnership: () => Procedure<Params, AuthorizationRequest>;
//# sourceMappingURL=transferAssetOwnership.d.ts.map