import BigNumber from 'bignumber.js';
import { Account, Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export interface TransferPolyxParams {
    /**
     * Account that will receive the POLYX
     */
    to: string | Account;
    /**
     * amount of POLYX to be transferred
     */
    amount: BigNumber;
    /**
     * identifier string to help differentiate transfers
     */
    memo?: string;
}
/**
 * @hidden
 */
export declare function prepareTransferPolyx(this: Procedure<TransferPolyxParams>, args: TransferPolyxParams): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization({ memo }: TransferPolyxParams): ProcedureAuthorization;
/**
 * @hidden
 */
export declare const transferPolyx: () => Procedure<TransferPolyxParams>;
//# sourceMappingURL=transferPolyx.d.ts.map