import { Asset, Identity, Procedure } from "../../internal";
import { ProcedureAuthorization } from "../../types/internal";
export interface WaivePermissionsParams {
    asset: string | Asset;
}
/**
 * @hidden
 */
export declare type Params = WaivePermissionsParams & {
    identity: Identity;
};
/**
 * @hidden
 */
export interface Storage {
    asset: Asset;
}
/**
 * @hidden
 */
export declare function prepareWaivePermissions(this: Procedure<Params, void, Storage>, args: Params): Promise<void>;
/**
 * @hidden
 */
export declare function getAuthorization(this: Procedure<Params, void, Storage>, { identity: { did } }: Params): ProcedureAuthorization;
/**
 * @hidden
 */
export declare function prepareStorage(this: Procedure<Params, void, Storage>, { asset }: Params): Storage;
/**
 * @hidden
 */
export declare const waivePermissions: () => Procedure<Params, void, Storage>;
//# sourceMappingURL=waivePermissions.d.ts.map