import type { BitVec, Bool, Bytes, Compact, Data, I128, I16, I256, I32, I64, I8, Json, Null, Option, Raw, StorageKey, Text, Type, U128, U16, U256, U32, U64, U8, USize, Vec, bool, i128, i16, i256, i32, i64, i8, u128, u16, u256, u32, u64, u8, usize } from '@polkadot/types';
import type { AssetApproval, AssetApprovalKey, AssetBalance, AssetDestroyWitness, AssetDetails, AssetMetadata, TAssetBalance, TAssetDepositBalance } from '@polkadot/types/interfaces/assets';
import type { BlockAttestations, IncludedBlocks, MoreAttestations } from '@polkadot/types/interfaces/attestations';
import type { RawAuraPreDigest } from '@polkadot/types/interfaces/aura';
import type { ExtrinsicOrHash, ExtrinsicStatus } from '@polkadot/types/interfaces/author';
import type { UncleEntryItem } from '@polkadot/types/interfaces/authorship';
import type { AllowedSlots, BabeAuthorityWeight, BabeBlockWeight, BabeEpochConfiguration, BabeEquivocationProof, BabeWeight, EpochAuthorship, MaybeRandomness, MaybeVrf, NextConfigDescriptor, NextConfigDescriptorV1, Randomness, RawBabePreDigest, RawBabePreDigestCompat, RawBabePreDigestPrimary, RawBabePreDigestPrimaryTo159, RawBabePreDigestSecondaryPlain, RawBabePreDigestSecondaryTo159, RawBabePreDigestSecondaryVRF, RawBabePreDigestTo159, SlotNumber, VrfData, VrfOutput, VrfProof } from '@polkadot/types/interfaces/babe';
import type { AccountData, BalanceLock, BalanceLockTo212, BalanceStatus, Reasons, ReserveData, ReserveIdentifier, VestingSchedule, WithdrawReasons } from '@polkadot/types/interfaces/balances';
import type { BeefyCommitment, BeefyId, BeefyNextAuthoritySet, BeefyPayload, BeefySignedCommitment, MmrRootHash, ValidatorSetId } from '@polkadot/types/interfaces/beefy';
import type { BridgedBlockHash, BridgedBlockNumber, BridgedHeader, InitializationData } from '@polkadot/types/interfaces/bridges';
import type { BlockHash } from '@polkadot/types/interfaces/chain';
import type { PrefixedStorageKey } from '@polkadot/types/interfaces/childstate';
import type { EthereumAddress, StatementKind } from '@polkadot/types/interfaces/claims';
import type { CollectiveOrigin, MemberCount, ProposalIndex, Votes, VotesTo230 } from '@polkadot/types/interfaces/collective';
import type { AuthorityId, RawVRFOutput } from '@polkadot/types/interfaces/consensus';
import type { AliveContractInfo, CodeHash, ContractCallRequest, ContractExecResult, ContractExecResultErr, ContractExecResultErrModule, ContractExecResultOk, ContractExecResultResult, ContractExecResultSuccessTo255, ContractExecResultSuccessTo260, ContractExecResultTo255, ContractExecResultTo260, ContractExecResultTo267, ContractInfo, ContractInstantiateResult, ContractStorageKey, DeletedContract, ExecReturnValue, Gas, HostFnWeights, HostFnWeightsTo264, InstantiateRequest, InstantiateReturnValue, InstructionWeights, Limits, LimitsTo264, PrefabWasmModule, RentProjection, Schedule, ScheduleTo212, ScheduleTo258, ScheduleTo264, SeedOf, TombstoneContractInfo, TrieId } from '@polkadot/types/interfaces/contracts';
import type { ContractConstructorSpec, ContractContractSpec, ContractCryptoHasher, ContractDiscriminant, ContractDisplayName, ContractEventParamSpec, ContractEventSpec, ContractLayoutArray, ContractLayoutCell, ContractLayoutEnum, ContractLayoutHash, ContractLayoutHashingStrategy, ContractLayoutKey, ContractLayoutStruct, ContractLayoutStructField, ContractMessageParamSpec, ContractMessageSpec, ContractProject, ContractProjectContract, ContractProjectSource, ContractSelector, ContractStorageLayout, ContractTypeSpec } from '@polkadot/types/interfaces/contractsAbi';
import type { FundIndex, FundInfo, LastContribution, TrieIndex } from '@polkadot/types/interfaces/crowdloan';
import type { ConfigData, MessageId, OverweightIndex, PageCounter, PageIndexData } from '@polkadot/types/interfaces/cumulus';
import type { AccountVote, AccountVoteSplit, AccountVoteStandard, Conviction, Delegations, PreimageStatus, PreimageStatusAvailable, PriorLock, PropIndex, Proposal, ProxyState, ReferendumIndex, ReferendumInfo, ReferendumInfoFinished, ReferendumInfoTo239, ReferendumStatus, Tally, Voting, VotingDelegating, VotingDirect, VotingDirectVote } from '@polkadot/types/interfaces/democracy';
import type { ApprovalFlag, DefunctVoter, Renouncing, SetIndex, Vote, VoteIndex, VoteThreshold, VoterInfo } from '@polkadot/types/interfaces/elections';
import type { CreatedBlock, ImportedAux } from '@polkadot/types/interfaces/engine';
import type { EthAccount, EthBlock, EthBloom, EthCallRequest, EthFilter, EthFilterAddress, EthFilterChanges, EthFilterTopic, EthFilterTopicEntry, EthFilterTopicInner, EthHeader, EthLog, EthReceipt, EthRichBlock, EthRichHeader, EthStorageProof, EthSubKind, EthSubParams, EthSubResult, EthSyncInfo, EthSyncStatus, EthTransaction, EthTransactionAction, EthTransactionCondition, EthTransactionRequest, EthTransactionSignature, EthTransactionStatus, EthWork, EthereumAccountId, EthereumLookupSource, EthereumSignature } from '@polkadot/types/interfaces/eth';
import type { EvmAccount, EvmLog, EvmVicinity, ExitError, ExitFatal, ExitReason, ExitRevert, ExitSucceed } from '@polkadot/types/interfaces/evm';
import type { AnySignature, EcdsaSignature, Ed25519Signature, Extrinsic, ExtrinsicEra, ExtrinsicPayload, ExtrinsicPayloadUnknown, ExtrinsicPayloadV4, ExtrinsicSignature, ExtrinsicSignatureV4, ExtrinsicUnknown, ExtrinsicV4, ImmortalEra, MortalEra, MultiSignature, Signature, SignerPayload, Sr25519Signature } from '@polkadot/types/interfaces/extrinsics';
import type { AssetOptions, Owner, PermissionLatest, PermissionVersions, PermissionsV1 } from '@polkadot/types/interfaces/genericAsset';
import type { ActiveGilt, ActiveGiltsTotal, ActiveIndex, GiltBid } from '@polkadot/types/interfaces/gilt';
import type { AuthorityIndex, AuthorityList, AuthoritySet, AuthoritySetChange, AuthoritySetChanges, AuthorityWeight, DelayKind, DelayKindBest, EncodedFinalityProofs, ForkTreePendingChange, ForkTreePendingChangeNode, GrandpaCommit, GrandpaEquivocation, GrandpaEquivocationProof, GrandpaEquivocationValue, GrandpaJustification, GrandpaPrecommit, GrandpaPrevote, GrandpaSignedPrecommit, JustificationNotification, KeyOwnerProof, NextAuthority, PendingChange, PendingPause, PendingResume, Precommits, Prevotes, ReportedRoundStates, RoundState, SetId, StoredPendingChange, StoredState } from '@polkadot/types/interfaces/grandpa';
import type { AuthIndex, AuthoritySignature, Heartbeat, HeartbeatTo244, OpaqueMultiaddr, OpaqueNetworkState, OpaquePeerId } from '@polkadot/types/interfaces/imOnline';
import type { CallIndex, LotteryConfig } from '@polkadot/types/interfaces/lottery';
import type { ErrorMetadataLatest, ErrorMetadataV10, ErrorMetadataV11, ErrorMetadataV12, ErrorMetadataV13, ErrorMetadataV9, EventMetadataLatest, EventMetadataV10, EventMetadataV11, EventMetadataV12, EventMetadataV13, EventMetadataV9, ExtrinsicMetadataLatest, ExtrinsicMetadataV11, ExtrinsicMetadataV12, ExtrinsicMetadataV13, ExtrinsicMetadataV14, FunctionArgumentMetadataLatest, FunctionArgumentMetadataV10, FunctionArgumentMetadataV11, FunctionArgumentMetadataV12, FunctionArgumentMetadataV13, FunctionArgumentMetadataV9, FunctionMetadataLatest, FunctionMetadataV10, FunctionMetadataV11, FunctionMetadataV12, FunctionMetadataV13, FunctionMetadataV9, MetadataAll, MetadataLatest, MetadataV10, MetadataV11, MetadataV12, MetadataV13, MetadataV14, MetadataV9, ModuleConstantMetadataLatest, ModuleConstantMetadataV10, ModuleConstantMetadataV11, ModuleConstantMetadataV12, ModuleConstantMetadataV13, ModuleConstantMetadataV9, ModuleMetadataLatest, ModuleMetadataV10, ModuleMetadataV11, ModuleMetadataV12, ModuleMetadataV13, ModuleMetadataV9, PalletCallMetadataLatest, PalletCallMetadataV14, PalletConstantMetadataLatest, PalletConstantMetadataV14, PalletErrorMetadataLatest, PalletErrorMetadataV14, PalletEventMetadataLatest, PalletEventMetadataV14, PalletMetadataLatest, PalletMetadataV14, PalletStorageMetadataLatest, PalletStorageMetadataV14, PortableRegistry, PortableType, SignedExtensionMetadataLatest, SignedExtensionMetadataV14, StorageEntryMetadataLatest, StorageEntryMetadataV10, StorageEntryMetadataV11, StorageEntryMetadataV12, StorageEntryMetadataV13, StorageEntryMetadataV14, StorageEntryMetadataV9, StorageEntryModifierLatest, StorageEntryModifierV10, StorageEntryModifierV11, StorageEntryModifierV12, StorageEntryModifierV13, StorageEntryModifierV14, StorageEntryModifierV9, StorageEntryTypeLatest, StorageEntryTypeV10, StorageEntryTypeV11, StorageEntryTypeV12, StorageEntryTypeV13, StorageEntryTypeV14, StorageEntryTypeV9, StorageHasher, StorageHasherV10, StorageHasherV11, StorageHasherV12, StorageHasherV13, StorageHasherV14, StorageHasherV9, StorageMetadataLatest, StorageMetadataV10, StorageMetadataV11, StorageMetadataV12, StorageMetadataV13, StorageMetadataV9 } from '@polkadot/types/interfaces/metadata';
import type { MmrLeafProof } from '@polkadot/types/interfaces/mmr';
import type { StorageKind } from '@polkadot/types/interfaces/offchain';
import type { DeferredOffenceOf, Kind, OffenceDetails, Offender, OpaqueTimeSlot, ReportIdOf, Reporter } from '@polkadot/types/interfaces/offences';
import type { AbridgedCandidateReceipt, AbridgedHostConfiguration, AbridgedHrmpChannel, AssignmentId, AssignmentKind, AttestedCandidate, AuctionIndex, AuthorityDiscoveryId, AvailabilityBitfield, AvailabilityBitfieldRecord, BackedCandidate, Bidder, BufferedSessionChange, CandidateCommitments, CandidateDescriptor, CandidateHash, CandidateInfo, CandidatePendingAvailability, CandidateReceipt, CollatorId, CollatorSignature, CommittedCandidateReceipt, CoreAssignment, CoreIndex, CoreOccupied, DisputeStatement, DisputeStatementSet, DoubleVoteReport, DownwardMessage, ExplicitDisputeStatement, GlobalValidationData, GlobalValidationSchedule, GroupIndex, HeadData, HostConfiguration, HrmpChannel, HrmpChannelId, HrmpOpenChannelRequest, InboundDownwardMessage, InboundHrmpMessage, InboundHrmpMessages, IncomingParachain, IncomingParachainDeploy, IncomingParachainFixed, InvalidDisputeStatementKind, LeasePeriod, LeasePeriodOf, LocalValidationData, MessageIngestionType, MessageQueueChain, MessagingStateSnapshot, MessagingStateSnapshotEgressEntry, MultiDisputeStatementSet, NewBidder, OutboundHrmpMessage, ParaGenesisArgs, ParaId, ParaInfo, ParaLifecycle, ParaPastCodeMeta, ParaScheduling, ParaValidatorIndex, ParachainDispatchOrigin, ParachainInherentData, ParachainProposal, ParachainsInherentData, ParathreadClaim, ParathreadClaimQueue, ParathreadEntry, PersistedValidationData, QueuedParathread, RegisteredParachainInfo, RelayBlockNumber, RelayChainBlockNumber, RelayChainHash, RelayHash, Remark, ReplacementTimes, Retriable, Scheduling, ServiceQuality, SessionInfo, SessionInfoValidatorGroup, SignedAvailabilityBitfield, SignedAvailabilityBitfields, SigningContext, SlotRange, Statement, SubId, SystemInherentData, TransientValidationData, UpwardMessage, ValidDisputeStatementKind, ValidationCode, ValidationCodeHash, ValidationData, ValidationDataType, ValidationFunctionParams, ValidatorSignature, ValidityAttestation, VecInboundHrmpMessage, WinnersData, WinnersDataTuple, WinningData, WinningDataEntry } from '@polkadot/types/interfaces/parachains';
import type { FeeDetails, InclusionFee, RuntimeDispatchInfo } from '@polkadot/types/interfaces/payment';
import type { Approvals } from '@polkadot/types/interfaces/poll';
import type { ProxyAnnouncement, ProxyDefinition, ProxyType } from '@polkadot/types/interfaces/proxy';
import type { AccountStatus, AccountValidity } from '@polkadot/types/interfaces/purchase';
import type { ActiveRecovery, RecoveryConfig } from '@polkadot/types/interfaces/recovery';
import type { RpcMethods } from '@polkadot/types/interfaces/rpc';
import type { AccountId, AccountId20, AccountId32, AccountIdOf, AccountIndex, Address, AssetId, Balance, BalanceOf, Block, BlockNumber, BlockNumberFor, BlockNumberOf, Call, CallHash, CallHashOf, ChangesTrieConfiguration, ChangesTrieSignal, CodecHash, Consensus, ConsensusEngineId, Digest, DigestItem, EncodedJustification, ExtrinsicsWeight, Fixed128, Fixed64, FixedI128, FixedI64, FixedU128, FixedU64, H1024, H128, H160, H2048, H256, H32, H512, H64, Hash, Header, HeaderPartial, I32F32, Index, IndicesLookupSource, Justification, Justifications, KeyTypeId, KeyValue, LockIdentifier, LookupSource, LookupTarget, ModuleId, Moment, MultiAddress, MultiSigner, OpaqueCall, Origin, OriginCaller, PalletId, PalletVersion, PalletsOrigin, Pays, PerU16, Perbill, Percent, Permill, Perquintill, Phantom, PhantomData, PreRuntime, Releases, RuntimeDbWeight, Seal, SealV0, SignedBlock, SignedBlockWithJustification, SignedBlockWithJustifications, Slot, StorageData, StorageProof, TransactionInfo, TransactionPriority, TransactionStorageProof, U32F32, ValidatorId, ValidatorIdOf, Weight, WeightMultiplier } from '@polkadot/types/interfaces/runtime';
import type { Si0Field, Si0LookupTypeId, Si0Path, Si0Type, Si0TypeDef, Si0TypeDefArray, Si0TypeDefBitSequence, Si0TypeDefCompact, Si0TypeDefComposite, Si0TypeDefPhantom, Si0TypeDefPrimitive, Si0TypeDefSequence, Si0TypeDefTuple, Si0TypeDefVariant, Si0TypeParameter, Si0Variant, SiField, SiLookupTypeId, SiPath, SiType, SiTypeDef, SiTypeDefArray, SiTypeDefBitSequence, SiTypeDefCompact, SiTypeDefComposite, SiTypeDefPrimitive, SiTypeDefSequence, SiTypeDefTuple, SiTypeDefVariant, SiTypeParameter, SiVariant } from '@polkadot/types/interfaces/scaleInfo';
import type { Period, Priority, SchedulePeriod, SchedulePriority, Scheduled, ScheduledTo254, TaskAddress } from '@polkadot/types/interfaces/scheduler';
import type { BeefyKey, FullIdentification, IdentificationTuple, Keys, MembershipProof, SessionIndex, SessionKeys1, SessionKeys10, SessionKeys10B, SessionKeys2, SessionKeys3, SessionKeys4, SessionKeys5, SessionKeys6, SessionKeys6B, SessionKeys7, SessionKeys7B, SessionKeys8, SessionKeys8B, SessionKeys9, SessionKeys9B, ValidatorCount } from '@polkadot/types/interfaces/session';
import type { Bid, BidKind, SocietyJudgement, SocietyVote, StrikeCount, VouchingStatus } from '@polkadot/types/interfaces/society';
import type { ApiId, BlockTrace, BlockTraceEvent, BlockTraceEventData, BlockTraceSpan, KeyValueOption, ReadProof, RuntimeVersion, RuntimeVersionApi, RuntimeVersionPartial, StorageChangeSet, TraceBlockResponse, TraceError } from '@polkadot/types/interfaces/state';
import type { WeightToFeeCoefficient } from '@polkadot/types/interfaces/support';
import type { AccountInfo, AccountInfoWithDualRefCount, AccountInfoWithProviders, AccountInfoWithRefCount, AccountInfoWithRefCountU8, AccountInfoWithTripleRefCount, ApplyExtrinsicResult, ArithmeticError, BlockLength, BlockWeights, ChainProperties, ChainType, ConsumedWeight, DigestOf, DispatchClass, DispatchError, DispatchErrorModule, DispatchErrorTo198, DispatchInfo, DispatchInfoTo190, DispatchInfoTo244, DispatchOutcome, DispatchResult, DispatchResultOf, DispatchResultTo198, Event, EventId, EventIndex, EventRecord, Health, InvalidTransaction, Key, LastRuntimeUpgradeInfo, NetworkState, NetworkStatePeerset, NetworkStatePeersetInfo, NodeRole, NotConnectedPeer, Peer, PeerEndpoint, PeerEndpointAddr, PeerInfo, PeerPing, PerDispatchClassU32, PerDispatchClassWeight, PerDispatchClassWeightsPerClass, Phase, RawOrigin, RefCount, RefCountTo259, SyncState, SystemOrigin, TokenError, TransactionValidityError, UnknownTransaction, WeightPerClass } from '@polkadot/types/interfaces/system';
import type { Bounty, BountyIndex, BountyStatus, BountyStatusActive, BountyStatusCuratorProposed, BountyStatusPendingPayout, OpenTip, OpenTipFinderTo225, OpenTipTip, OpenTipTo225, TreasuryProposal } from '@polkadot/types/interfaces/treasury';
import type { Multiplier } from '@polkadot/types/interfaces/txpayment';
import type { ClassDetails, ClassId, ClassMetadata, DepositBalance, DepositBalanceOf, DestroyWitness, InstanceDetails, InstanceId, InstanceMetadata } from '@polkadot/types/interfaces/uniques';
import type { Multisig, Timepoint } from '@polkadot/types/interfaces/utility';
import type { VestingInfo } from '@polkadot/types/interfaces/vesting';
import type { AccountId32Junction, AccountIndex64Junction, AccountKey20Junction, AssetInstance, BodyId, BodyPart, BodyPartAtLeastProportion, BodyPartFraction, BodyPartMoreThanProportion, DoubleEncodedCall, InboundStatus, Junction, MultiAsset, MultiAssetAbstractFungible, MultiAssetAbstractNonFungible, MultiAssetConcreteFungible, MultiAssetConcreteNonFungible, MultiLocation, NetworkId, OutboundStatus, Outcome, PluralityJunction, QueueConfigData, VersionedMultiAsset, VersionedMultiLocation, VersionedXcm, Xcm, XcmAssetEffects, XcmError, XcmHrmpChannelAccepted, XcmHrmpChannelClosing, XcmHrmpNewChannelOpenRequest, XcmOrder, XcmOrderBuyExecution, XcmOrderDepositAsset, XcmOrderDepositReserveAsset, XcmOrderExchangeAsset, XcmOrderInitiateReserveWithdraw, XcmOrderInitiateTeleport, XcmOrderQueryHolding, XcmOrigin, XcmOriginKind, XcmQueryResponse, XcmRelayedFrom, XcmReserveAssetDeposit, XcmResponse, XcmTeleportAsset, XcmTransact, XcmTransferAsset, XcmTransferReserveAsset, XcmWithdrawAsset, XcmpMessageFormat } from '@polkadot/types/interfaces/xcm';
import type { AGId, AffirmationStatus, AgentGroup, AssetCompliance, AssetComplianceResult, AssetDidResult, AssetIdentifier, AssetName, AssetOwnershipRelation, AssetPermissions, AssetType, Authorization, AuthorizationData, AuthorizationNonce, AuthorizationType, BallotMeta, BallotTimeRange, BallotTitle, BallotVote, Beneficiary, BridgeTx, BridgeTxDetail, BridgeTxStatus, CACheckpoint, CADetails, CAId, CAKind, CalendarPeriod, CalendarUnit, CanTransferResult, CappedFee, CddId, CddStatus, CheckpointId, CheckpointSchedule, ChoiceTitle, Claim, Claim1stKey, Claim2ndKey, ClaimType, ClassicTickerImport, ClassicTickerRegistration, Committee, ComplianceRequirement, ComplianceRequirementResult, Condition, ConditionResult, ConditionType, CorporateAction, Counter, CountryCode, CustomAssetTypeId, DepositInfo, DidRecord, DidRecords, DidRecordsSuccess, DidStatus, DispatchableName, DispatchableNames, Distribution, Document, DocumentHash, DocumentId, DocumentName, DocumentType, DocumentUri, ErrorAt, EventCounts, EventDid, ExtVersion, ExtensionAttributes, ExtrinsicPermissions, FundingRoundName, Fundraiser, FundraiserId, FundraiserName, FundraiserStatus, FundraiserTier, GranularCanTransferResult, HandledTxStatus, IdentityClaim, IdentityId, IdentityRole, InactiveMember, Instruction, InstructionId, InstructionStatus, InvestorUid, InvestorZKProofData, ItnRewardStatus, KeyIdentityData, Leg, LegId, LegStatus, LegacyPalletPermissions, LegacyPermissions, LocalCAId, MaybeBlock, Memo, MetaDescription, MetaUrl, MetaVersion, Motion, MotionInfoLink, MotionTitle, MovePortfolioItem, OffChainSignature, PalletName, PalletPermissions, Percentage, PermissionedIdentityPrefs, Permissions, Pip, PipDescription, PipId, PipsMetadata, PolymeshVotes, PortfolioId, PortfolioKind, PortfolioName, PortfolioNumber, PortfolioPermissions, PortfolioValidityResult, PosRatio, PreAuthorizedKeyInfo, PriceTier, ProposalData, ProposalDetails, ProposalState, ProposalStatus, Proposer, ProtocolOp, Receipt, ReceiptDetails, ReceiptMetadata, RecordDate, RecordDateSpec, RestrictionResult, RistrettoPoint, Scalar, ScheduleId, ScheduleSpec, Scope, ScopeClaimProof, ScopeId, SecondaryKey, SecondaryKeyWithAuth, SecurityToken, SettlementType, Signatory, SkippedCount, SlashingSwitch, SmartExtension, SmartExtensionName, SmartExtensionType, SnapshotId, SnapshotMetadata, SnapshotResult, SnapshottedPip, StoredSchedule, Subsidy, TargetIdAuthorization, TargetIdentities, TargetIdentity, TargetTreatment, Tax, TemplateDetails, TemplateMetadata, Ticker, TickerRegistration, TickerRegistrationConfig, TransferManager, TransferManagerResult, TrustedFor, TrustedIssuer, UniqueCall, Url, Venue, VenueDetails, VenueId, VenueType, Version, VoteByPip, VoteCount, VoteCountProposalFound, VotingResult, ZkProofData } from "./polymesh";
declare module '@polkadot/types/types/registry' {
    interface InterfaceTypes {
        'Compact<AccountIndex>': Compact<AccountIndex>;
        'Compact<ActiveIndex>': Compact<ActiveIndex>;
        'Compact<AGId>': Compact<AGId>;
        'Compact<ApprovalFlag>': Compact<ApprovalFlag>;
        'Compact<AssetId>': Compact<AssetId>;
        'Compact<AuctionIndex>': Compact<AuctionIndex>;
        'Compact<AuthIndex>': Compact<AuthIndex>;
        'Compact<AuthorityIndex>': Compact<AuthorityIndex>;
        'Compact<AuthorityWeight>': Compact<AuthorityWeight>;
        'Compact<AuthorizationNonce>': Compact<AuthorizationNonce>;
        'Compact<BabeAuthorityWeight>': Compact<BabeAuthorityWeight>;
        'Compact<BabeBlockWeight>': Compact<BabeBlockWeight>;
        'Compact<BabeWeight>': Compact<BabeWeight>;
        'Compact<Balance>': Compact<Balance>;
        'Compact<BalanceOf>': Compact<BalanceOf>;
        'Compact<BlockNumber>': Compact<BlockNumber>;
        'Compact<BlockNumberFor>': Compact<BlockNumberFor>;
        'Compact<BlockNumberOf>': Compact<BlockNumberOf>;
        'Compact<BountyIndex>': Compact<BountyIndex>;
        'Compact<BridgedBlockNumber>': Compact<BridgedBlockNumber>;
        'Compact<CappedFee>': Compact<CappedFee>;
        'Compact<CheckpointId>': Compact<CheckpointId>;
        'Compact<ClassId>': Compact<ClassId>;
        'Compact<ContractDiscriminant>': Compact<ContractDiscriminant>;
        'Compact<CoreIndex>': Compact<CoreIndex>;
        'Compact<Counter>': Compact<Counter>;
        'Compact<CustomAssetTypeId>': Compact<CustomAssetTypeId>;
        'Compact<DepositBalance>': Compact<DepositBalance>;
        'Compact<DepositBalanceOf>': Compact<DepositBalanceOf>;
        'Compact<DocumentId>': Compact<DocumentId>;
        'Compact<EventIndex>': Compact<EventIndex>;
        'Compact<ExtVersion>': Compact<ExtVersion>;
        'Compact<FixedU128>': Compact<FixedU128>;
        'Compact<FixedU64>': Compact<FixedU64>;
        'Compact<FundIndex>': Compact<FundIndex>;
        'Compact<FundraiserId>': Compact<FundraiserId>;
        'Compact<Gas>': Compact<Gas>;
        'Compact<GroupIndex>': Compact<GroupIndex>;
        'Compact<Index>': Compact<Index>;
        'Compact<InstanceId>': Compact<InstanceId>;
        'Compact<InstructionId>': Compact<InstructionId>;
        'Compact<KeyTypeId>': Compact<KeyTypeId>;
        'Compact<LeasePeriod>': Compact<LeasePeriod>;
        'Compact<LeasePeriodOf>': Compact<LeasePeriodOf>;
        'Compact<LegId>': Compact<LegId>;
        'Compact<LocalCAId>': Compact<LocalCAId>;
        'Compact<MemberCount>': Compact<MemberCount>;
        'Compact<MetaVersion>': Compact<MetaVersion>;
        'Compact<Moment>': Compact<Moment>;
        'Compact<OverweightIndex>': Compact<OverweightIndex>;
        'Compact<PageCounter>': Compact<PageCounter>;
        'Compact<ParaId>': Compact<ParaId>;
        'Compact<ParaValidatorIndex>': Compact<ParaValidatorIndex>;
        'Compact<Perbill>': Compact<Perbill>;
        'Compact<Percent>': Compact<Percent>;
        'Compact<Percentage>': Compact<Percentage>;
        'Compact<Permill>': Compact<Permill>;
        'Compact<Perquintill>': Compact<Perquintill>;
        'Compact<PerU16>': Compact<PerU16>;
        'Compact<PipId>': Compact<PipId>;
        'Compact<PortfolioNumber>': Compact<PortfolioNumber>;
        'Compact<Priority>': Compact<Priority>;
        'Compact<PropIndex>': Compact<PropIndex>;
        'Compact<ProposalIndex>': Compact<ProposalIndex>;
        'Compact<RefCount>': Compact<RefCount>;
        'Compact<RefCountTo259>': Compact<RefCountTo259>;
        'Compact<ReferendumIndex>': Compact<ReferendumIndex>;
        'Compact<RelayBlockNumber>': Compact<RelayBlockNumber>;
        'Compact<RelayChainBlockNumber>': Compact<RelayChainBlockNumber>;
        'Compact<ScheduleId>': Compact<ScheduleId>;
        'Compact<SchedulePriority>': Compact<SchedulePriority>;
        'Compact<SessionIndex>': Compact<SessionIndex>;
        'Compact<SetId>': Compact<SetId>;
        'Compact<SetIndex>': Compact<SetIndex>;
        'Compact<Si0LookupTypeId>': Compact<Si0LookupTypeId>;
        'Compact<SkippedCount>': Compact<SkippedCount>;
        'Compact<Slot>': Compact<Slot>;
        'Compact<SlotNumber>': Compact<SlotNumber>;
        'Compact<SnapshotId>': Compact<SnapshotId>;
        'Compact<StrikeCount>': Compact<StrikeCount>;
        'Compact<SubId>': Compact<SubId>;
        'Compact<TAssetBalance>': Compact<TAssetBalance>;
        'Compact<TAssetDepositBalance>': Compact<TAssetDepositBalance>;
        'Compact<Tax>': Compact<Tax>;
        'Compact<TransactionPriority>': Compact<TransactionPriority>;
        'Compact<TrieIndex>': Compact<TrieIndex>;
        'Compact<u128>': Compact<u128>;
        'Compact<U128>': Compact<U128>;
        'Compact<u16>': Compact<u16>;
        'Compact<U16>': Compact<U16>;
        'Compact<u256>': Compact<u256>;
        'Compact<U256>': Compact<U256>;
        'Compact<u32>': Compact<u32>;
        'Compact<U32>': Compact<U32>;
        'Compact<U32F32>': Compact<U32F32>;
        'Compact<u64>': Compact<u64>;
        'Compact<U64>': Compact<U64>;
        'Compact<u8>': Compact<u8>;
        'Compact<U8>': Compact<U8>;
        'Compact<usize>': Compact<usize>;
        'Compact<USize>': Compact<USize>;
        'Compact<ValidatorCount>': Compact<ValidatorCount>;
        'Compact<ValidatorSetId>': Compact<ValidatorSetId>;
        'Compact<VenueId>': Compact<VenueId>;
        'Compact<Version>': Compact<Version>;
        'Compact<VoteIndex>': Compact<VoteIndex>;
        'Compact<Weight>': Compact<Weight>;
        'Option<AbridgedCandidateReceipt>': Option<AbridgedCandidateReceipt>;
        'Option<AbridgedHostConfiguration>': Option<AbridgedHostConfiguration>;
        'Option<AbridgedHrmpChannel>': Option<AbridgedHrmpChannel>;
        'Option<AccountData>': Option<AccountData>;
        'Option<AccountId>': Option<AccountId>;
        'Option<AccountId20>': Option<AccountId20>;
        'Option<AccountId32>': Option<AccountId32>;
        'Option<AccountId32Junction>': Option<AccountId32Junction>;
        'Option<AccountIdOf>': Option<AccountIdOf>;
        'Option<AccountIndex>': Option<AccountIndex>;
        'Option<AccountIndex64Junction>': Option<AccountIndex64Junction>;
        'Option<AccountInfo>': Option<AccountInfo>;
        'Option<AccountInfoWithDualRefCount>': Option<AccountInfoWithDualRefCount>;
        'Option<AccountInfoWithProviders>': Option<AccountInfoWithProviders>;
        'Option<AccountInfoWithRefCount>': Option<AccountInfoWithRefCount>;
        'Option<AccountInfoWithRefCountU8>': Option<AccountInfoWithRefCountU8>;
        'Option<AccountInfoWithTripleRefCount>': Option<AccountInfoWithTripleRefCount>;
        'Option<AccountKey20Junction>': Option<AccountKey20Junction>;
        'Option<AccountStatus>': Option<AccountStatus>;
        'Option<AccountValidity>': Option<AccountValidity>;
        'Option<AccountVote>': Option<AccountVote>;
        'Option<AccountVoteSplit>': Option<AccountVoteSplit>;
        'Option<AccountVoteStandard>': Option<AccountVoteStandard>;
        'Option<ActiveGilt>': Option<ActiveGilt>;
        'Option<ActiveGiltsTotal>': Option<ActiveGiltsTotal>;
        'Option<ActiveIndex>': Option<ActiveIndex>;
        'Option<ActiveRecovery>': Option<ActiveRecovery>;
        'Option<Address>': Option<Address>;
        'Option<AffirmationStatus>': Option<AffirmationStatus>;
        'Option<AgentGroup>': Option<AgentGroup>;
        'Option<AGId>': Option<AGId>;
        'Option<AliveContractInfo>': Option<AliveContractInfo>;
        'Option<AllowedSlots>': Option<AllowedSlots>;
        'Option<AnySignature>': Option<AnySignature>;
        'Option<ApiId>': Option<ApiId>;
        'Option<ApplyExtrinsicResult>': Option<ApplyExtrinsicResult>;
        'Option<ApprovalFlag>': Option<ApprovalFlag>;
        'Option<Approvals>': Option<Approvals>;
        'Option<ArithmeticError>': Option<ArithmeticError>;
        'Option<AssetApproval>': Option<AssetApproval>;
        'Option<AssetApprovalKey>': Option<AssetApprovalKey>;
        'Option<AssetBalance>': Option<AssetBalance>;
        'Option<AssetCompliance>': Option<AssetCompliance>;
        'Option<AssetComplianceResult>': Option<AssetComplianceResult>;
        'Option<AssetDestroyWitness>': Option<AssetDestroyWitness>;
        'Option<AssetDetails>': Option<AssetDetails>;
        'Option<AssetDidResult>': Option<AssetDidResult>;
        'Option<AssetId>': Option<AssetId>;
        'Option<AssetIdentifier>': Option<AssetIdentifier>;
        'Option<AssetInstance>': Option<AssetInstance>;
        'Option<AssetMetadata>': Option<AssetMetadata>;
        'Option<AssetName>': Option<AssetName>;
        'Option<AssetOptions>': Option<AssetOptions>;
        'Option<AssetOwnershipRelation>': Option<AssetOwnershipRelation>;
        'Option<AssetPermissions>': Option<AssetPermissions>;
        'Option<AssetType>': Option<AssetType>;
        'Option<AssignmentId>': Option<AssignmentId>;
        'Option<AssignmentKind>': Option<AssignmentKind>;
        'Option<AttestedCandidate>': Option<AttestedCandidate>;
        'Option<AuctionIndex>': Option<AuctionIndex>;
        'Option<AuthIndex>': Option<AuthIndex>;
        'Option<AuthorityDiscoveryId>': Option<AuthorityDiscoveryId>;
        'Option<AuthorityId>': Option<AuthorityId>;
        'Option<AuthorityIndex>': Option<AuthorityIndex>;
        'Option<AuthorityList>': Option<AuthorityList>;
        'Option<AuthoritySet>': Option<AuthoritySet>;
        'Option<AuthoritySetChange>': Option<AuthoritySetChange>;
        'Option<AuthoritySetChanges>': Option<AuthoritySetChanges>;
        'Option<AuthoritySignature>': Option<AuthoritySignature>;
        'Option<AuthorityWeight>': Option<AuthorityWeight>;
        'Option<Authorization>': Option<Authorization>;
        'Option<AuthorizationData>': Option<AuthorizationData>;
        'Option<AuthorizationNonce>': Option<AuthorizationNonce>;
        'Option<AuthorizationType>': Option<AuthorizationType>;
        'Option<AvailabilityBitfield>': Option<AvailabilityBitfield>;
        'Option<AvailabilityBitfieldRecord>': Option<AvailabilityBitfieldRecord>;
        'Option<BabeAuthorityWeight>': Option<BabeAuthorityWeight>;
        'Option<BabeBlockWeight>': Option<BabeBlockWeight>;
        'Option<BabeEpochConfiguration>': Option<BabeEpochConfiguration>;
        'Option<BabeEquivocationProof>': Option<BabeEquivocationProof>;
        'Option<BabeWeight>': Option<BabeWeight>;
        'Option<BackedCandidate>': Option<BackedCandidate>;
        'Option<Balance>': Option<Balance>;
        'Option<BalanceLock>': Option<BalanceLock>;
        'Option<BalanceLockTo212>': Option<BalanceLockTo212>;
        'Option<BalanceOf>': Option<BalanceOf>;
        'Option<BalanceStatus>': Option<BalanceStatus>;
        'Option<BallotMeta>': Option<BallotMeta>;
        'Option<BallotTimeRange>': Option<BallotTimeRange>;
        'Option<BallotTitle>': Option<BallotTitle>;
        'Option<BallotVote>': Option<BallotVote>;
        'Option<BeefyCommitment>': Option<BeefyCommitment>;
        'Option<BeefyId>': Option<BeefyId>;
        'Option<BeefyKey>': Option<BeefyKey>;
        'Option<BeefyNextAuthoritySet>': Option<BeefyNextAuthoritySet>;
        'Option<BeefyPayload>': Option<BeefyPayload>;
        'Option<BeefySignedCommitment>': Option<BeefySignedCommitment>;
        'Option<Beneficiary>': Option<Beneficiary>;
        'Option<Bid>': Option<Bid>;
        'Option<Bidder>': Option<Bidder>;
        'Option<BidKind>': Option<BidKind>;
        'Option<BitVec>': Option<BitVec>;
        'Option<Block>': Option<Block>;
        'Option<BlockAttestations>': Option<BlockAttestations>;
        'Option<BlockHash>': Option<BlockHash>;
        'Option<BlockLength>': Option<BlockLength>;
        'Option<BlockNumber>': Option<BlockNumber>;
        'Option<BlockNumberFor>': Option<BlockNumberFor>;
        'Option<BlockNumberOf>': Option<BlockNumberOf>;
        'Option<BlockTrace>': Option<BlockTrace>;
        'Option<BlockTraceEvent>': Option<BlockTraceEvent>;
        'Option<BlockTraceEventData>': Option<BlockTraceEventData>;
        'Option<BlockTraceSpan>': Option<BlockTraceSpan>;
        'Option<BlockWeights>': Option<BlockWeights>;
        'Option<BodyId>': Option<BodyId>;
        'Option<BodyPart>': Option<BodyPart>;
        'Option<BodyPartAtLeastProportion>': Option<BodyPartAtLeastProportion>;
        'Option<BodyPartFraction>': Option<BodyPartFraction>;
        'Option<BodyPartMoreThanProportion>': Option<BodyPartMoreThanProportion>;
        'Option<bool>': Option<bool>;
        'Option<Bool>': Option<Bool>;
        'Option<Bounty>': Option<Bounty>;
        'Option<BountyIndex>': Option<BountyIndex>;
        'Option<BountyStatus>': Option<BountyStatus>;
        'Option<BountyStatusActive>': Option<BountyStatusActive>;
        'Option<BountyStatusCuratorProposed>': Option<BountyStatusCuratorProposed>;
        'Option<BountyStatusPendingPayout>': Option<BountyStatusPendingPayout>;
        'Option<BridgedBlockHash>': Option<BridgedBlockHash>;
        'Option<BridgedBlockNumber>': Option<BridgedBlockNumber>;
        'Option<BridgedHeader>': Option<BridgedHeader>;
        'Option<BridgeTx>': Option<BridgeTx>;
        'Option<BridgeTxDetail>': Option<BridgeTxDetail>;
        'Option<BridgeTxStatus>': Option<BridgeTxStatus>;
        'Option<BufferedSessionChange>': Option<BufferedSessionChange>;
        'Option<Bytes>': Option<Bytes>;
        'Option<CACheckpoint>': Option<CACheckpoint>;
        'Option<CADetails>': Option<CADetails>;
        'Option<CAId>': Option<CAId>;
        'Option<CAKind>': Option<CAKind>;
        'Option<CalendarPeriod>': Option<CalendarPeriod>;
        'Option<CalendarUnit>': Option<CalendarUnit>;
        'Option<Call>': Option<Call>;
        'Option<CallHash>': Option<CallHash>;
        'Option<CallHashOf>': Option<CallHashOf>;
        'Option<CallIndex>': Option<CallIndex>;
        'Option<CandidateCommitments>': Option<CandidateCommitments>;
        'Option<CandidateDescriptor>': Option<CandidateDescriptor>;
        'Option<CandidateHash>': Option<CandidateHash>;
        'Option<CandidateInfo>': Option<CandidateInfo>;
        'Option<CandidatePendingAvailability>': Option<CandidatePendingAvailability>;
        'Option<CandidateReceipt>': Option<CandidateReceipt>;
        'Option<CanTransferResult>': Option<CanTransferResult>;
        'Option<CappedFee>': Option<CappedFee>;
        'Option<CddId>': Option<CddId>;
        'Option<CddStatus>': Option<CddStatus>;
        'Option<ChainProperties>': Option<ChainProperties>;
        'Option<ChainType>': Option<ChainType>;
        'Option<ChangesTrieConfiguration>': Option<ChangesTrieConfiguration>;
        'Option<ChangesTrieSignal>': Option<ChangesTrieSignal>;
        'Option<CheckpointId>': Option<CheckpointId>;
        'Option<CheckpointSchedule>': Option<CheckpointSchedule>;
        'Option<ChoiceTitle>': Option<ChoiceTitle>;
        'Option<Claim>': Option<Claim>;
        'Option<Claim1stKey>': Option<Claim1stKey>;
        'Option<Claim2ndKey>': Option<Claim2ndKey>;
        'Option<ClaimType>': Option<ClaimType>;
        'Option<ClassDetails>': Option<ClassDetails>;
        'Option<ClassicTickerImport>': Option<ClassicTickerImport>;
        'Option<ClassicTickerRegistration>': Option<ClassicTickerRegistration>;
        'Option<ClassId>': Option<ClassId>;
        'Option<ClassMetadata>': Option<ClassMetadata>;
        'Option<CodecHash>': Option<CodecHash>;
        'Option<CodeHash>': Option<CodeHash>;
        'Option<CollatorId>': Option<CollatorId>;
        'Option<CollatorSignature>': Option<CollatorSignature>;
        'Option<CollectiveOrigin>': Option<CollectiveOrigin>;
        'Option<CommittedCandidateReceipt>': Option<CommittedCandidateReceipt>;
        'Option<Committee>': Option<Committee>;
        'Option<ComplianceRequirement>': Option<ComplianceRequirement>;
        'Option<ComplianceRequirementResult>': Option<ComplianceRequirementResult>;
        'Option<Condition>': Option<Condition>;
        'Option<ConditionResult>': Option<ConditionResult>;
        'Option<ConditionType>': Option<ConditionType>;
        'Option<ConfigData>': Option<ConfigData>;
        'Option<Consensus>': Option<Consensus>;
        'Option<ConsensusEngineId>': Option<ConsensusEngineId>;
        'Option<ConsumedWeight>': Option<ConsumedWeight>;
        'Option<ContractCallRequest>': Option<ContractCallRequest>;
        'Option<ContractConstructorSpec>': Option<ContractConstructorSpec>;
        'Option<ContractContractSpec>': Option<ContractContractSpec>;
        'Option<ContractCryptoHasher>': Option<ContractCryptoHasher>;
        'Option<ContractDiscriminant>': Option<ContractDiscriminant>;
        'Option<ContractDisplayName>': Option<ContractDisplayName>;
        'Option<ContractEventParamSpec>': Option<ContractEventParamSpec>;
        'Option<ContractEventSpec>': Option<ContractEventSpec>;
        'Option<ContractExecResult>': Option<ContractExecResult>;
        'Option<ContractExecResultErr>': Option<ContractExecResultErr>;
        'Option<ContractExecResultErrModule>': Option<ContractExecResultErrModule>;
        'Option<ContractExecResultOk>': Option<ContractExecResultOk>;
        'Option<ContractExecResultResult>': Option<ContractExecResultResult>;
        'Option<ContractExecResultSuccessTo255>': Option<ContractExecResultSuccessTo255>;
        'Option<ContractExecResultSuccessTo260>': Option<ContractExecResultSuccessTo260>;
        'Option<ContractExecResultTo255>': Option<ContractExecResultTo255>;
        'Option<ContractExecResultTo260>': Option<ContractExecResultTo260>;
        'Option<ContractExecResultTo267>': Option<ContractExecResultTo267>;
        'Option<ContractInfo>': Option<ContractInfo>;
        'Option<ContractInstantiateResult>': Option<ContractInstantiateResult>;
        'Option<ContractLayoutArray>': Option<ContractLayoutArray>;
        'Option<ContractLayoutCell>': Option<ContractLayoutCell>;
        'Option<ContractLayoutEnum>': Option<ContractLayoutEnum>;
        'Option<ContractLayoutHash>': Option<ContractLayoutHash>;
        'Option<ContractLayoutHashingStrategy>': Option<ContractLayoutHashingStrategy>;
        'Option<ContractLayoutKey>': Option<ContractLayoutKey>;
        'Option<ContractLayoutStruct>': Option<ContractLayoutStruct>;
        'Option<ContractLayoutStructField>': Option<ContractLayoutStructField>;
        'Option<ContractMessageParamSpec>': Option<ContractMessageParamSpec>;
        'Option<ContractMessageSpec>': Option<ContractMessageSpec>;
        'Option<ContractProject>': Option<ContractProject>;
        'Option<ContractProjectContract>': Option<ContractProjectContract>;
        'Option<ContractProjectSource>': Option<ContractProjectSource>;
        'Option<ContractSelector>': Option<ContractSelector>;
        'Option<ContractStorageKey>': Option<ContractStorageKey>;
        'Option<ContractStorageLayout>': Option<ContractStorageLayout>;
        'Option<ContractTypeSpec>': Option<ContractTypeSpec>;
        'Option<Conviction>': Option<Conviction>;
        'Option<CoreAssignment>': Option<CoreAssignment>;
        'Option<CoreIndex>': Option<CoreIndex>;
        'Option<CoreOccupied>': Option<CoreOccupied>;
        'Option<CorporateAction>': Option<CorporateAction>;
        'Option<Counter>': Option<Counter>;
        'Option<CountryCode>': Option<CountryCode>;
        'Option<CreatedBlock>': Option<CreatedBlock>;
        'Option<CustomAssetTypeId>': Option<CustomAssetTypeId>;
        'Option<Data>': Option<Data>;
        'Option<DeferredOffenceOf>': Option<DeferredOffenceOf>;
        'Option<DefunctVoter>': Option<DefunctVoter>;
        'Option<DelayKind>': Option<DelayKind>;
        'Option<DelayKindBest>': Option<DelayKindBest>;
        'Option<Delegations>': Option<Delegations>;
        'Option<DeletedContract>': Option<DeletedContract>;
        'Option<DepositBalance>': Option<DepositBalance>;
        'Option<DepositBalanceOf>': Option<DepositBalanceOf>;
        'Option<DepositInfo>': Option<DepositInfo>;
        'Option<DestroyWitness>': Option<DestroyWitness>;
        'Option<DidRecord>': Option<DidRecord>;
        'Option<DidRecords>': Option<DidRecords>;
        'Option<DidRecordsSuccess>': Option<DidRecordsSuccess>;
        'Option<DidStatus>': Option<DidStatus>;
        'Option<Digest>': Option<Digest>;
        'Option<DigestItem>': Option<DigestItem>;
        'Option<DigestOf>': Option<DigestOf>;
        'Option<DispatchableName>': Option<DispatchableName>;
        'Option<DispatchableNames>': Option<DispatchableNames>;
        'Option<DispatchClass>': Option<DispatchClass>;
        'Option<DispatchError>': Option<DispatchError>;
        'Option<DispatchErrorModule>': Option<DispatchErrorModule>;
        'Option<DispatchErrorTo198>': Option<DispatchErrorTo198>;
        'Option<DispatchInfo>': Option<DispatchInfo>;
        'Option<DispatchInfoTo190>': Option<DispatchInfoTo190>;
        'Option<DispatchInfoTo244>': Option<DispatchInfoTo244>;
        'Option<DispatchOutcome>': Option<DispatchOutcome>;
        'Option<DispatchResult>': Option<DispatchResult>;
        'Option<DispatchResultOf>': Option<DispatchResultOf>;
        'Option<DispatchResultTo198>': Option<DispatchResultTo198>;
        'Option<DisputeStatement>': Option<DisputeStatement>;
        'Option<DisputeStatementSet>': Option<DisputeStatementSet>;
        'Option<Distribution>': Option<Distribution>;
        'Option<Document>': Option<Document>;
        'Option<DocumentHash>': Option<DocumentHash>;
        'Option<DocumentId>': Option<DocumentId>;
        'Option<DocumentName>': Option<DocumentName>;
        'Option<DocumentType>': Option<DocumentType>;
        'Option<DocumentUri>': Option<DocumentUri>;
        'Option<DoubleEncodedCall>': Option<DoubleEncodedCall>;
        'Option<DoubleVoteReport>': Option<DoubleVoteReport>;
        'Option<DownwardMessage>': Option<DownwardMessage>;
        'Option<EcdsaSignature>': Option<EcdsaSignature>;
        'Option<Ed25519Signature>': Option<Ed25519Signature>;
        'Option<EncodedFinalityProofs>': Option<EncodedFinalityProofs>;
        'Option<EncodedJustification>': Option<EncodedJustification>;
        'Option<EpochAuthorship>': Option<EpochAuthorship>;
        'Option<ErrorAt>': Option<ErrorAt>;
        'Option<ErrorMetadataLatest>': Option<ErrorMetadataLatest>;
        'Option<ErrorMetadataV10>': Option<ErrorMetadataV10>;
        'Option<ErrorMetadataV11>': Option<ErrorMetadataV11>;
        'Option<ErrorMetadataV12>': Option<ErrorMetadataV12>;
        'Option<ErrorMetadataV13>': Option<ErrorMetadataV13>;
        'Option<ErrorMetadataV9>': Option<ErrorMetadataV9>;
        'Option<EthAccount>': Option<EthAccount>;
        'Option<EthBlock>': Option<EthBlock>;
        'Option<EthBloom>': Option<EthBloom>;
        'Option<EthCallRequest>': Option<EthCallRequest>;
        'Option<EthereumAccountId>': Option<EthereumAccountId>;
        'Option<EthereumAddress>': Option<EthereumAddress>;
        'Option<EthereumLookupSource>': Option<EthereumLookupSource>;
        'Option<EthereumSignature>': Option<EthereumSignature>;
        'Option<EthFilter>': Option<EthFilter>;
        'Option<EthFilterAddress>': Option<EthFilterAddress>;
        'Option<EthFilterChanges>': Option<EthFilterChanges>;
        'Option<EthFilterTopic>': Option<EthFilterTopic>;
        'Option<EthFilterTopicEntry>': Option<EthFilterTopicEntry>;
        'Option<EthFilterTopicInner>': Option<EthFilterTopicInner>;
        'Option<EthHeader>': Option<EthHeader>;
        'Option<EthLog>': Option<EthLog>;
        'Option<EthReceipt>': Option<EthReceipt>;
        'Option<EthRichBlock>': Option<EthRichBlock>;
        'Option<EthRichHeader>': Option<EthRichHeader>;
        'Option<EthStorageProof>': Option<EthStorageProof>;
        'Option<EthSubKind>': Option<EthSubKind>;
        'Option<EthSubParams>': Option<EthSubParams>;
        'Option<EthSubResult>': Option<EthSubResult>;
        'Option<EthSyncInfo>': Option<EthSyncInfo>;
        'Option<EthSyncStatus>': Option<EthSyncStatus>;
        'Option<EthTransaction>': Option<EthTransaction>;
        'Option<EthTransactionAction>': Option<EthTransactionAction>;
        'Option<EthTransactionCondition>': Option<EthTransactionCondition>;
        'Option<EthTransactionRequest>': Option<EthTransactionRequest>;
        'Option<EthTransactionSignature>': Option<EthTransactionSignature>;
        'Option<EthTransactionStatus>': Option<EthTransactionStatus>;
        'Option<EthWork>': Option<EthWork>;
        'Option<Event>': Option<Event>;
        'Option<EventCounts>': Option<EventCounts>;
        'Option<EventDid>': Option<EventDid>;
        'Option<EventId>': Option<EventId>;
        'Option<EventIndex>': Option<EventIndex>;
        'Option<EventMetadataLatest>': Option<EventMetadataLatest>;
        'Option<EventMetadataV10>': Option<EventMetadataV10>;
        'Option<EventMetadataV11>': Option<EventMetadataV11>;
        'Option<EventMetadataV12>': Option<EventMetadataV12>;
        'Option<EventMetadataV13>': Option<EventMetadataV13>;
        'Option<EventMetadataV9>': Option<EventMetadataV9>;
        'Option<EventRecord>': Option<EventRecord>;
        'Option<EvmAccount>': Option<EvmAccount>;
        'Option<EvmLog>': Option<EvmLog>;
        'Option<EvmVicinity>': Option<EvmVicinity>;
        'Option<ExecReturnValue>': Option<ExecReturnValue>;
        'Option<ExitError>': Option<ExitError>;
        'Option<ExitFatal>': Option<ExitFatal>;
        'Option<ExitReason>': Option<ExitReason>;
        'Option<ExitRevert>': Option<ExitRevert>;
        'Option<ExitSucceed>': Option<ExitSucceed>;
        'Option<ExplicitDisputeStatement>': Option<ExplicitDisputeStatement>;
        'Option<ExtensionAttributes>': Option<ExtensionAttributes>;
        'Option<Extrinsic>': Option<Extrinsic>;
        'Option<ExtrinsicEra>': Option<ExtrinsicEra>;
        'Option<ExtrinsicMetadataLatest>': Option<ExtrinsicMetadataLatest>;
        'Option<ExtrinsicMetadataV11>': Option<ExtrinsicMetadataV11>;
        'Option<ExtrinsicMetadataV12>': Option<ExtrinsicMetadataV12>;
        'Option<ExtrinsicMetadataV13>': Option<ExtrinsicMetadataV13>;
        'Option<ExtrinsicMetadataV14>': Option<ExtrinsicMetadataV14>;
        'Option<ExtrinsicOrHash>': Option<ExtrinsicOrHash>;
        'Option<ExtrinsicPayload>': Option<ExtrinsicPayload>;
        'Option<ExtrinsicPayloadUnknown>': Option<ExtrinsicPayloadUnknown>;
        'Option<ExtrinsicPayloadV4>': Option<ExtrinsicPayloadV4>;
        'Option<ExtrinsicPermissions>': Option<ExtrinsicPermissions>;
        'Option<ExtrinsicSignature>': Option<ExtrinsicSignature>;
        'Option<ExtrinsicSignatureV4>': Option<ExtrinsicSignatureV4>;
        'Option<ExtrinsicStatus>': Option<ExtrinsicStatus>;
        'Option<ExtrinsicsWeight>': Option<ExtrinsicsWeight>;
        'Option<ExtrinsicUnknown>': Option<ExtrinsicUnknown>;
        'Option<ExtrinsicV4>': Option<ExtrinsicV4>;
        'Option<ExtVersion>': Option<ExtVersion>;
        'Option<FeeDetails>': Option<FeeDetails>;
        'Option<Fixed128>': Option<Fixed128>;
        'Option<Fixed64>': Option<Fixed64>;
        'Option<FixedI128>': Option<FixedI128>;
        'Option<FixedI64>': Option<FixedI64>;
        'Option<FixedU128>': Option<FixedU128>;
        'Option<FixedU64>': Option<FixedU64>;
        'Option<ForkTreePendingChange>': Option<ForkTreePendingChange>;
        'Option<ForkTreePendingChangeNode>': Option<ForkTreePendingChangeNode>;
        'Option<FullIdentification>': Option<FullIdentification>;
        'Option<FunctionArgumentMetadataLatest>': Option<FunctionArgumentMetadataLatest>;
        'Option<FunctionArgumentMetadataV10>': Option<FunctionArgumentMetadataV10>;
        'Option<FunctionArgumentMetadataV11>': Option<FunctionArgumentMetadataV11>;
        'Option<FunctionArgumentMetadataV12>': Option<FunctionArgumentMetadataV12>;
        'Option<FunctionArgumentMetadataV13>': Option<FunctionArgumentMetadataV13>;
        'Option<FunctionArgumentMetadataV9>': Option<FunctionArgumentMetadataV9>;
        'Option<FunctionMetadataLatest>': Option<FunctionMetadataLatest>;
        'Option<FunctionMetadataV10>': Option<FunctionMetadataV10>;
        'Option<FunctionMetadataV11>': Option<FunctionMetadataV11>;
        'Option<FunctionMetadataV12>': Option<FunctionMetadataV12>;
        'Option<FunctionMetadataV13>': Option<FunctionMetadataV13>;
        'Option<FunctionMetadataV9>': Option<FunctionMetadataV9>;
        'Option<FundIndex>': Option<FundIndex>;
        'Option<FundInfo>': Option<FundInfo>;
        'Option<FundingRoundName>': Option<FundingRoundName>;
        'Option<Fundraiser>': Option<Fundraiser>;
        'Option<FundraiserId>': Option<FundraiserId>;
        'Option<FundraiserName>': Option<FundraiserName>;
        'Option<FundraiserStatus>': Option<FundraiserStatus>;
        'Option<FundraiserTier>': Option<FundraiserTier>;
        'Option<Gas>': Option<Gas>;
        'Option<GiltBid>': Option<GiltBid>;
        'Option<GlobalValidationData>': Option<GlobalValidationData>;
        'Option<GlobalValidationSchedule>': Option<GlobalValidationSchedule>;
        'Option<GrandpaCommit>': Option<GrandpaCommit>;
        'Option<GrandpaEquivocation>': Option<GrandpaEquivocation>;
        'Option<GrandpaEquivocationProof>': Option<GrandpaEquivocationProof>;
        'Option<GrandpaEquivocationValue>': Option<GrandpaEquivocationValue>;
        'Option<GrandpaJustification>': Option<GrandpaJustification>;
        'Option<GrandpaPrecommit>': Option<GrandpaPrecommit>;
        'Option<GrandpaPrevote>': Option<GrandpaPrevote>;
        'Option<GrandpaSignedPrecommit>': Option<GrandpaSignedPrecommit>;
        'Option<GranularCanTransferResult>': Option<GranularCanTransferResult>;
        'Option<GroupIndex>': Option<GroupIndex>;
        'Option<H1024>': Option<H1024>;
        'Option<H128>': Option<H128>;
        'Option<H160>': Option<H160>;
        'Option<H2048>': Option<H2048>;
        'Option<H256>': Option<H256>;
        'Option<H32>': Option<H32>;
        'Option<H512>': Option<H512>;
        'Option<H64>': Option<H64>;
        'Option<HandledTxStatus>': Option<HandledTxStatus>;
        'Option<Hash>': Option<Hash>;
        'Option<HeadData>': Option<HeadData>;
        'Option<Header>': Option<Header>;
        'Option<HeaderPartial>': Option<HeaderPartial>;
        'Option<Health>': Option<Health>;
        'Option<Heartbeat>': Option<Heartbeat>;
        'Option<HeartbeatTo244>': Option<HeartbeatTo244>;
        'Option<HostConfiguration>': Option<HostConfiguration>;
        'Option<HostFnWeights>': Option<HostFnWeights>;
        'Option<HostFnWeightsTo264>': Option<HostFnWeightsTo264>;
        'Option<HrmpChannel>': Option<HrmpChannel>;
        'Option<HrmpChannelId>': Option<HrmpChannelId>;
        'Option<HrmpOpenChannelRequest>': Option<HrmpOpenChannelRequest>;
        'Option<i128>': Option<i128>;
        'Option<I128>': Option<I128>;
        'Option<i16>': Option<i16>;
        'Option<I16>': Option<I16>;
        'Option<i256>': Option<i256>;
        'Option<I256>': Option<I256>;
        'Option<i32>': Option<i32>;
        'Option<I32>': Option<I32>;
        'Option<I32F32>': Option<I32F32>;
        'Option<i64>': Option<i64>;
        'Option<I64>': Option<I64>;
        'Option<i8>': Option<i8>;
        'Option<I8>': Option<I8>;
        'Option<IdentificationTuple>': Option<IdentificationTuple>;
        'Option<IdentityClaim>': Option<IdentityClaim>;
        'Option<IdentityId>': Option<IdentityId>;
        'Option<IdentityRole>': Option<IdentityRole>;
        'Option<ImmortalEra>': Option<ImmortalEra>;
        'Option<ImportedAux>': Option<ImportedAux>;
        'Option<InactiveMember>': Option<InactiveMember>;
        'Option<InboundDownwardMessage>': Option<InboundDownwardMessage>;
        'Option<InboundHrmpMessage>': Option<InboundHrmpMessage>;
        'Option<InboundHrmpMessages>': Option<InboundHrmpMessages>;
        'Option<InboundStatus>': Option<InboundStatus>;
        'Option<IncludedBlocks>': Option<IncludedBlocks>;
        'Option<InclusionFee>': Option<InclusionFee>;
        'Option<IncomingParachain>': Option<IncomingParachain>;
        'Option<IncomingParachainDeploy>': Option<IncomingParachainDeploy>;
        'Option<IncomingParachainFixed>': Option<IncomingParachainFixed>;
        'Option<Index>': Option<Index>;
        'Option<IndicesLookupSource>': Option<IndicesLookupSource>;
        'Option<InitializationData>': Option<InitializationData>;
        'Option<InstanceDetails>': Option<InstanceDetails>;
        'Option<InstanceId>': Option<InstanceId>;
        'Option<InstanceMetadata>': Option<InstanceMetadata>;
        'Option<InstantiateRequest>': Option<InstantiateRequest>;
        'Option<InstantiateReturnValue>': Option<InstantiateReturnValue>;
        'Option<Instruction>': Option<Instruction>;
        'Option<InstructionId>': Option<InstructionId>;
        'Option<InstructionStatus>': Option<InstructionStatus>;
        'Option<InstructionWeights>': Option<InstructionWeights>;
        'Option<InvalidDisputeStatementKind>': Option<InvalidDisputeStatementKind>;
        'Option<InvalidTransaction>': Option<InvalidTransaction>;
        'Option<InvestorUid>': Option<InvestorUid>;
        'Option<InvestorZKProofData>': Option<InvestorZKProofData>;
        'Option<ItnRewardStatus>': Option<ItnRewardStatus>;
        'Option<Json>': Option<Json>;
        'Option<Junction>': Option<Junction>;
        'Option<Justification>': Option<Justification>;
        'Option<JustificationNotification>': Option<JustificationNotification>;
        'Option<Justifications>': Option<Justifications>;
        'Option<Key>': Option<Key>;
        'Option<KeyIdentityData>': Option<KeyIdentityData>;
        'Option<KeyOwnerProof>': Option<KeyOwnerProof>;
        'Option<Keys>': Option<Keys>;
        'Option<KeyTypeId>': Option<KeyTypeId>;
        'Option<KeyValue>': Option<KeyValue>;
        'Option<KeyValueOption>': Option<KeyValueOption>;
        'Option<Kind>': Option<Kind>;
        'Option<LastContribution>': Option<LastContribution>;
        'Option<LastRuntimeUpgradeInfo>': Option<LastRuntimeUpgradeInfo>;
        'Option<LeasePeriod>': Option<LeasePeriod>;
        'Option<LeasePeriodOf>': Option<LeasePeriodOf>;
        'Option<Leg>': Option<Leg>;
        'Option<LegacyPalletPermissions>': Option<LegacyPalletPermissions>;
        'Option<LegacyPermissions>': Option<LegacyPermissions>;
        'Option<LegId>': Option<LegId>;
        'Option<LegStatus>': Option<LegStatus>;
        'Option<Limits>': Option<Limits>;
        'Option<LimitsTo264>': Option<LimitsTo264>;
        'Option<LocalCAId>': Option<LocalCAId>;
        'Option<LocalValidationData>': Option<LocalValidationData>;
        'Option<LockIdentifier>': Option<LockIdentifier>;
        'Option<LookupSource>': Option<LookupSource>;
        'Option<LookupTarget>': Option<LookupTarget>;
        'Option<LotteryConfig>': Option<LotteryConfig>;
        'Option<MaybeBlock>': Option<MaybeBlock>;
        'Option<MaybeRandomness>': Option<MaybeRandomness>;
        'Option<MaybeVrf>': Option<MaybeVrf>;
        'Option<MemberCount>': Option<MemberCount>;
        'Option<MembershipProof>': Option<MembershipProof>;
        'Option<Memo>': Option<Memo>;
        'Option<MessageId>': Option<MessageId>;
        'Option<MessageIngestionType>': Option<MessageIngestionType>;
        'Option<MessageQueueChain>': Option<MessageQueueChain>;
        'Option<MessagingStateSnapshot>': Option<MessagingStateSnapshot>;
        'Option<MessagingStateSnapshotEgressEntry>': Option<MessagingStateSnapshotEgressEntry>;
        'Option<MetadataAll>': Option<MetadataAll>;
        'Option<MetadataLatest>': Option<MetadataLatest>;
        'Option<MetadataV10>': Option<MetadataV10>;
        'Option<MetadataV11>': Option<MetadataV11>;
        'Option<MetadataV12>': Option<MetadataV12>;
        'Option<MetadataV13>': Option<MetadataV13>;
        'Option<MetadataV14>': Option<MetadataV14>;
        'Option<MetadataV9>': Option<MetadataV9>;
        'Option<MetaDescription>': Option<MetaDescription>;
        'Option<MetaUrl>': Option<MetaUrl>;
        'Option<MetaVersion>': Option<MetaVersion>;
        'Option<MmrLeafProof>': Option<MmrLeafProof>;
        'Option<MmrRootHash>': Option<MmrRootHash>;
        'Option<ModuleConstantMetadataLatest>': Option<ModuleConstantMetadataLatest>;
        'Option<ModuleConstantMetadataV10>': Option<ModuleConstantMetadataV10>;
        'Option<ModuleConstantMetadataV11>': Option<ModuleConstantMetadataV11>;
        'Option<ModuleConstantMetadataV12>': Option<ModuleConstantMetadataV12>;
        'Option<ModuleConstantMetadataV13>': Option<ModuleConstantMetadataV13>;
        'Option<ModuleConstantMetadataV9>': Option<ModuleConstantMetadataV9>;
        'Option<ModuleId>': Option<ModuleId>;
        'Option<ModuleMetadataLatest>': Option<ModuleMetadataLatest>;
        'Option<ModuleMetadataV10>': Option<ModuleMetadataV10>;
        'Option<ModuleMetadataV11>': Option<ModuleMetadataV11>;
        'Option<ModuleMetadataV12>': Option<ModuleMetadataV12>;
        'Option<ModuleMetadataV13>': Option<ModuleMetadataV13>;
        'Option<ModuleMetadataV9>': Option<ModuleMetadataV9>;
        'Option<Moment>': Option<Moment>;
        'Option<MoreAttestations>': Option<MoreAttestations>;
        'Option<MortalEra>': Option<MortalEra>;
        'Option<Motion>': Option<Motion>;
        'Option<MotionInfoLink>': Option<MotionInfoLink>;
        'Option<MotionTitle>': Option<MotionTitle>;
        'Option<MovePortfolioItem>': Option<MovePortfolioItem>;
        'Option<MultiAddress>': Option<MultiAddress>;
        'Option<MultiAsset>': Option<MultiAsset>;
        'Option<MultiAssetAbstractFungible>': Option<MultiAssetAbstractFungible>;
        'Option<MultiAssetAbstractNonFungible>': Option<MultiAssetAbstractNonFungible>;
        'Option<MultiAssetConcreteFungible>': Option<MultiAssetConcreteFungible>;
        'Option<MultiAssetConcreteNonFungible>': Option<MultiAssetConcreteNonFungible>;
        'Option<MultiDisputeStatementSet>': Option<MultiDisputeStatementSet>;
        'Option<MultiLocation>': Option<MultiLocation>;
        'Option<Multiplier>': Option<Multiplier>;
        'Option<Multisig>': Option<Multisig>;
        'Option<MultiSignature>': Option<MultiSignature>;
        'Option<MultiSigner>': Option<MultiSigner>;
        'Option<NetworkId>': Option<NetworkId>;
        'Option<NetworkState>': Option<NetworkState>;
        'Option<NetworkStatePeerset>': Option<NetworkStatePeerset>;
        'Option<NetworkStatePeersetInfo>': Option<NetworkStatePeersetInfo>;
        'Option<NewBidder>': Option<NewBidder>;
        'Option<NextAuthority>': Option<NextAuthority>;
        'Option<NextConfigDescriptor>': Option<NextConfigDescriptor>;
        'Option<NextConfigDescriptorV1>': Option<NextConfigDescriptorV1>;
        'Option<NodeRole>': Option<NodeRole>;
        'Option<NotConnectedPeer>': Option<NotConnectedPeer>;
        'Option<Null>': Option<Null>;
        'Option<OffChainSignature>': Option<OffChainSignature>;
        'Option<OffenceDetails>': Option<OffenceDetails>;
        'Option<Offender>': Option<Offender>;
        'Option<OpaqueCall>': Option<OpaqueCall>;
        'Option<OpaqueMultiaddr>': Option<OpaqueMultiaddr>;
        'Option<OpaqueNetworkState>': Option<OpaqueNetworkState>;
        'Option<OpaquePeerId>': Option<OpaquePeerId>;
        'Option<OpaqueTimeSlot>': Option<OpaqueTimeSlot>;
        'Option<OpenTip>': Option<OpenTip>;
        'Option<OpenTipFinderTo225>': Option<OpenTipFinderTo225>;
        'Option<OpenTipTip>': Option<OpenTipTip>;
        'Option<OpenTipTo225>': Option<OpenTipTo225>;
        'Option<Origin>': Option<Origin>;
        'Option<OriginCaller>': Option<OriginCaller>;
        'Option<OutboundHrmpMessage>': Option<OutboundHrmpMessage>;
        'Option<OutboundStatus>': Option<OutboundStatus>;
        'Option<Outcome>': Option<Outcome>;
        'Option<OverweightIndex>': Option<OverweightIndex>;
        'Option<Owner>': Option<Owner>;
        'Option<PageCounter>': Option<PageCounter>;
        'Option<PageIndexData>': Option<PageIndexData>;
        'Option<PalletCallMetadataLatest>': Option<PalletCallMetadataLatest>;
        'Option<PalletCallMetadataV14>': Option<PalletCallMetadataV14>;
        'Option<PalletConstantMetadataLatest>': Option<PalletConstantMetadataLatest>;
        'Option<PalletConstantMetadataV14>': Option<PalletConstantMetadataV14>;
        'Option<PalletErrorMetadataLatest>': Option<PalletErrorMetadataLatest>;
        'Option<PalletErrorMetadataV14>': Option<PalletErrorMetadataV14>;
        'Option<PalletEventMetadataLatest>': Option<PalletEventMetadataLatest>;
        'Option<PalletEventMetadataV14>': Option<PalletEventMetadataV14>;
        'Option<PalletId>': Option<PalletId>;
        'Option<PalletMetadataLatest>': Option<PalletMetadataLatest>;
        'Option<PalletMetadataV14>': Option<PalletMetadataV14>;
        'Option<PalletName>': Option<PalletName>;
        'Option<PalletPermissions>': Option<PalletPermissions>;
        'Option<PalletsOrigin>': Option<PalletsOrigin>;
        'Option<PalletStorageMetadataLatest>': Option<PalletStorageMetadataLatest>;
        'Option<PalletStorageMetadataV14>': Option<PalletStorageMetadataV14>;
        'Option<PalletVersion>': Option<PalletVersion>;
        'Option<ParachainDispatchOrigin>': Option<ParachainDispatchOrigin>;
        'Option<ParachainInherentData>': Option<ParachainInherentData>;
        'Option<ParachainProposal>': Option<ParachainProposal>;
        'Option<ParachainsInherentData>': Option<ParachainsInherentData>;
        'Option<ParaGenesisArgs>': Option<ParaGenesisArgs>;
        'Option<ParaId>': Option<ParaId>;
        'Option<ParaInfo>': Option<ParaInfo>;
        'Option<ParaLifecycle>': Option<ParaLifecycle>;
        'Option<ParaPastCodeMeta>': Option<ParaPastCodeMeta>;
        'Option<ParaScheduling>': Option<ParaScheduling>;
        'Option<ParathreadClaim>': Option<ParathreadClaim>;
        'Option<ParathreadClaimQueue>': Option<ParathreadClaimQueue>;
        'Option<ParathreadEntry>': Option<ParathreadEntry>;
        'Option<ParaValidatorIndex>': Option<ParaValidatorIndex>;
        'Option<Pays>': Option<Pays>;
        'Option<Peer>': Option<Peer>;
        'Option<PeerEndpoint>': Option<PeerEndpoint>;
        'Option<PeerEndpointAddr>': Option<PeerEndpointAddr>;
        'Option<PeerInfo>': Option<PeerInfo>;
        'Option<PeerPing>': Option<PeerPing>;
        'Option<PendingChange>': Option<PendingChange>;
        'Option<PendingPause>': Option<PendingPause>;
        'Option<PendingResume>': Option<PendingResume>;
        'Option<Perbill>': Option<Perbill>;
        'Option<Percent>': Option<Percent>;
        'Option<Percentage>': Option<Percentage>;
        'Option<PerDispatchClassU32>': Option<PerDispatchClassU32>;
        'Option<PerDispatchClassWeight>': Option<PerDispatchClassWeight>;
        'Option<PerDispatchClassWeightsPerClass>': Option<PerDispatchClassWeightsPerClass>;
        'Option<Period>': Option<Period>;
        'Option<Permill>': Option<Permill>;
        'Option<PermissionedIdentityPrefs>': Option<PermissionedIdentityPrefs>;
        'Option<PermissionLatest>': Option<PermissionLatest>;
        'Option<Permissions>': Option<Permissions>;
        'Option<PermissionsV1>': Option<PermissionsV1>;
        'Option<PermissionVersions>': Option<PermissionVersions>;
        'Option<Perquintill>': Option<Perquintill>;
        'Option<PersistedValidationData>': Option<PersistedValidationData>;
        'Option<PerU16>': Option<PerU16>;
        'Option<Phantom>': Option<Phantom>;
        'Option<PhantomData>': Option<PhantomData>;
        'Option<Phase>': Option<Phase>;
        'Option<Pip>': Option<Pip>;
        'Option<PipDescription>': Option<PipDescription>;
        'Option<PipId>': Option<PipId>;
        'Option<PipsMetadata>': Option<PipsMetadata>;
        'Option<PluralityJunction>': Option<PluralityJunction>;
        'Option<PolymeshVotes>': Option<PolymeshVotes>;
        'Option<PortableRegistry>': Option<PortableRegistry>;
        'Option<PortableType>': Option<PortableType>;
        'Option<PortfolioId>': Option<PortfolioId>;
        'Option<PortfolioKind>': Option<PortfolioKind>;
        'Option<PortfolioName>': Option<PortfolioName>;
        'Option<PortfolioNumber>': Option<PortfolioNumber>;
        'Option<PortfolioPermissions>': Option<PortfolioPermissions>;
        'Option<PortfolioValidityResult>': Option<PortfolioValidityResult>;
        'Option<PosRatio>': Option<PosRatio>;
        'Option<PreAuthorizedKeyInfo>': Option<PreAuthorizedKeyInfo>;
        'Option<Precommits>': Option<Precommits>;
        'Option<PrefabWasmModule>': Option<PrefabWasmModule>;
        'Option<PrefixedStorageKey>': Option<PrefixedStorageKey>;
        'Option<PreimageStatus>': Option<PreimageStatus>;
        'Option<PreimageStatusAvailable>': Option<PreimageStatusAvailable>;
        'Option<PreRuntime>': Option<PreRuntime>;
        'Option<Prevotes>': Option<Prevotes>;
        'Option<PriceTier>': Option<PriceTier>;
        'Option<Priority>': Option<Priority>;
        'Option<PriorLock>': Option<PriorLock>;
        'Option<PropIndex>': Option<PropIndex>;
        'Option<Proposal>': Option<Proposal>;
        'Option<ProposalData>': Option<ProposalData>;
        'Option<ProposalDetails>': Option<ProposalDetails>;
        'Option<ProposalIndex>': Option<ProposalIndex>;
        'Option<ProposalState>': Option<ProposalState>;
        'Option<ProposalStatus>': Option<ProposalStatus>;
        'Option<Proposer>': Option<Proposer>;
        'Option<ProtocolOp>': Option<ProtocolOp>;
        'Option<ProxyAnnouncement>': Option<ProxyAnnouncement>;
        'Option<ProxyDefinition>': Option<ProxyDefinition>;
        'Option<ProxyState>': Option<ProxyState>;
        'Option<ProxyType>': Option<ProxyType>;
        'Option<QueueConfigData>': Option<QueueConfigData>;
        'Option<QueuedParathread>': Option<QueuedParathread>;
        'Option<Randomness>': Option<Randomness>;
        'Option<Raw>': Option<Raw>;
        'Option<RawAuraPreDigest>': Option<RawAuraPreDigest>;
        'Option<RawBabePreDigest>': Option<RawBabePreDigest>;
        'Option<RawBabePreDigestCompat>': Option<RawBabePreDigestCompat>;
        'Option<RawBabePreDigestPrimary>': Option<RawBabePreDigestPrimary>;
        'Option<RawBabePreDigestPrimaryTo159>': Option<RawBabePreDigestPrimaryTo159>;
        'Option<RawBabePreDigestSecondaryPlain>': Option<RawBabePreDigestSecondaryPlain>;
        'Option<RawBabePreDigestSecondaryTo159>': Option<RawBabePreDigestSecondaryTo159>;
        'Option<RawBabePreDigestSecondaryVRF>': Option<RawBabePreDigestSecondaryVRF>;
        'Option<RawBabePreDigestTo159>': Option<RawBabePreDigestTo159>;
        'Option<RawOrigin>': Option<RawOrigin>;
        'Option<RawVRFOutput>': Option<RawVRFOutput>;
        'Option<ReadProof>': Option<ReadProof>;
        'Option<Reasons>': Option<Reasons>;
        'Option<Receipt>': Option<Receipt>;
        'Option<ReceiptDetails>': Option<ReceiptDetails>;
        'Option<ReceiptMetadata>': Option<ReceiptMetadata>;
        'Option<RecordDate>': Option<RecordDate>;
        'Option<RecordDateSpec>': Option<RecordDateSpec>;
        'Option<RecoveryConfig>': Option<RecoveryConfig>;
        'Option<RefCount>': Option<RefCount>;
        'Option<RefCountTo259>': Option<RefCountTo259>;
        'Option<ReferendumIndex>': Option<ReferendumIndex>;
        'Option<ReferendumInfo>': Option<ReferendumInfo>;
        'Option<ReferendumInfoFinished>': Option<ReferendumInfoFinished>;
        'Option<ReferendumInfoTo239>': Option<ReferendumInfoTo239>;
        'Option<ReferendumStatus>': Option<ReferendumStatus>;
        'Option<RegisteredParachainInfo>': Option<RegisteredParachainInfo>;
        'Option<RelayBlockNumber>': Option<RelayBlockNumber>;
        'Option<RelayChainBlockNumber>': Option<RelayChainBlockNumber>;
        'Option<RelayChainHash>': Option<RelayChainHash>;
        'Option<RelayHash>': Option<RelayHash>;
        'Option<Releases>': Option<Releases>;
        'Option<Remark>': Option<Remark>;
        'Option<Renouncing>': Option<Renouncing>;
        'Option<RentProjection>': Option<RentProjection>;
        'Option<ReplacementTimes>': Option<ReplacementTimes>;
        'Option<ReportedRoundStates>': Option<ReportedRoundStates>;
        'Option<Reporter>': Option<Reporter>;
        'Option<ReportIdOf>': Option<ReportIdOf>;
        'Option<ReserveData>': Option<ReserveData>;
        'Option<ReserveIdentifier>': Option<ReserveIdentifier>;
        'Option<RestrictionResult>': Option<RestrictionResult>;
        'Option<Retriable>': Option<Retriable>;
        'Option<RistrettoPoint>': Option<RistrettoPoint>;
        'Option<RoundState>': Option<RoundState>;
        'Option<RpcMethods>': Option<RpcMethods>;
        'Option<RuntimeDbWeight>': Option<RuntimeDbWeight>;
        'Option<RuntimeDispatchInfo>': Option<RuntimeDispatchInfo>;
        'Option<RuntimeVersion>': Option<RuntimeVersion>;
        'Option<RuntimeVersionApi>': Option<RuntimeVersionApi>;
        'Option<RuntimeVersionPartial>': Option<RuntimeVersionPartial>;
        'Option<Scalar>': Option<Scalar>;
        'Option<Schedule>': Option<Schedule>;
        'Option<Scheduled>': Option<Scheduled>;
        'Option<ScheduledTo254>': Option<ScheduledTo254>;
        'Option<ScheduleId>': Option<ScheduleId>;
        'Option<SchedulePeriod>': Option<SchedulePeriod>;
        'Option<SchedulePriority>': Option<SchedulePriority>;
        'Option<ScheduleSpec>': Option<ScheduleSpec>;
        'Option<ScheduleTo212>': Option<ScheduleTo212>;
        'Option<ScheduleTo258>': Option<ScheduleTo258>;
        'Option<ScheduleTo264>': Option<ScheduleTo264>;
        'Option<Scheduling>': Option<Scheduling>;
        'Option<Scope>': Option<Scope>;
        'Option<ScopeClaimProof>': Option<ScopeClaimProof>;
        'Option<ScopeId>': Option<ScopeId>;
        'Option<Seal>': Option<Seal>;
        'Option<SealV0>': Option<SealV0>;
        'Option<SecondaryKey>': Option<SecondaryKey>;
        'Option<SecondaryKeyWithAuth>': Option<SecondaryKeyWithAuth>;
        'Option<SecurityToken>': Option<SecurityToken>;
        'Option<SeedOf>': Option<SeedOf>;
        'Option<ServiceQuality>': Option<ServiceQuality>;
        'Option<SessionIndex>': Option<SessionIndex>;
        'Option<SessionInfo>': Option<SessionInfo>;
        'Option<SessionInfoValidatorGroup>': Option<SessionInfoValidatorGroup>;
        'Option<SessionKeys1>': Option<SessionKeys1>;
        'Option<SessionKeys10>': Option<SessionKeys10>;
        'Option<SessionKeys10B>': Option<SessionKeys10B>;
        'Option<SessionKeys2>': Option<SessionKeys2>;
        'Option<SessionKeys3>': Option<SessionKeys3>;
        'Option<SessionKeys4>': Option<SessionKeys4>;
        'Option<SessionKeys5>': Option<SessionKeys5>;
        'Option<SessionKeys6>': Option<SessionKeys6>;
        'Option<SessionKeys6B>': Option<SessionKeys6B>;
        'Option<SessionKeys7>': Option<SessionKeys7>;
        'Option<SessionKeys7B>': Option<SessionKeys7B>;
        'Option<SessionKeys8>': Option<SessionKeys8>;
        'Option<SessionKeys8B>': Option<SessionKeys8B>;
        'Option<SessionKeys9>': Option<SessionKeys9>;
        'Option<SessionKeys9B>': Option<SessionKeys9B>;
        'Option<SetId>': Option<SetId>;
        'Option<SetIndex>': Option<SetIndex>;
        'Option<SettlementType>': Option<SettlementType>;
        'Option<Si0Field>': Option<Si0Field>;
        'Option<Si0LookupTypeId>': Option<Si0LookupTypeId>;
        'Option<Si0Path>': Option<Si0Path>;
        'Option<Si0Type>': Option<Si0Type>;
        'Option<Si0TypeDef>': Option<Si0TypeDef>;
        'Option<Si0TypeDefArray>': Option<Si0TypeDefArray>;
        'Option<Si0TypeDefBitSequence>': Option<Si0TypeDefBitSequence>;
        'Option<Si0TypeDefCompact>': Option<Si0TypeDefCompact>;
        'Option<Si0TypeDefComposite>': Option<Si0TypeDefComposite>;
        'Option<Si0TypeDefPhantom>': Option<Si0TypeDefPhantom>;
        'Option<Si0TypeDefPrimitive>': Option<Si0TypeDefPrimitive>;
        'Option<Si0TypeDefSequence>': Option<Si0TypeDefSequence>;
        'Option<Si0TypeDefTuple>': Option<Si0TypeDefTuple>;
        'Option<Si0TypeDefVariant>': Option<Si0TypeDefVariant>;
        'Option<Si0TypeParameter>': Option<Si0TypeParameter>;
        'Option<Si0Variant>': Option<Si0Variant>;
        'Option<SiField>': Option<SiField>;
        'Option<Signatory>': Option<Signatory>;
        'Option<Signature>': Option<Signature>;
        'Option<SignedAvailabilityBitfield>': Option<SignedAvailabilityBitfield>;
        'Option<SignedAvailabilityBitfields>': Option<SignedAvailabilityBitfields>;
        'Option<SignedBlock>': Option<SignedBlock>;
        'Option<SignedBlockWithJustification>': Option<SignedBlockWithJustification>;
        'Option<SignedBlockWithJustifications>': Option<SignedBlockWithJustifications>;
        'Option<SignedExtensionMetadataLatest>': Option<SignedExtensionMetadataLatest>;
        'Option<SignedExtensionMetadataV14>': Option<SignedExtensionMetadataV14>;
        'Option<SignerPayload>': Option<SignerPayload>;
        'Option<SigningContext>': Option<SigningContext>;
        'Option<SiLookupTypeId>': Option<SiLookupTypeId>;
        'Option<SiPath>': Option<SiPath>;
        'Option<SiType>': Option<SiType>;
        'Option<SiTypeDef>': Option<SiTypeDef>;
        'Option<SiTypeDefArray>': Option<SiTypeDefArray>;
        'Option<SiTypeDefBitSequence>': Option<SiTypeDefBitSequence>;
        'Option<SiTypeDefCompact>': Option<SiTypeDefCompact>;
        'Option<SiTypeDefComposite>': Option<SiTypeDefComposite>;
        'Option<SiTypeDefPrimitive>': Option<SiTypeDefPrimitive>;
        'Option<SiTypeDefSequence>': Option<SiTypeDefSequence>;
        'Option<SiTypeDefTuple>': Option<SiTypeDefTuple>;
        'Option<SiTypeDefVariant>': Option<SiTypeDefVariant>;
        'Option<SiTypeParameter>': Option<SiTypeParameter>;
        'Option<SiVariant>': Option<SiVariant>;
        'Option<SkippedCount>': Option<SkippedCount>;
        'Option<SlashingSwitch>': Option<SlashingSwitch>;
        'Option<Slot>': Option<Slot>;
        'Option<SlotNumber>': Option<SlotNumber>;
        'Option<SlotRange>': Option<SlotRange>;
        'Option<SmartExtension>': Option<SmartExtension>;
        'Option<SmartExtensionName>': Option<SmartExtensionName>;
        'Option<SmartExtensionType>': Option<SmartExtensionType>;
        'Option<SnapshotId>': Option<SnapshotId>;
        'Option<SnapshotMetadata>': Option<SnapshotMetadata>;
        'Option<SnapshotResult>': Option<SnapshotResult>;
        'Option<SnapshottedPip>': Option<SnapshottedPip>;
        'Option<SocietyJudgement>': Option<SocietyJudgement>;
        'Option<SocietyVote>': Option<SocietyVote>;
        'Option<Sr25519Signature>': Option<Sr25519Signature>;
        'Option<Statement>': Option<Statement>;
        'Option<StatementKind>': Option<StatementKind>;
        'Option<StorageChangeSet>': Option<StorageChangeSet>;
        'Option<StorageData>': Option<StorageData>;
        'Option<StorageEntryMetadataLatest>': Option<StorageEntryMetadataLatest>;
        'Option<StorageEntryMetadataV10>': Option<StorageEntryMetadataV10>;
        'Option<StorageEntryMetadataV11>': Option<StorageEntryMetadataV11>;
        'Option<StorageEntryMetadataV12>': Option<StorageEntryMetadataV12>;
        'Option<StorageEntryMetadataV13>': Option<StorageEntryMetadataV13>;
        'Option<StorageEntryMetadataV14>': Option<StorageEntryMetadataV14>;
        'Option<StorageEntryMetadataV9>': Option<StorageEntryMetadataV9>;
        'Option<StorageEntryModifierLatest>': Option<StorageEntryModifierLatest>;
        'Option<StorageEntryModifierV10>': Option<StorageEntryModifierV10>;
        'Option<StorageEntryModifierV11>': Option<StorageEntryModifierV11>;
        'Option<StorageEntryModifierV12>': Option<StorageEntryModifierV12>;
        'Option<StorageEntryModifierV13>': Option<StorageEntryModifierV13>;
        'Option<StorageEntryModifierV14>': Option<StorageEntryModifierV14>;
        'Option<StorageEntryModifierV9>': Option<StorageEntryModifierV9>;
        'Option<StorageEntryTypeLatest>': Option<StorageEntryTypeLatest>;
        'Option<StorageEntryTypeV10>': Option<StorageEntryTypeV10>;
        'Option<StorageEntryTypeV11>': Option<StorageEntryTypeV11>;
        'Option<StorageEntryTypeV12>': Option<StorageEntryTypeV12>;
        'Option<StorageEntryTypeV13>': Option<StorageEntryTypeV13>;
        'Option<StorageEntryTypeV14>': Option<StorageEntryTypeV14>;
        'Option<StorageEntryTypeV9>': Option<StorageEntryTypeV9>;
        'Option<StorageHasher>': Option<StorageHasher>;
        'Option<StorageHasherV10>': Option<StorageHasherV10>;
        'Option<StorageHasherV11>': Option<StorageHasherV11>;
        'Option<StorageHasherV12>': Option<StorageHasherV12>;
        'Option<StorageHasherV13>': Option<StorageHasherV13>;
        'Option<StorageHasherV14>': Option<StorageHasherV14>;
        'Option<StorageHasherV9>': Option<StorageHasherV9>;
        'Option<StorageKey>': Option<StorageKey>;
        'Option<StorageKind>': Option<StorageKind>;
        'Option<StorageMetadataLatest>': Option<StorageMetadataLatest>;
        'Option<StorageMetadataV10>': Option<StorageMetadataV10>;
        'Option<StorageMetadataV11>': Option<StorageMetadataV11>;
        'Option<StorageMetadataV12>': Option<StorageMetadataV12>;
        'Option<StorageMetadataV13>': Option<StorageMetadataV13>;
        'Option<StorageMetadataV9>': Option<StorageMetadataV9>;
        'Option<StorageProof>': Option<StorageProof>;
        'Option<StoredPendingChange>': Option<StoredPendingChange>;
        'Option<StoredSchedule>': Option<StoredSchedule>;
        'Option<StoredState>': Option<StoredState>;
        'Option<StrikeCount>': Option<StrikeCount>;
        'Option<SubId>': Option<SubId>;
        'Option<Subsidy>': Option<Subsidy>;
        'Option<SyncState>': Option<SyncState>;
        'Option<SystemInherentData>': Option<SystemInherentData>;
        'Option<SystemOrigin>': Option<SystemOrigin>;
        'Option<Tally>': Option<Tally>;
        'Option<TargetIdAuthorization>': Option<TargetIdAuthorization>;
        'Option<TargetIdentities>': Option<TargetIdentities>;
        'Option<TargetIdentity>': Option<TargetIdentity>;
        'Option<TargetTreatment>': Option<TargetTreatment>;
        'Option<TaskAddress>': Option<TaskAddress>;
        'Option<TAssetBalance>': Option<TAssetBalance>;
        'Option<TAssetDepositBalance>': Option<TAssetDepositBalance>;
        'Option<Tax>': Option<Tax>;
        'Option<TemplateDetails>': Option<TemplateDetails>;
        'Option<TemplateMetadata>': Option<TemplateMetadata>;
        'Option<Text>': Option<Text>;
        'Option<Ticker>': Option<Ticker>;
        'Option<TickerRegistration>': Option<TickerRegistration>;
        'Option<TickerRegistrationConfig>': Option<TickerRegistrationConfig>;
        'Option<Timepoint>': Option<Timepoint>;
        'Option<TokenError>': Option<TokenError>;
        'Option<TombstoneContractInfo>': Option<TombstoneContractInfo>;
        'Option<TraceBlockResponse>': Option<TraceBlockResponse>;
        'Option<TraceError>': Option<TraceError>;
        'Option<TransactionInfo>': Option<TransactionInfo>;
        'Option<TransactionPriority>': Option<TransactionPriority>;
        'Option<TransactionStorageProof>': Option<TransactionStorageProof>;
        'Option<TransactionValidityError>': Option<TransactionValidityError>;
        'Option<TransferManager>': Option<TransferManager>;
        'Option<TransferManagerResult>': Option<TransferManagerResult>;
        'Option<TransientValidationData>': Option<TransientValidationData>;
        'Option<TreasuryProposal>': Option<TreasuryProposal>;
        'Option<TrieId>': Option<TrieId>;
        'Option<TrieIndex>': Option<TrieIndex>;
        'Option<TrustedFor>': Option<TrustedFor>;
        'Option<TrustedIssuer>': Option<TrustedIssuer>;
        'Option<Type>': Option<Type>;
        'Option<u128>': Option<u128>;
        'Option<U128>': Option<U128>;
        'Option<u16>': Option<u16>;
        'Option<U16>': Option<U16>;
        'Option<u256>': Option<u256>;
        'Option<U256>': Option<U256>;
        'Option<u32>': Option<u32>;
        'Option<U32>': Option<U32>;
        'Option<U32F32>': Option<U32F32>;
        'Option<u64>': Option<u64>;
        'Option<U64>': Option<U64>;
        'Option<u8>': Option<u8>;
        'Option<U8>': Option<U8>;
        'Option<UncleEntryItem>': Option<UncleEntryItem>;
        'Option<UniqueCall>': Option<UniqueCall>;
        'Option<UnknownTransaction>': Option<UnknownTransaction>;
        'Option<UpwardMessage>': Option<UpwardMessage>;
        'Option<Url>': Option<Url>;
        'Option<usize>': Option<usize>;
        'Option<USize>': Option<USize>;
        'Option<ValidationCode>': Option<ValidationCode>;
        'Option<ValidationCodeHash>': Option<ValidationCodeHash>;
        'Option<ValidationData>': Option<ValidationData>;
        'Option<ValidationDataType>': Option<ValidationDataType>;
        'Option<ValidationFunctionParams>': Option<ValidationFunctionParams>;
        'Option<ValidatorCount>': Option<ValidatorCount>;
        'Option<ValidatorId>': Option<ValidatorId>;
        'Option<ValidatorIdOf>': Option<ValidatorIdOf>;
        'Option<ValidatorSetId>': Option<ValidatorSetId>;
        'Option<ValidatorSignature>': Option<ValidatorSignature>;
        'Option<ValidDisputeStatementKind>': Option<ValidDisputeStatementKind>;
        'Option<ValidityAttestation>': Option<ValidityAttestation>;
        'Option<VecInboundHrmpMessage>': Option<VecInboundHrmpMessage>;
        'Option<Venue>': Option<Venue>;
        'Option<VenueDetails>': Option<VenueDetails>;
        'Option<VenueId>': Option<VenueId>;
        'Option<VenueType>': Option<VenueType>;
        'Option<Version>': Option<Version>;
        'Option<VersionedMultiAsset>': Option<VersionedMultiAsset>;
        'Option<VersionedMultiLocation>': Option<VersionedMultiLocation>;
        'Option<VersionedXcm>': Option<VersionedXcm>;
        'Option<VestingInfo>': Option<VestingInfo>;
        'Option<VestingSchedule>': Option<VestingSchedule>;
        'Option<Vote>': Option<Vote>;
        'Option<VoteByPip>': Option<VoteByPip>;
        'Option<VoteCount>': Option<VoteCount>;
        'Option<VoteCountProposalFound>': Option<VoteCountProposalFound>;
        'Option<VoteIndex>': Option<VoteIndex>;
        'Option<VoterInfo>': Option<VoterInfo>;
        'Option<Votes>': Option<Votes>;
        'Option<VotesTo230>': Option<VotesTo230>;
        'Option<VoteThreshold>': Option<VoteThreshold>;
        'Option<Voting>': Option<Voting>;
        'Option<VotingDelegating>': Option<VotingDelegating>;
        'Option<VotingDirect>': Option<VotingDirect>;
        'Option<VotingDirectVote>': Option<VotingDirectVote>;
        'Option<VotingResult>': Option<VotingResult>;
        'Option<VouchingStatus>': Option<VouchingStatus>;
        'Option<VrfData>': Option<VrfData>;
        'Option<VrfOutput>': Option<VrfOutput>;
        'Option<VrfProof>': Option<VrfProof>;
        'Option<Weight>': Option<Weight>;
        'Option<WeightMultiplier>': Option<WeightMultiplier>;
        'Option<WeightPerClass>': Option<WeightPerClass>;
        'Option<WeightToFeeCoefficient>': Option<WeightToFeeCoefficient>;
        'Option<WinnersData>': Option<WinnersData>;
        'Option<WinnersDataTuple>': Option<WinnersDataTuple>;
        'Option<WinningData>': Option<WinningData>;
        'Option<WinningDataEntry>': Option<WinningDataEntry>;
        'Option<WithdrawReasons>': Option<WithdrawReasons>;
        'Option<Xcm>': Option<Xcm>;
        'Option<XcmAssetEffects>': Option<XcmAssetEffects>;
        'Option<XcmError>': Option<XcmError>;
        'Option<XcmHrmpChannelAccepted>': Option<XcmHrmpChannelAccepted>;
        'Option<XcmHrmpChannelClosing>': Option<XcmHrmpChannelClosing>;
        'Option<XcmHrmpNewChannelOpenRequest>': Option<XcmHrmpNewChannelOpenRequest>;
        'Option<XcmOrder>': Option<XcmOrder>;
        'Option<XcmOrderBuyExecution>': Option<XcmOrderBuyExecution>;
        'Option<XcmOrderDepositAsset>': Option<XcmOrderDepositAsset>;
        'Option<XcmOrderDepositReserveAsset>': Option<XcmOrderDepositReserveAsset>;
        'Option<XcmOrderExchangeAsset>': Option<XcmOrderExchangeAsset>;
        'Option<XcmOrderInitiateReserveWithdraw>': Option<XcmOrderInitiateReserveWithdraw>;
        'Option<XcmOrderInitiateTeleport>': Option<XcmOrderInitiateTeleport>;
        'Option<XcmOrderQueryHolding>': Option<XcmOrderQueryHolding>;
        'Option<XcmOrigin>': Option<XcmOrigin>;
        'Option<XcmOriginKind>': Option<XcmOriginKind>;
        'Option<XcmpMessageFormat>': Option<XcmpMessageFormat>;
        'Option<XcmQueryResponse>': Option<XcmQueryResponse>;
        'Option<XcmRelayedFrom>': Option<XcmRelayedFrom>;
        'Option<XcmReserveAssetDeposit>': Option<XcmReserveAssetDeposit>;
        'Option<XcmResponse>': Option<XcmResponse>;
        'Option<XcmTeleportAsset>': Option<XcmTeleportAsset>;
        'Option<XcmTransact>': Option<XcmTransact>;
        'Option<XcmTransferAsset>': Option<XcmTransferAsset>;
        'Option<XcmTransferReserveAsset>': Option<XcmTransferReserveAsset>;
        'Option<XcmWithdrawAsset>': Option<XcmWithdrawAsset>;
        'Option<ZkProofData>': Option<ZkProofData>;
        'Vec<AbridgedCandidateReceipt>': Vec<AbridgedCandidateReceipt>;
        'Vec<AbridgedHostConfiguration>': Vec<AbridgedHostConfiguration>;
        'Vec<AbridgedHrmpChannel>': Vec<AbridgedHrmpChannel>;
        'Vec<AccountData>': Vec<AccountData>;
        'Vec<AccountId>': Vec<AccountId>;
        'Vec<AccountId20>': Vec<AccountId20>;
        'Vec<AccountId32>': Vec<AccountId32>;
        'Vec<AccountId32Junction>': Vec<AccountId32Junction>;
        'Vec<AccountIdOf>': Vec<AccountIdOf>;
        'Vec<AccountIndex>': Vec<AccountIndex>;
        'Vec<AccountIndex64Junction>': Vec<AccountIndex64Junction>;
        'Vec<AccountInfo>': Vec<AccountInfo>;
        'Vec<AccountInfoWithDualRefCount>': Vec<AccountInfoWithDualRefCount>;
        'Vec<AccountInfoWithProviders>': Vec<AccountInfoWithProviders>;
        'Vec<AccountInfoWithRefCount>': Vec<AccountInfoWithRefCount>;
        'Vec<AccountInfoWithRefCountU8>': Vec<AccountInfoWithRefCountU8>;
        'Vec<AccountInfoWithTripleRefCount>': Vec<AccountInfoWithTripleRefCount>;
        'Vec<AccountKey20Junction>': Vec<AccountKey20Junction>;
        'Vec<AccountStatus>': Vec<AccountStatus>;
        'Vec<AccountValidity>': Vec<AccountValidity>;
        'Vec<AccountVote>': Vec<AccountVote>;
        'Vec<AccountVoteSplit>': Vec<AccountVoteSplit>;
        'Vec<AccountVoteStandard>': Vec<AccountVoteStandard>;
        'Vec<ActiveGilt>': Vec<ActiveGilt>;
        'Vec<ActiveGiltsTotal>': Vec<ActiveGiltsTotal>;
        'Vec<ActiveIndex>': Vec<ActiveIndex>;
        'Vec<ActiveRecovery>': Vec<ActiveRecovery>;
        'Vec<Address>': Vec<Address>;
        'Vec<AffirmationStatus>': Vec<AffirmationStatus>;
        'Vec<AgentGroup>': Vec<AgentGroup>;
        'Vec<AGId>': Vec<AGId>;
        'Vec<AliveContractInfo>': Vec<AliveContractInfo>;
        'Vec<AllowedSlots>': Vec<AllowedSlots>;
        'Vec<AnySignature>': Vec<AnySignature>;
        'Vec<ApiId>': Vec<ApiId>;
        'Vec<ApplyExtrinsicResult>': Vec<ApplyExtrinsicResult>;
        'Vec<ApprovalFlag>': Vec<ApprovalFlag>;
        'Vec<Approvals>': Vec<Approvals>;
        'Vec<ArithmeticError>': Vec<ArithmeticError>;
        'Vec<AssetApproval>': Vec<AssetApproval>;
        'Vec<AssetApprovalKey>': Vec<AssetApprovalKey>;
        'Vec<AssetBalance>': Vec<AssetBalance>;
        'Vec<AssetCompliance>': Vec<AssetCompliance>;
        'Vec<AssetComplianceResult>': Vec<AssetComplianceResult>;
        'Vec<AssetDestroyWitness>': Vec<AssetDestroyWitness>;
        'Vec<AssetDetails>': Vec<AssetDetails>;
        'Vec<AssetDidResult>': Vec<AssetDidResult>;
        'Vec<AssetId>': Vec<AssetId>;
        'Vec<AssetIdentifier>': Vec<AssetIdentifier>;
        'Vec<AssetInstance>': Vec<AssetInstance>;
        'Vec<AssetMetadata>': Vec<AssetMetadata>;
        'Vec<AssetName>': Vec<AssetName>;
        'Vec<AssetOptions>': Vec<AssetOptions>;
        'Vec<AssetOwnershipRelation>': Vec<AssetOwnershipRelation>;
        'Vec<AssetPermissions>': Vec<AssetPermissions>;
        'Vec<AssetType>': Vec<AssetType>;
        'Vec<AssignmentId>': Vec<AssignmentId>;
        'Vec<AssignmentKind>': Vec<AssignmentKind>;
        'Vec<AttestedCandidate>': Vec<AttestedCandidate>;
        'Vec<AuctionIndex>': Vec<AuctionIndex>;
        'Vec<AuthIndex>': Vec<AuthIndex>;
        'Vec<AuthorityDiscoveryId>': Vec<AuthorityDiscoveryId>;
        'Vec<AuthorityId>': Vec<AuthorityId>;
        'Vec<AuthorityIndex>': Vec<AuthorityIndex>;
        'Vec<AuthorityList>': Vec<AuthorityList>;
        'Vec<AuthoritySet>': Vec<AuthoritySet>;
        'Vec<AuthoritySetChange>': Vec<AuthoritySetChange>;
        'Vec<AuthoritySetChanges>': Vec<AuthoritySetChanges>;
        'Vec<AuthoritySignature>': Vec<AuthoritySignature>;
        'Vec<AuthorityWeight>': Vec<AuthorityWeight>;
        'Vec<Authorization>': Vec<Authorization>;
        'Vec<AuthorizationData>': Vec<AuthorizationData>;
        'Vec<AuthorizationNonce>': Vec<AuthorizationNonce>;
        'Vec<AuthorizationType>': Vec<AuthorizationType>;
        'Vec<AvailabilityBitfield>': Vec<AvailabilityBitfield>;
        'Vec<AvailabilityBitfieldRecord>': Vec<AvailabilityBitfieldRecord>;
        'Vec<BabeAuthorityWeight>': Vec<BabeAuthorityWeight>;
        'Vec<BabeBlockWeight>': Vec<BabeBlockWeight>;
        'Vec<BabeEpochConfiguration>': Vec<BabeEpochConfiguration>;
        'Vec<BabeEquivocationProof>': Vec<BabeEquivocationProof>;
        'Vec<BabeWeight>': Vec<BabeWeight>;
        'Vec<BackedCandidate>': Vec<BackedCandidate>;
        'Vec<Balance>': Vec<Balance>;
        'Vec<BalanceLock>': Vec<BalanceLock>;
        'Vec<BalanceLockTo212>': Vec<BalanceLockTo212>;
        'Vec<BalanceOf>': Vec<BalanceOf>;
        'Vec<BalanceStatus>': Vec<BalanceStatus>;
        'Vec<BallotMeta>': Vec<BallotMeta>;
        'Vec<BallotTimeRange>': Vec<BallotTimeRange>;
        'Vec<BallotTitle>': Vec<BallotTitle>;
        'Vec<BallotVote>': Vec<BallotVote>;
        'Vec<BeefyCommitment>': Vec<BeefyCommitment>;
        'Vec<BeefyId>': Vec<BeefyId>;
        'Vec<BeefyKey>': Vec<BeefyKey>;
        'Vec<BeefyNextAuthoritySet>': Vec<BeefyNextAuthoritySet>;
        'Vec<BeefyPayload>': Vec<BeefyPayload>;
        'Vec<BeefySignedCommitment>': Vec<BeefySignedCommitment>;
        'Vec<Beneficiary>': Vec<Beneficiary>;
        'Vec<Bid>': Vec<Bid>;
        'Vec<Bidder>': Vec<Bidder>;
        'Vec<BidKind>': Vec<BidKind>;
        'Vec<BitVec>': Vec<BitVec>;
        'Vec<Block>': Vec<Block>;
        'Vec<BlockAttestations>': Vec<BlockAttestations>;
        'Vec<BlockHash>': Vec<BlockHash>;
        'Vec<BlockLength>': Vec<BlockLength>;
        'Vec<BlockNumber>': Vec<BlockNumber>;
        'Vec<BlockNumberFor>': Vec<BlockNumberFor>;
        'Vec<BlockNumberOf>': Vec<BlockNumberOf>;
        'Vec<BlockTrace>': Vec<BlockTrace>;
        'Vec<BlockTraceEvent>': Vec<BlockTraceEvent>;
        'Vec<BlockTraceEventData>': Vec<BlockTraceEventData>;
        'Vec<BlockTraceSpan>': Vec<BlockTraceSpan>;
        'Vec<BlockWeights>': Vec<BlockWeights>;
        'Vec<BodyId>': Vec<BodyId>;
        'Vec<BodyPart>': Vec<BodyPart>;
        'Vec<BodyPartAtLeastProportion>': Vec<BodyPartAtLeastProportion>;
        'Vec<BodyPartFraction>': Vec<BodyPartFraction>;
        'Vec<BodyPartMoreThanProportion>': Vec<BodyPartMoreThanProportion>;
        'Vec<bool>': Vec<bool>;
        'Vec<Bool>': Vec<Bool>;
        'Vec<Bounty>': Vec<Bounty>;
        'Vec<BountyIndex>': Vec<BountyIndex>;
        'Vec<BountyStatus>': Vec<BountyStatus>;
        'Vec<BountyStatusActive>': Vec<BountyStatusActive>;
        'Vec<BountyStatusCuratorProposed>': Vec<BountyStatusCuratorProposed>;
        'Vec<BountyStatusPendingPayout>': Vec<BountyStatusPendingPayout>;
        'Vec<BridgedBlockHash>': Vec<BridgedBlockHash>;
        'Vec<BridgedBlockNumber>': Vec<BridgedBlockNumber>;
        'Vec<BridgedHeader>': Vec<BridgedHeader>;
        'Vec<BridgeTx>': Vec<BridgeTx>;
        'Vec<BridgeTxDetail>': Vec<BridgeTxDetail>;
        'Vec<BridgeTxStatus>': Vec<BridgeTxStatus>;
        'Vec<BufferedSessionChange>': Vec<BufferedSessionChange>;
        'Vec<Bytes>': Vec<Bytes>;
        'Vec<CACheckpoint>': Vec<CACheckpoint>;
        'Vec<CADetails>': Vec<CADetails>;
        'Vec<CAId>': Vec<CAId>;
        'Vec<CAKind>': Vec<CAKind>;
        'Vec<CalendarPeriod>': Vec<CalendarPeriod>;
        'Vec<CalendarUnit>': Vec<CalendarUnit>;
        'Vec<Call>': Vec<Call>;
        'Vec<CallHash>': Vec<CallHash>;
        'Vec<CallHashOf>': Vec<CallHashOf>;
        'Vec<CallIndex>': Vec<CallIndex>;
        'Vec<CandidateCommitments>': Vec<CandidateCommitments>;
        'Vec<CandidateDescriptor>': Vec<CandidateDescriptor>;
        'Vec<CandidateHash>': Vec<CandidateHash>;
        'Vec<CandidateInfo>': Vec<CandidateInfo>;
        'Vec<CandidatePendingAvailability>': Vec<CandidatePendingAvailability>;
        'Vec<CandidateReceipt>': Vec<CandidateReceipt>;
        'Vec<CanTransferResult>': Vec<CanTransferResult>;
        'Vec<CappedFee>': Vec<CappedFee>;
        'Vec<CddId>': Vec<CddId>;
        'Vec<CddStatus>': Vec<CddStatus>;
        'Vec<ChainProperties>': Vec<ChainProperties>;
        'Vec<ChainType>': Vec<ChainType>;
        'Vec<ChangesTrieConfiguration>': Vec<ChangesTrieConfiguration>;
        'Vec<ChangesTrieSignal>': Vec<ChangesTrieSignal>;
        'Vec<CheckpointId>': Vec<CheckpointId>;
        'Vec<CheckpointSchedule>': Vec<CheckpointSchedule>;
        'Vec<ChoiceTitle>': Vec<ChoiceTitle>;
        'Vec<Claim>': Vec<Claim>;
        'Vec<Claim1stKey>': Vec<Claim1stKey>;
        'Vec<Claim2ndKey>': Vec<Claim2ndKey>;
        'Vec<ClaimType>': Vec<ClaimType>;
        'Vec<ClassDetails>': Vec<ClassDetails>;
        'Vec<ClassicTickerImport>': Vec<ClassicTickerImport>;
        'Vec<ClassicTickerRegistration>': Vec<ClassicTickerRegistration>;
        'Vec<ClassId>': Vec<ClassId>;
        'Vec<ClassMetadata>': Vec<ClassMetadata>;
        'Vec<CodecHash>': Vec<CodecHash>;
        'Vec<CodeHash>': Vec<CodeHash>;
        'Vec<CollatorId>': Vec<CollatorId>;
        'Vec<CollatorSignature>': Vec<CollatorSignature>;
        'Vec<CollectiveOrigin>': Vec<CollectiveOrigin>;
        'Vec<CommittedCandidateReceipt>': Vec<CommittedCandidateReceipt>;
        'Vec<Committee>': Vec<Committee>;
        'Vec<ComplianceRequirement>': Vec<ComplianceRequirement>;
        'Vec<ComplianceRequirementResult>': Vec<ComplianceRequirementResult>;
        'Vec<Condition>': Vec<Condition>;
        'Vec<ConditionResult>': Vec<ConditionResult>;
        'Vec<ConditionType>': Vec<ConditionType>;
        'Vec<ConfigData>': Vec<ConfigData>;
        'Vec<Consensus>': Vec<Consensus>;
        'Vec<ConsensusEngineId>': Vec<ConsensusEngineId>;
        'Vec<ConsumedWeight>': Vec<ConsumedWeight>;
        'Vec<ContractCallRequest>': Vec<ContractCallRequest>;
        'Vec<ContractConstructorSpec>': Vec<ContractConstructorSpec>;
        'Vec<ContractContractSpec>': Vec<ContractContractSpec>;
        'Vec<ContractCryptoHasher>': Vec<ContractCryptoHasher>;
        'Vec<ContractDiscriminant>': Vec<ContractDiscriminant>;
        'Vec<ContractDisplayName>': Vec<ContractDisplayName>;
        'Vec<ContractEventParamSpec>': Vec<ContractEventParamSpec>;
        'Vec<ContractEventSpec>': Vec<ContractEventSpec>;
        'Vec<ContractExecResult>': Vec<ContractExecResult>;
        'Vec<ContractExecResultErr>': Vec<ContractExecResultErr>;
        'Vec<ContractExecResultErrModule>': Vec<ContractExecResultErrModule>;
        'Vec<ContractExecResultOk>': Vec<ContractExecResultOk>;
        'Vec<ContractExecResultResult>': Vec<ContractExecResultResult>;
        'Vec<ContractExecResultSuccessTo255>': Vec<ContractExecResultSuccessTo255>;
        'Vec<ContractExecResultSuccessTo260>': Vec<ContractExecResultSuccessTo260>;
        'Vec<ContractExecResultTo255>': Vec<ContractExecResultTo255>;
        'Vec<ContractExecResultTo260>': Vec<ContractExecResultTo260>;
        'Vec<ContractExecResultTo267>': Vec<ContractExecResultTo267>;
        'Vec<ContractInfo>': Vec<ContractInfo>;
        'Vec<ContractInstantiateResult>': Vec<ContractInstantiateResult>;
        'Vec<ContractLayoutArray>': Vec<ContractLayoutArray>;
        'Vec<ContractLayoutCell>': Vec<ContractLayoutCell>;
        'Vec<ContractLayoutEnum>': Vec<ContractLayoutEnum>;
        'Vec<ContractLayoutHash>': Vec<ContractLayoutHash>;
        'Vec<ContractLayoutHashingStrategy>': Vec<ContractLayoutHashingStrategy>;
        'Vec<ContractLayoutKey>': Vec<ContractLayoutKey>;
        'Vec<ContractLayoutStruct>': Vec<ContractLayoutStruct>;
        'Vec<ContractLayoutStructField>': Vec<ContractLayoutStructField>;
        'Vec<ContractMessageParamSpec>': Vec<ContractMessageParamSpec>;
        'Vec<ContractMessageSpec>': Vec<ContractMessageSpec>;
        'Vec<ContractProject>': Vec<ContractProject>;
        'Vec<ContractProjectContract>': Vec<ContractProjectContract>;
        'Vec<ContractProjectSource>': Vec<ContractProjectSource>;
        'Vec<ContractSelector>': Vec<ContractSelector>;
        'Vec<ContractStorageKey>': Vec<ContractStorageKey>;
        'Vec<ContractStorageLayout>': Vec<ContractStorageLayout>;
        'Vec<ContractTypeSpec>': Vec<ContractTypeSpec>;
        'Vec<Conviction>': Vec<Conviction>;
        'Vec<CoreAssignment>': Vec<CoreAssignment>;
        'Vec<CoreIndex>': Vec<CoreIndex>;
        'Vec<CoreOccupied>': Vec<CoreOccupied>;
        'Vec<CorporateAction>': Vec<CorporateAction>;
        'Vec<Counter>': Vec<Counter>;
        'Vec<CountryCode>': Vec<CountryCode>;
        'Vec<CreatedBlock>': Vec<CreatedBlock>;
        'Vec<CustomAssetTypeId>': Vec<CustomAssetTypeId>;
        'Vec<Data>': Vec<Data>;
        'Vec<DeferredOffenceOf>': Vec<DeferredOffenceOf>;
        'Vec<DefunctVoter>': Vec<DefunctVoter>;
        'Vec<DelayKind>': Vec<DelayKind>;
        'Vec<DelayKindBest>': Vec<DelayKindBest>;
        'Vec<Delegations>': Vec<Delegations>;
        'Vec<DeletedContract>': Vec<DeletedContract>;
        'Vec<DepositBalance>': Vec<DepositBalance>;
        'Vec<DepositBalanceOf>': Vec<DepositBalanceOf>;
        'Vec<DepositInfo>': Vec<DepositInfo>;
        'Vec<DestroyWitness>': Vec<DestroyWitness>;
        'Vec<DidRecord>': Vec<DidRecord>;
        'Vec<DidRecords>': Vec<DidRecords>;
        'Vec<DidRecordsSuccess>': Vec<DidRecordsSuccess>;
        'Vec<DidStatus>': Vec<DidStatus>;
        'Vec<Digest>': Vec<Digest>;
        'Vec<DigestItem>': Vec<DigestItem>;
        'Vec<DigestOf>': Vec<DigestOf>;
        'Vec<DispatchableName>': Vec<DispatchableName>;
        'Vec<DispatchableNames>': Vec<DispatchableNames>;
        'Vec<DispatchClass>': Vec<DispatchClass>;
        'Vec<DispatchError>': Vec<DispatchError>;
        'Vec<DispatchErrorModule>': Vec<DispatchErrorModule>;
        'Vec<DispatchErrorTo198>': Vec<DispatchErrorTo198>;
        'Vec<DispatchInfo>': Vec<DispatchInfo>;
        'Vec<DispatchInfoTo190>': Vec<DispatchInfoTo190>;
        'Vec<DispatchInfoTo244>': Vec<DispatchInfoTo244>;
        'Vec<DispatchOutcome>': Vec<DispatchOutcome>;
        'Vec<DispatchResult>': Vec<DispatchResult>;
        'Vec<DispatchResultOf>': Vec<DispatchResultOf>;
        'Vec<DispatchResultTo198>': Vec<DispatchResultTo198>;
        'Vec<DisputeStatement>': Vec<DisputeStatement>;
        'Vec<DisputeStatementSet>': Vec<DisputeStatementSet>;
        'Vec<Distribution>': Vec<Distribution>;
        'Vec<Document>': Vec<Document>;
        'Vec<DocumentHash>': Vec<DocumentHash>;
        'Vec<DocumentId>': Vec<DocumentId>;
        'Vec<DocumentName>': Vec<DocumentName>;
        'Vec<DocumentType>': Vec<DocumentType>;
        'Vec<DocumentUri>': Vec<DocumentUri>;
        'Vec<DoubleEncodedCall>': Vec<DoubleEncodedCall>;
        'Vec<DoubleVoteReport>': Vec<DoubleVoteReport>;
        'Vec<DownwardMessage>': Vec<DownwardMessage>;
        'Vec<EcdsaSignature>': Vec<EcdsaSignature>;
        'Vec<Ed25519Signature>': Vec<Ed25519Signature>;
        'Vec<EncodedFinalityProofs>': Vec<EncodedFinalityProofs>;
        'Vec<EncodedJustification>': Vec<EncodedJustification>;
        'Vec<EpochAuthorship>': Vec<EpochAuthorship>;
        'Vec<ErrorAt>': Vec<ErrorAt>;
        'Vec<ErrorMetadataLatest>': Vec<ErrorMetadataLatest>;
        'Vec<ErrorMetadataV10>': Vec<ErrorMetadataV10>;
        'Vec<ErrorMetadataV11>': Vec<ErrorMetadataV11>;
        'Vec<ErrorMetadataV12>': Vec<ErrorMetadataV12>;
        'Vec<ErrorMetadataV13>': Vec<ErrorMetadataV13>;
        'Vec<ErrorMetadataV9>': Vec<ErrorMetadataV9>;
        'Vec<EthAccount>': Vec<EthAccount>;
        'Vec<EthBlock>': Vec<EthBlock>;
        'Vec<EthBloom>': Vec<EthBloom>;
        'Vec<EthCallRequest>': Vec<EthCallRequest>;
        'Vec<EthereumAccountId>': Vec<EthereumAccountId>;
        'Vec<EthereumAddress>': Vec<EthereumAddress>;
        'Vec<EthereumLookupSource>': Vec<EthereumLookupSource>;
        'Vec<EthereumSignature>': Vec<EthereumSignature>;
        'Vec<EthFilter>': Vec<EthFilter>;
        'Vec<EthFilterAddress>': Vec<EthFilterAddress>;
        'Vec<EthFilterChanges>': Vec<EthFilterChanges>;
        'Vec<EthFilterTopic>': Vec<EthFilterTopic>;
        'Vec<EthFilterTopicEntry>': Vec<EthFilterTopicEntry>;
        'Vec<EthFilterTopicInner>': Vec<EthFilterTopicInner>;
        'Vec<EthHeader>': Vec<EthHeader>;
        'Vec<EthLog>': Vec<EthLog>;
        'Vec<EthReceipt>': Vec<EthReceipt>;
        'Vec<EthRichBlock>': Vec<EthRichBlock>;
        'Vec<EthRichHeader>': Vec<EthRichHeader>;
        'Vec<EthStorageProof>': Vec<EthStorageProof>;
        'Vec<EthSubKind>': Vec<EthSubKind>;
        'Vec<EthSubParams>': Vec<EthSubParams>;
        'Vec<EthSubResult>': Vec<EthSubResult>;
        'Vec<EthSyncInfo>': Vec<EthSyncInfo>;
        'Vec<EthSyncStatus>': Vec<EthSyncStatus>;
        'Vec<EthTransaction>': Vec<EthTransaction>;
        'Vec<EthTransactionAction>': Vec<EthTransactionAction>;
        'Vec<EthTransactionCondition>': Vec<EthTransactionCondition>;
        'Vec<EthTransactionRequest>': Vec<EthTransactionRequest>;
        'Vec<EthTransactionSignature>': Vec<EthTransactionSignature>;
        'Vec<EthTransactionStatus>': Vec<EthTransactionStatus>;
        'Vec<EthWork>': Vec<EthWork>;
        'Vec<Event>': Vec<Event>;
        'Vec<EventCounts>': Vec<EventCounts>;
        'Vec<EventDid>': Vec<EventDid>;
        'Vec<EventId>': Vec<EventId>;
        'Vec<EventIndex>': Vec<EventIndex>;
        'Vec<EventMetadataLatest>': Vec<EventMetadataLatest>;
        'Vec<EventMetadataV10>': Vec<EventMetadataV10>;
        'Vec<EventMetadataV11>': Vec<EventMetadataV11>;
        'Vec<EventMetadataV12>': Vec<EventMetadataV12>;
        'Vec<EventMetadataV13>': Vec<EventMetadataV13>;
        'Vec<EventMetadataV9>': Vec<EventMetadataV9>;
        'Vec<EventRecord>': Vec<EventRecord>;
        'Vec<EvmAccount>': Vec<EvmAccount>;
        'Vec<EvmLog>': Vec<EvmLog>;
        'Vec<EvmVicinity>': Vec<EvmVicinity>;
        'Vec<ExecReturnValue>': Vec<ExecReturnValue>;
        'Vec<ExitError>': Vec<ExitError>;
        'Vec<ExitFatal>': Vec<ExitFatal>;
        'Vec<ExitReason>': Vec<ExitReason>;
        'Vec<ExitRevert>': Vec<ExitRevert>;
        'Vec<ExitSucceed>': Vec<ExitSucceed>;
        'Vec<ExplicitDisputeStatement>': Vec<ExplicitDisputeStatement>;
        'Vec<ExtensionAttributes>': Vec<ExtensionAttributes>;
        'Vec<Extrinsic>': Vec<Extrinsic>;
        'Vec<ExtrinsicEra>': Vec<ExtrinsicEra>;
        'Vec<ExtrinsicMetadataLatest>': Vec<ExtrinsicMetadataLatest>;
        'Vec<ExtrinsicMetadataV11>': Vec<ExtrinsicMetadataV11>;
        'Vec<ExtrinsicMetadataV12>': Vec<ExtrinsicMetadataV12>;
        'Vec<ExtrinsicMetadataV13>': Vec<ExtrinsicMetadataV13>;
        'Vec<ExtrinsicMetadataV14>': Vec<ExtrinsicMetadataV14>;
        'Vec<ExtrinsicOrHash>': Vec<ExtrinsicOrHash>;
        'Vec<ExtrinsicPayload>': Vec<ExtrinsicPayload>;
        'Vec<ExtrinsicPayloadUnknown>': Vec<ExtrinsicPayloadUnknown>;
        'Vec<ExtrinsicPayloadV4>': Vec<ExtrinsicPayloadV4>;
        'Vec<ExtrinsicPermissions>': Vec<ExtrinsicPermissions>;
        'Vec<ExtrinsicSignature>': Vec<ExtrinsicSignature>;
        'Vec<ExtrinsicSignatureV4>': Vec<ExtrinsicSignatureV4>;
        'Vec<ExtrinsicStatus>': Vec<ExtrinsicStatus>;
        'Vec<ExtrinsicsWeight>': Vec<ExtrinsicsWeight>;
        'Vec<ExtrinsicUnknown>': Vec<ExtrinsicUnknown>;
        'Vec<ExtrinsicV4>': Vec<ExtrinsicV4>;
        'Vec<ExtVersion>': Vec<ExtVersion>;
        'Vec<FeeDetails>': Vec<FeeDetails>;
        'Vec<Fixed128>': Vec<Fixed128>;
        'Vec<Fixed64>': Vec<Fixed64>;
        'Vec<FixedI128>': Vec<FixedI128>;
        'Vec<FixedI64>': Vec<FixedI64>;
        'Vec<FixedU128>': Vec<FixedU128>;
        'Vec<FixedU64>': Vec<FixedU64>;
        'Vec<ForkTreePendingChange>': Vec<ForkTreePendingChange>;
        'Vec<ForkTreePendingChangeNode>': Vec<ForkTreePendingChangeNode>;
        'Vec<FullIdentification>': Vec<FullIdentification>;
        'Vec<FunctionArgumentMetadataLatest>': Vec<FunctionArgumentMetadataLatest>;
        'Vec<FunctionArgumentMetadataV10>': Vec<FunctionArgumentMetadataV10>;
        'Vec<FunctionArgumentMetadataV11>': Vec<FunctionArgumentMetadataV11>;
        'Vec<FunctionArgumentMetadataV12>': Vec<FunctionArgumentMetadataV12>;
        'Vec<FunctionArgumentMetadataV13>': Vec<FunctionArgumentMetadataV13>;
        'Vec<FunctionArgumentMetadataV9>': Vec<FunctionArgumentMetadataV9>;
        'Vec<FunctionMetadataLatest>': Vec<FunctionMetadataLatest>;
        'Vec<FunctionMetadataV10>': Vec<FunctionMetadataV10>;
        'Vec<FunctionMetadataV11>': Vec<FunctionMetadataV11>;
        'Vec<FunctionMetadataV12>': Vec<FunctionMetadataV12>;
        'Vec<FunctionMetadataV13>': Vec<FunctionMetadataV13>;
        'Vec<FunctionMetadataV9>': Vec<FunctionMetadataV9>;
        'Vec<FundIndex>': Vec<FundIndex>;
        'Vec<FundInfo>': Vec<FundInfo>;
        'Vec<FundingRoundName>': Vec<FundingRoundName>;
        'Vec<Fundraiser>': Vec<Fundraiser>;
        'Vec<FundraiserId>': Vec<FundraiserId>;
        'Vec<FundraiserName>': Vec<FundraiserName>;
        'Vec<FundraiserStatus>': Vec<FundraiserStatus>;
        'Vec<FundraiserTier>': Vec<FundraiserTier>;
        'Vec<Gas>': Vec<Gas>;
        'Vec<GiltBid>': Vec<GiltBid>;
        'Vec<GlobalValidationData>': Vec<GlobalValidationData>;
        'Vec<GlobalValidationSchedule>': Vec<GlobalValidationSchedule>;
        'Vec<GrandpaCommit>': Vec<GrandpaCommit>;
        'Vec<GrandpaEquivocation>': Vec<GrandpaEquivocation>;
        'Vec<GrandpaEquivocationProof>': Vec<GrandpaEquivocationProof>;
        'Vec<GrandpaEquivocationValue>': Vec<GrandpaEquivocationValue>;
        'Vec<GrandpaJustification>': Vec<GrandpaJustification>;
        'Vec<GrandpaPrecommit>': Vec<GrandpaPrecommit>;
        'Vec<GrandpaPrevote>': Vec<GrandpaPrevote>;
        'Vec<GrandpaSignedPrecommit>': Vec<GrandpaSignedPrecommit>;
        'Vec<GranularCanTransferResult>': Vec<GranularCanTransferResult>;
        'Vec<GroupIndex>': Vec<GroupIndex>;
        'Vec<H1024>': Vec<H1024>;
        'Vec<H128>': Vec<H128>;
        'Vec<H160>': Vec<H160>;
        'Vec<H2048>': Vec<H2048>;
        'Vec<H256>': Vec<H256>;
        'Vec<H32>': Vec<H32>;
        'Vec<H512>': Vec<H512>;
        'Vec<H64>': Vec<H64>;
        'Vec<HandledTxStatus>': Vec<HandledTxStatus>;
        'Vec<Hash>': Vec<Hash>;
        'Vec<HeadData>': Vec<HeadData>;
        'Vec<Header>': Vec<Header>;
        'Vec<HeaderPartial>': Vec<HeaderPartial>;
        'Vec<Health>': Vec<Health>;
        'Vec<Heartbeat>': Vec<Heartbeat>;
        'Vec<HeartbeatTo244>': Vec<HeartbeatTo244>;
        'Vec<HostConfiguration>': Vec<HostConfiguration>;
        'Vec<HostFnWeights>': Vec<HostFnWeights>;
        'Vec<HostFnWeightsTo264>': Vec<HostFnWeightsTo264>;
        'Vec<HrmpChannel>': Vec<HrmpChannel>;
        'Vec<HrmpChannelId>': Vec<HrmpChannelId>;
        'Vec<HrmpOpenChannelRequest>': Vec<HrmpOpenChannelRequest>;
        'Vec<i128>': Vec<i128>;
        'Vec<I128>': Vec<I128>;
        'Vec<i16>': Vec<i16>;
        'Vec<I16>': Vec<I16>;
        'Vec<i256>': Vec<i256>;
        'Vec<I256>': Vec<I256>;
        'Vec<i32>': Vec<i32>;
        'Vec<I32>': Vec<I32>;
        'Vec<I32F32>': Vec<I32F32>;
        'Vec<i64>': Vec<i64>;
        'Vec<I64>': Vec<I64>;
        'Vec<i8>': Vec<i8>;
        'Vec<I8>': Vec<I8>;
        'Vec<IdentificationTuple>': Vec<IdentificationTuple>;
        'Vec<IdentityClaim>': Vec<IdentityClaim>;
        'Vec<IdentityId>': Vec<IdentityId>;
        'Vec<IdentityRole>': Vec<IdentityRole>;
        'Vec<ImmortalEra>': Vec<ImmortalEra>;
        'Vec<ImportedAux>': Vec<ImportedAux>;
        'Vec<InactiveMember>': Vec<InactiveMember>;
        'Vec<InboundDownwardMessage>': Vec<InboundDownwardMessage>;
        'Vec<InboundHrmpMessage>': Vec<InboundHrmpMessage>;
        'Vec<InboundHrmpMessages>': Vec<InboundHrmpMessages>;
        'Vec<InboundStatus>': Vec<InboundStatus>;
        'Vec<IncludedBlocks>': Vec<IncludedBlocks>;
        'Vec<InclusionFee>': Vec<InclusionFee>;
        'Vec<IncomingParachain>': Vec<IncomingParachain>;
        'Vec<IncomingParachainDeploy>': Vec<IncomingParachainDeploy>;
        'Vec<IncomingParachainFixed>': Vec<IncomingParachainFixed>;
        'Vec<Index>': Vec<Index>;
        'Vec<IndicesLookupSource>': Vec<IndicesLookupSource>;
        'Vec<InitializationData>': Vec<InitializationData>;
        'Vec<InstanceDetails>': Vec<InstanceDetails>;
        'Vec<InstanceId>': Vec<InstanceId>;
        'Vec<InstanceMetadata>': Vec<InstanceMetadata>;
        'Vec<InstantiateRequest>': Vec<InstantiateRequest>;
        'Vec<InstantiateReturnValue>': Vec<InstantiateReturnValue>;
        'Vec<Instruction>': Vec<Instruction>;
        'Vec<InstructionId>': Vec<InstructionId>;
        'Vec<InstructionStatus>': Vec<InstructionStatus>;
        'Vec<InstructionWeights>': Vec<InstructionWeights>;
        'Vec<InvalidDisputeStatementKind>': Vec<InvalidDisputeStatementKind>;
        'Vec<InvalidTransaction>': Vec<InvalidTransaction>;
        'Vec<InvestorUid>': Vec<InvestorUid>;
        'Vec<InvestorZKProofData>': Vec<InvestorZKProofData>;
        'Vec<ItnRewardStatus>': Vec<ItnRewardStatus>;
        'Vec<Json>': Vec<Json>;
        'Vec<Junction>': Vec<Junction>;
        'Vec<Justification>': Vec<Justification>;
        'Vec<JustificationNotification>': Vec<JustificationNotification>;
        'Vec<Justifications>': Vec<Justifications>;
        'Vec<Key>': Vec<Key>;
        'Vec<KeyIdentityData>': Vec<KeyIdentityData>;
        'Vec<KeyOwnerProof>': Vec<KeyOwnerProof>;
        'Vec<Keys>': Vec<Keys>;
        'Vec<KeyTypeId>': Vec<KeyTypeId>;
        'Vec<KeyValue>': Vec<KeyValue>;
        'Vec<KeyValueOption>': Vec<KeyValueOption>;
        'Vec<Kind>': Vec<Kind>;
        'Vec<LastContribution>': Vec<LastContribution>;
        'Vec<LastRuntimeUpgradeInfo>': Vec<LastRuntimeUpgradeInfo>;
        'Vec<LeasePeriod>': Vec<LeasePeriod>;
        'Vec<LeasePeriodOf>': Vec<LeasePeriodOf>;
        'Vec<Leg>': Vec<Leg>;
        'Vec<LegacyPalletPermissions>': Vec<LegacyPalletPermissions>;
        'Vec<LegacyPermissions>': Vec<LegacyPermissions>;
        'Vec<LegId>': Vec<LegId>;
        'Vec<LegStatus>': Vec<LegStatus>;
        'Vec<Limits>': Vec<Limits>;
        'Vec<LimitsTo264>': Vec<LimitsTo264>;
        'Vec<LocalCAId>': Vec<LocalCAId>;
        'Vec<LocalValidationData>': Vec<LocalValidationData>;
        'Vec<LockIdentifier>': Vec<LockIdentifier>;
        'Vec<LookupSource>': Vec<LookupSource>;
        'Vec<LookupTarget>': Vec<LookupTarget>;
        'Vec<LotteryConfig>': Vec<LotteryConfig>;
        'Vec<MaybeBlock>': Vec<MaybeBlock>;
        'Vec<MaybeRandomness>': Vec<MaybeRandomness>;
        'Vec<MaybeVrf>': Vec<MaybeVrf>;
        'Vec<MemberCount>': Vec<MemberCount>;
        'Vec<MembershipProof>': Vec<MembershipProof>;
        'Vec<Memo>': Vec<Memo>;
        'Vec<MessageId>': Vec<MessageId>;
        'Vec<MessageIngestionType>': Vec<MessageIngestionType>;
        'Vec<MessageQueueChain>': Vec<MessageQueueChain>;
        'Vec<MessagingStateSnapshot>': Vec<MessagingStateSnapshot>;
        'Vec<MessagingStateSnapshotEgressEntry>': Vec<MessagingStateSnapshotEgressEntry>;
        'Vec<MetadataAll>': Vec<MetadataAll>;
        'Vec<MetadataLatest>': Vec<MetadataLatest>;
        'Vec<MetadataV10>': Vec<MetadataV10>;
        'Vec<MetadataV11>': Vec<MetadataV11>;
        'Vec<MetadataV12>': Vec<MetadataV12>;
        'Vec<MetadataV13>': Vec<MetadataV13>;
        'Vec<MetadataV14>': Vec<MetadataV14>;
        'Vec<MetadataV9>': Vec<MetadataV9>;
        'Vec<MetaDescription>': Vec<MetaDescription>;
        'Vec<MetaUrl>': Vec<MetaUrl>;
        'Vec<MetaVersion>': Vec<MetaVersion>;
        'Vec<MmrLeafProof>': Vec<MmrLeafProof>;
        'Vec<MmrRootHash>': Vec<MmrRootHash>;
        'Vec<ModuleConstantMetadataLatest>': Vec<ModuleConstantMetadataLatest>;
        'Vec<ModuleConstantMetadataV10>': Vec<ModuleConstantMetadataV10>;
        'Vec<ModuleConstantMetadataV11>': Vec<ModuleConstantMetadataV11>;
        'Vec<ModuleConstantMetadataV12>': Vec<ModuleConstantMetadataV12>;
        'Vec<ModuleConstantMetadataV13>': Vec<ModuleConstantMetadataV13>;
        'Vec<ModuleConstantMetadataV9>': Vec<ModuleConstantMetadataV9>;
        'Vec<ModuleId>': Vec<ModuleId>;
        'Vec<ModuleMetadataLatest>': Vec<ModuleMetadataLatest>;
        'Vec<ModuleMetadataV10>': Vec<ModuleMetadataV10>;
        'Vec<ModuleMetadataV11>': Vec<ModuleMetadataV11>;
        'Vec<ModuleMetadataV12>': Vec<ModuleMetadataV12>;
        'Vec<ModuleMetadataV13>': Vec<ModuleMetadataV13>;
        'Vec<ModuleMetadataV9>': Vec<ModuleMetadataV9>;
        'Vec<Moment>': Vec<Moment>;
        'Vec<MoreAttestations>': Vec<MoreAttestations>;
        'Vec<MortalEra>': Vec<MortalEra>;
        'Vec<Motion>': Vec<Motion>;
        'Vec<MotionInfoLink>': Vec<MotionInfoLink>;
        'Vec<MotionTitle>': Vec<MotionTitle>;
        'Vec<MovePortfolioItem>': Vec<MovePortfolioItem>;
        'Vec<MultiAddress>': Vec<MultiAddress>;
        'Vec<MultiAsset>': Vec<MultiAsset>;
        'Vec<MultiAssetAbstractFungible>': Vec<MultiAssetAbstractFungible>;
        'Vec<MultiAssetAbstractNonFungible>': Vec<MultiAssetAbstractNonFungible>;
        'Vec<MultiAssetConcreteFungible>': Vec<MultiAssetConcreteFungible>;
        'Vec<MultiAssetConcreteNonFungible>': Vec<MultiAssetConcreteNonFungible>;
        'Vec<MultiDisputeStatementSet>': Vec<MultiDisputeStatementSet>;
        'Vec<MultiLocation>': Vec<MultiLocation>;
        'Vec<Multiplier>': Vec<Multiplier>;
        'Vec<Multisig>': Vec<Multisig>;
        'Vec<MultiSignature>': Vec<MultiSignature>;
        'Vec<MultiSigner>': Vec<MultiSigner>;
        'Vec<NetworkId>': Vec<NetworkId>;
        'Vec<NetworkState>': Vec<NetworkState>;
        'Vec<NetworkStatePeerset>': Vec<NetworkStatePeerset>;
        'Vec<NetworkStatePeersetInfo>': Vec<NetworkStatePeersetInfo>;
        'Vec<NewBidder>': Vec<NewBidder>;
        'Vec<NextAuthority>': Vec<NextAuthority>;
        'Vec<NextConfigDescriptor>': Vec<NextConfigDescriptor>;
        'Vec<NextConfigDescriptorV1>': Vec<NextConfigDescriptorV1>;
        'Vec<NodeRole>': Vec<NodeRole>;
        'Vec<NotConnectedPeer>': Vec<NotConnectedPeer>;
        'Vec<Null>': Vec<Null>;
        'Vec<OffChainSignature>': Vec<OffChainSignature>;
        'Vec<OffenceDetails>': Vec<OffenceDetails>;
        'Vec<Offender>': Vec<Offender>;
        'Vec<OpaqueCall>': Vec<OpaqueCall>;
        'Vec<OpaqueMultiaddr>': Vec<OpaqueMultiaddr>;
        'Vec<OpaqueNetworkState>': Vec<OpaqueNetworkState>;
        'Vec<OpaquePeerId>': Vec<OpaquePeerId>;
        'Vec<OpaqueTimeSlot>': Vec<OpaqueTimeSlot>;
        'Vec<OpenTip>': Vec<OpenTip>;
        'Vec<OpenTipFinderTo225>': Vec<OpenTipFinderTo225>;
        'Vec<OpenTipTip>': Vec<OpenTipTip>;
        'Vec<OpenTipTo225>': Vec<OpenTipTo225>;
        'Vec<Origin>': Vec<Origin>;
        'Vec<OriginCaller>': Vec<OriginCaller>;
        'Vec<OutboundHrmpMessage>': Vec<OutboundHrmpMessage>;
        'Vec<OutboundStatus>': Vec<OutboundStatus>;
        'Vec<Outcome>': Vec<Outcome>;
        'Vec<OverweightIndex>': Vec<OverweightIndex>;
        'Vec<Owner>': Vec<Owner>;
        'Vec<PageCounter>': Vec<PageCounter>;
        'Vec<PageIndexData>': Vec<PageIndexData>;
        'Vec<PalletCallMetadataLatest>': Vec<PalletCallMetadataLatest>;
        'Vec<PalletCallMetadataV14>': Vec<PalletCallMetadataV14>;
        'Vec<PalletConstantMetadataLatest>': Vec<PalletConstantMetadataLatest>;
        'Vec<PalletConstantMetadataV14>': Vec<PalletConstantMetadataV14>;
        'Vec<PalletErrorMetadataLatest>': Vec<PalletErrorMetadataLatest>;
        'Vec<PalletErrorMetadataV14>': Vec<PalletErrorMetadataV14>;
        'Vec<PalletEventMetadataLatest>': Vec<PalletEventMetadataLatest>;
        'Vec<PalletEventMetadataV14>': Vec<PalletEventMetadataV14>;
        'Vec<PalletId>': Vec<PalletId>;
        'Vec<PalletMetadataLatest>': Vec<PalletMetadataLatest>;
        'Vec<PalletMetadataV14>': Vec<PalletMetadataV14>;
        'Vec<PalletName>': Vec<PalletName>;
        'Vec<PalletPermissions>': Vec<PalletPermissions>;
        'Vec<PalletsOrigin>': Vec<PalletsOrigin>;
        'Vec<PalletStorageMetadataLatest>': Vec<PalletStorageMetadataLatest>;
        'Vec<PalletStorageMetadataV14>': Vec<PalletStorageMetadataV14>;
        'Vec<PalletVersion>': Vec<PalletVersion>;
        'Vec<ParachainDispatchOrigin>': Vec<ParachainDispatchOrigin>;
        'Vec<ParachainInherentData>': Vec<ParachainInherentData>;
        'Vec<ParachainProposal>': Vec<ParachainProposal>;
        'Vec<ParachainsInherentData>': Vec<ParachainsInherentData>;
        'Vec<ParaGenesisArgs>': Vec<ParaGenesisArgs>;
        'Vec<ParaId>': Vec<ParaId>;
        'Vec<ParaInfo>': Vec<ParaInfo>;
        'Vec<ParaLifecycle>': Vec<ParaLifecycle>;
        'Vec<ParaPastCodeMeta>': Vec<ParaPastCodeMeta>;
        'Vec<ParaScheduling>': Vec<ParaScheduling>;
        'Vec<ParathreadClaim>': Vec<ParathreadClaim>;
        'Vec<ParathreadClaimQueue>': Vec<ParathreadClaimQueue>;
        'Vec<ParathreadEntry>': Vec<ParathreadEntry>;
        'Vec<ParaValidatorIndex>': Vec<ParaValidatorIndex>;
        'Vec<Pays>': Vec<Pays>;
        'Vec<Peer>': Vec<Peer>;
        'Vec<PeerEndpoint>': Vec<PeerEndpoint>;
        'Vec<PeerEndpointAddr>': Vec<PeerEndpointAddr>;
        'Vec<PeerInfo>': Vec<PeerInfo>;
        'Vec<PeerPing>': Vec<PeerPing>;
        'Vec<PendingChange>': Vec<PendingChange>;
        'Vec<PendingPause>': Vec<PendingPause>;
        'Vec<PendingResume>': Vec<PendingResume>;
        'Vec<Perbill>': Vec<Perbill>;
        'Vec<Percent>': Vec<Percent>;
        'Vec<Percentage>': Vec<Percentage>;
        'Vec<PerDispatchClassU32>': Vec<PerDispatchClassU32>;
        'Vec<PerDispatchClassWeight>': Vec<PerDispatchClassWeight>;
        'Vec<PerDispatchClassWeightsPerClass>': Vec<PerDispatchClassWeightsPerClass>;
        'Vec<Period>': Vec<Period>;
        'Vec<Permill>': Vec<Permill>;
        'Vec<PermissionedIdentityPrefs>': Vec<PermissionedIdentityPrefs>;
        'Vec<PermissionLatest>': Vec<PermissionLatest>;
        'Vec<Permissions>': Vec<Permissions>;
        'Vec<PermissionsV1>': Vec<PermissionsV1>;
        'Vec<PermissionVersions>': Vec<PermissionVersions>;
        'Vec<Perquintill>': Vec<Perquintill>;
        'Vec<PersistedValidationData>': Vec<PersistedValidationData>;
        'Vec<PerU16>': Vec<PerU16>;
        'Vec<Phantom>': Vec<Phantom>;
        'Vec<PhantomData>': Vec<PhantomData>;
        'Vec<Phase>': Vec<Phase>;
        'Vec<Pip>': Vec<Pip>;
        'Vec<PipDescription>': Vec<PipDescription>;
        'Vec<PipId>': Vec<PipId>;
        'Vec<PipsMetadata>': Vec<PipsMetadata>;
        'Vec<PluralityJunction>': Vec<PluralityJunction>;
        'Vec<PolymeshVotes>': Vec<PolymeshVotes>;
        'Vec<PortableRegistry>': Vec<PortableRegistry>;
        'Vec<PortableType>': Vec<PortableType>;
        'Vec<PortfolioId>': Vec<PortfolioId>;
        'Vec<PortfolioKind>': Vec<PortfolioKind>;
        'Vec<PortfolioName>': Vec<PortfolioName>;
        'Vec<PortfolioNumber>': Vec<PortfolioNumber>;
        'Vec<PortfolioPermissions>': Vec<PortfolioPermissions>;
        'Vec<PortfolioValidityResult>': Vec<PortfolioValidityResult>;
        'Vec<PosRatio>': Vec<PosRatio>;
        'Vec<PreAuthorizedKeyInfo>': Vec<PreAuthorizedKeyInfo>;
        'Vec<Precommits>': Vec<Precommits>;
        'Vec<PrefabWasmModule>': Vec<PrefabWasmModule>;
        'Vec<PrefixedStorageKey>': Vec<PrefixedStorageKey>;
        'Vec<PreimageStatus>': Vec<PreimageStatus>;
        'Vec<PreimageStatusAvailable>': Vec<PreimageStatusAvailable>;
        'Vec<PreRuntime>': Vec<PreRuntime>;
        'Vec<Prevotes>': Vec<Prevotes>;
        'Vec<PriceTier>': Vec<PriceTier>;
        'Vec<Priority>': Vec<Priority>;
        'Vec<PriorLock>': Vec<PriorLock>;
        'Vec<PropIndex>': Vec<PropIndex>;
        'Vec<Proposal>': Vec<Proposal>;
        'Vec<ProposalData>': Vec<ProposalData>;
        'Vec<ProposalDetails>': Vec<ProposalDetails>;
        'Vec<ProposalIndex>': Vec<ProposalIndex>;
        'Vec<ProposalState>': Vec<ProposalState>;
        'Vec<ProposalStatus>': Vec<ProposalStatus>;
        'Vec<Proposer>': Vec<Proposer>;
        'Vec<ProtocolOp>': Vec<ProtocolOp>;
        'Vec<ProxyAnnouncement>': Vec<ProxyAnnouncement>;
        'Vec<ProxyDefinition>': Vec<ProxyDefinition>;
        'Vec<ProxyState>': Vec<ProxyState>;
        'Vec<ProxyType>': Vec<ProxyType>;
        'Vec<QueueConfigData>': Vec<QueueConfigData>;
        'Vec<QueuedParathread>': Vec<QueuedParathread>;
        'Vec<Randomness>': Vec<Randomness>;
        'Vec<Raw>': Vec<Raw>;
        'Vec<RawAuraPreDigest>': Vec<RawAuraPreDigest>;
        'Vec<RawBabePreDigest>': Vec<RawBabePreDigest>;
        'Vec<RawBabePreDigestCompat>': Vec<RawBabePreDigestCompat>;
        'Vec<RawBabePreDigestPrimary>': Vec<RawBabePreDigestPrimary>;
        'Vec<RawBabePreDigestPrimaryTo159>': Vec<RawBabePreDigestPrimaryTo159>;
        'Vec<RawBabePreDigestSecondaryPlain>': Vec<RawBabePreDigestSecondaryPlain>;
        'Vec<RawBabePreDigestSecondaryTo159>': Vec<RawBabePreDigestSecondaryTo159>;
        'Vec<RawBabePreDigestSecondaryVRF>': Vec<RawBabePreDigestSecondaryVRF>;
        'Vec<RawBabePreDigestTo159>': Vec<RawBabePreDigestTo159>;
        'Vec<RawOrigin>': Vec<RawOrigin>;
        'Vec<RawVRFOutput>': Vec<RawVRFOutput>;
        'Vec<ReadProof>': Vec<ReadProof>;
        'Vec<Reasons>': Vec<Reasons>;
        'Vec<Receipt>': Vec<Receipt>;
        'Vec<ReceiptDetails>': Vec<ReceiptDetails>;
        'Vec<ReceiptMetadata>': Vec<ReceiptMetadata>;
        'Vec<RecordDate>': Vec<RecordDate>;
        'Vec<RecordDateSpec>': Vec<RecordDateSpec>;
        'Vec<RecoveryConfig>': Vec<RecoveryConfig>;
        'Vec<RefCount>': Vec<RefCount>;
        'Vec<RefCountTo259>': Vec<RefCountTo259>;
        'Vec<ReferendumIndex>': Vec<ReferendumIndex>;
        'Vec<ReferendumInfo>': Vec<ReferendumInfo>;
        'Vec<ReferendumInfoFinished>': Vec<ReferendumInfoFinished>;
        'Vec<ReferendumInfoTo239>': Vec<ReferendumInfoTo239>;
        'Vec<ReferendumStatus>': Vec<ReferendumStatus>;
        'Vec<RegisteredParachainInfo>': Vec<RegisteredParachainInfo>;
        'Vec<RelayBlockNumber>': Vec<RelayBlockNumber>;
        'Vec<RelayChainBlockNumber>': Vec<RelayChainBlockNumber>;
        'Vec<RelayChainHash>': Vec<RelayChainHash>;
        'Vec<RelayHash>': Vec<RelayHash>;
        'Vec<Releases>': Vec<Releases>;
        'Vec<Remark>': Vec<Remark>;
        'Vec<Renouncing>': Vec<Renouncing>;
        'Vec<RentProjection>': Vec<RentProjection>;
        'Vec<ReplacementTimes>': Vec<ReplacementTimes>;
        'Vec<ReportedRoundStates>': Vec<ReportedRoundStates>;
        'Vec<Reporter>': Vec<Reporter>;
        'Vec<ReportIdOf>': Vec<ReportIdOf>;
        'Vec<ReserveData>': Vec<ReserveData>;
        'Vec<ReserveIdentifier>': Vec<ReserveIdentifier>;
        'Vec<RestrictionResult>': Vec<RestrictionResult>;
        'Vec<Retriable>': Vec<Retriable>;
        'Vec<RistrettoPoint>': Vec<RistrettoPoint>;
        'Vec<RoundState>': Vec<RoundState>;
        'Vec<RpcMethods>': Vec<RpcMethods>;
        'Vec<RuntimeDbWeight>': Vec<RuntimeDbWeight>;
        'Vec<RuntimeDispatchInfo>': Vec<RuntimeDispatchInfo>;
        'Vec<RuntimeVersion>': Vec<RuntimeVersion>;
        'Vec<RuntimeVersionApi>': Vec<RuntimeVersionApi>;
        'Vec<RuntimeVersionPartial>': Vec<RuntimeVersionPartial>;
        'Vec<Scalar>': Vec<Scalar>;
        'Vec<Schedule>': Vec<Schedule>;
        'Vec<Scheduled>': Vec<Scheduled>;
        'Vec<ScheduledTo254>': Vec<ScheduledTo254>;
        'Vec<ScheduleId>': Vec<ScheduleId>;
        'Vec<SchedulePeriod>': Vec<SchedulePeriod>;
        'Vec<SchedulePriority>': Vec<SchedulePriority>;
        'Vec<ScheduleSpec>': Vec<ScheduleSpec>;
        'Vec<ScheduleTo212>': Vec<ScheduleTo212>;
        'Vec<ScheduleTo258>': Vec<ScheduleTo258>;
        'Vec<ScheduleTo264>': Vec<ScheduleTo264>;
        'Vec<Scheduling>': Vec<Scheduling>;
        'Vec<Scope>': Vec<Scope>;
        'Vec<ScopeClaimProof>': Vec<ScopeClaimProof>;
        'Vec<ScopeId>': Vec<ScopeId>;
        'Vec<Seal>': Vec<Seal>;
        'Vec<SealV0>': Vec<SealV0>;
        'Vec<SecondaryKey>': Vec<SecondaryKey>;
        'Vec<SecondaryKeyWithAuth>': Vec<SecondaryKeyWithAuth>;
        'Vec<SecurityToken>': Vec<SecurityToken>;
        'Vec<SeedOf>': Vec<SeedOf>;
        'Vec<ServiceQuality>': Vec<ServiceQuality>;
        'Vec<SessionIndex>': Vec<SessionIndex>;
        'Vec<SessionInfo>': Vec<SessionInfo>;
        'Vec<SessionInfoValidatorGroup>': Vec<SessionInfoValidatorGroup>;
        'Vec<SessionKeys1>': Vec<SessionKeys1>;
        'Vec<SessionKeys10>': Vec<SessionKeys10>;
        'Vec<SessionKeys10B>': Vec<SessionKeys10B>;
        'Vec<SessionKeys2>': Vec<SessionKeys2>;
        'Vec<SessionKeys3>': Vec<SessionKeys3>;
        'Vec<SessionKeys4>': Vec<SessionKeys4>;
        'Vec<SessionKeys5>': Vec<SessionKeys5>;
        'Vec<SessionKeys6>': Vec<SessionKeys6>;
        'Vec<SessionKeys6B>': Vec<SessionKeys6B>;
        'Vec<SessionKeys7>': Vec<SessionKeys7>;
        'Vec<SessionKeys7B>': Vec<SessionKeys7B>;
        'Vec<SessionKeys8>': Vec<SessionKeys8>;
        'Vec<SessionKeys8B>': Vec<SessionKeys8B>;
        'Vec<SessionKeys9>': Vec<SessionKeys9>;
        'Vec<SessionKeys9B>': Vec<SessionKeys9B>;
        'Vec<SetId>': Vec<SetId>;
        'Vec<SetIndex>': Vec<SetIndex>;
        'Vec<SettlementType>': Vec<SettlementType>;
        'Vec<Si0Field>': Vec<Si0Field>;
        'Vec<Si0LookupTypeId>': Vec<Si0LookupTypeId>;
        'Vec<Si0Path>': Vec<Si0Path>;
        'Vec<Si0Type>': Vec<Si0Type>;
        'Vec<Si0TypeDef>': Vec<Si0TypeDef>;
        'Vec<Si0TypeDefArray>': Vec<Si0TypeDefArray>;
        'Vec<Si0TypeDefBitSequence>': Vec<Si0TypeDefBitSequence>;
        'Vec<Si0TypeDefCompact>': Vec<Si0TypeDefCompact>;
        'Vec<Si0TypeDefComposite>': Vec<Si0TypeDefComposite>;
        'Vec<Si0TypeDefPhantom>': Vec<Si0TypeDefPhantom>;
        'Vec<Si0TypeDefPrimitive>': Vec<Si0TypeDefPrimitive>;
        'Vec<Si0TypeDefSequence>': Vec<Si0TypeDefSequence>;
        'Vec<Si0TypeDefTuple>': Vec<Si0TypeDefTuple>;
        'Vec<Si0TypeDefVariant>': Vec<Si0TypeDefVariant>;
        'Vec<Si0TypeParameter>': Vec<Si0TypeParameter>;
        'Vec<Si0Variant>': Vec<Si0Variant>;
        'Vec<SiField>': Vec<SiField>;
        'Vec<Signatory>': Vec<Signatory>;
        'Vec<Signature>': Vec<Signature>;
        'Vec<SignedAvailabilityBitfield>': Vec<SignedAvailabilityBitfield>;
        'Vec<SignedAvailabilityBitfields>': Vec<SignedAvailabilityBitfields>;
        'Vec<SignedBlock>': Vec<SignedBlock>;
        'Vec<SignedBlockWithJustification>': Vec<SignedBlockWithJustification>;
        'Vec<SignedBlockWithJustifications>': Vec<SignedBlockWithJustifications>;
        'Vec<SignedExtensionMetadataLatest>': Vec<SignedExtensionMetadataLatest>;
        'Vec<SignedExtensionMetadataV14>': Vec<SignedExtensionMetadataV14>;
        'Vec<SignerPayload>': Vec<SignerPayload>;
        'Vec<SigningContext>': Vec<SigningContext>;
        'Vec<SiLookupTypeId>': Vec<SiLookupTypeId>;
        'Vec<SiPath>': Vec<SiPath>;
        'Vec<SiType>': Vec<SiType>;
        'Vec<SiTypeDef>': Vec<SiTypeDef>;
        'Vec<SiTypeDefArray>': Vec<SiTypeDefArray>;
        'Vec<SiTypeDefBitSequence>': Vec<SiTypeDefBitSequence>;
        'Vec<SiTypeDefCompact>': Vec<SiTypeDefCompact>;
        'Vec<SiTypeDefComposite>': Vec<SiTypeDefComposite>;
        'Vec<SiTypeDefPrimitive>': Vec<SiTypeDefPrimitive>;
        'Vec<SiTypeDefSequence>': Vec<SiTypeDefSequence>;
        'Vec<SiTypeDefTuple>': Vec<SiTypeDefTuple>;
        'Vec<SiTypeDefVariant>': Vec<SiTypeDefVariant>;
        'Vec<SiTypeParameter>': Vec<SiTypeParameter>;
        'Vec<SiVariant>': Vec<SiVariant>;
        'Vec<SkippedCount>': Vec<SkippedCount>;
        'Vec<SlashingSwitch>': Vec<SlashingSwitch>;
        'Vec<Slot>': Vec<Slot>;
        'Vec<SlotNumber>': Vec<SlotNumber>;
        'Vec<SlotRange>': Vec<SlotRange>;
        'Vec<SmartExtension>': Vec<SmartExtension>;
        'Vec<SmartExtensionName>': Vec<SmartExtensionName>;
        'Vec<SmartExtensionType>': Vec<SmartExtensionType>;
        'Vec<SnapshotId>': Vec<SnapshotId>;
        'Vec<SnapshotMetadata>': Vec<SnapshotMetadata>;
        'Vec<SnapshotResult>': Vec<SnapshotResult>;
        'Vec<SnapshottedPip>': Vec<SnapshottedPip>;
        'Vec<SocietyJudgement>': Vec<SocietyJudgement>;
        'Vec<SocietyVote>': Vec<SocietyVote>;
        'Vec<Sr25519Signature>': Vec<Sr25519Signature>;
        'Vec<Statement>': Vec<Statement>;
        'Vec<StatementKind>': Vec<StatementKind>;
        'Vec<StorageChangeSet>': Vec<StorageChangeSet>;
        'Vec<StorageData>': Vec<StorageData>;
        'Vec<StorageEntryMetadataLatest>': Vec<StorageEntryMetadataLatest>;
        'Vec<StorageEntryMetadataV10>': Vec<StorageEntryMetadataV10>;
        'Vec<StorageEntryMetadataV11>': Vec<StorageEntryMetadataV11>;
        'Vec<StorageEntryMetadataV12>': Vec<StorageEntryMetadataV12>;
        'Vec<StorageEntryMetadataV13>': Vec<StorageEntryMetadataV13>;
        'Vec<StorageEntryMetadataV14>': Vec<StorageEntryMetadataV14>;
        'Vec<StorageEntryMetadataV9>': Vec<StorageEntryMetadataV9>;
        'Vec<StorageEntryModifierLatest>': Vec<StorageEntryModifierLatest>;
        'Vec<StorageEntryModifierV10>': Vec<StorageEntryModifierV10>;
        'Vec<StorageEntryModifierV11>': Vec<StorageEntryModifierV11>;
        'Vec<StorageEntryModifierV12>': Vec<StorageEntryModifierV12>;
        'Vec<StorageEntryModifierV13>': Vec<StorageEntryModifierV13>;
        'Vec<StorageEntryModifierV14>': Vec<StorageEntryModifierV14>;
        'Vec<StorageEntryModifierV9>': Vec<StorageEntryModifierV9>;
        'Vec<StorageEntryTypeLatest>': Vec<StorageEntryTypeLatest>;
        'Vec<StorageEntryTypeV10>': Vec<StorageEntryTypeV10>;
        'Vec<StorageEntryTypeV11>': Vec<StorageEntryTypeV11>;
        'Vec<StorageEntryTypeV12>': Vec<StorageEntryTypeV12>;
        'Vec<StorageEntryTypeV13>': Vec<StorageEntryTypeV13>;
        'Vec<StorageEntryTypeV14>': Vec<StorageEntryTypeV14>;
        'Vec<StorageEntryTypeV9>': Vec<StorageEntryTypeV9>;
        'Vec<StorageHasher>': Vec<StorageHasher>;
        'Vec<StorageHasherV10>': Vec<StorageHasherV10>;
        'Vec<StorageHasherV11>': Vec<StorageHasherV11>;
        'Vec<StorageHasherV12>': Vec<StorageHasherV12>;
        'Vec<StorageHasherV13>': Vec<StorageHasherV13>;
        'Vec<StorageHasherV14>': Vec<StorageHasherV14>;
        'Vec<StorageHasherV9>': Vec<StorageHasherV9>;
        'Vec<StorageKey>': Vec<StorageKey>;
        'Vec<StorageKind>': Vec<StorageKind>;
        'Vec<StorageMetadataLatest>': Vec<StorageMetadataLatest>;
        'Vec<StorageMetadataV10>': Vec<StorageMetadataV10>;
        'Vec<StorageMetadataV11>': Vec<StorageMetadataV11>;
        'Vec<StorageMetadataV12>': Vec<StorageMetadataV12>;
        'Vec<StorageMetadataV13>': Vec<StorageMetadataV13>;
        'Vec<StorageMetadataV9>': Vec<StorageMetadataV9>;
        'Vec<StorageProof>': Vec<StorageProof>;
        'Vec<StoredPendingChange>': Vec<StoredPendingChange>;
        'Vec<StoredSchedule>': Vec<StoredSchedule>;
        'Vec<StoredState>': Vec<StoredState>;
        'Vec<StrikeCount>': Vec<StrikeCount>;
        'Vec<SubId>': Vec<SubId>;
        'Vec<Subsidy>': Vec<Subsidy>;
        'Vec<SyncState>': Vec<SyncState>;
        'Vec<SystemInherentData>': Vec<SystemInherentData>;
        'Vec<SystemOrigin>': Vec<SystemOrigin>;
        'Vec<Tally>': Vec<Tally>;
        'Vec<TargetIdAuthorization>': Vec<TargetIdAuthorization>;
        'Vec<TargetIdentities>': Vec<TargetIdentities>;
        'Vec<TargetIdentity>': Vec<TargetIdentity>;
        'Vec<TargetTreatment>': Vec<TargetTreatment>;
        'Vec<TaskAddress>': Vec<TaskAddress>;
        'Vec<TAssetBalance>': Vec<TAssetBalance>;
        'Vec<TAssetDepositBalance>': Vec<TAssetDepositBalance>;
        'Vec<Tax>': Vec<Tax>;
        'Vec<TemplateDetails>': Vec<TemplateDetails>;
        'Vec<TemplateMetadata>': Vec<TemplateMetadata>;
        'Vec<Text>': Vec<Text>;
        'Vec<Ticker>': Vec<Ticker>;
        'Vec<TickerRegistration>': Vec<TickerRegistration>;
        'Vec<TickerRegistrationConfig>': Vec<TickerRegistrationConfig>;
        'Vec<Timepoint>': Vec<Timepoint>;
        'Vec<TokenError>': Vec<TokenError>;
        'Vec<TombstoneContractInfo>': Vec<TombstoneContractInfo>;
        'Vec<TraceBlockResponse>': Vec<TraceBlockResponse>;
        'Vec<TraceError>': Vec<TraceError>;
        'Vec<TransactionInfo>': Vec<TransactionInfo>;
        'Vec<TransactionPriority>': Vec<TransactionPriority>;
        'Vec<TransactionStorageProof>': Vec<TransactionStorageProof>;
        'Vec<TransactionValidityError>': Vec<TransactionValidityError>;
        'Vec<TransferManager>': Vec<TransferManager>;
        'Vec<TransferManagerResult>': Vec<TransferManagerResult>;
        'Vec<TransientValidationData>': Vec<TransientValidationData>;
        'Vec<TreasuryProposal>': Vec<TreasuryProposal>;
        'Vec<TrieId>': Vec<TrieId>;
        'Vec<TrieIndex>': Vec<TrieIndex>;
        'Vec<TrustedFor>': Vec<TrustedFor>;
        'Vec<TrustedIssuer>': Vec<TrustedIssuer>;
        'Vec<Type>': Vec<Type>;
        'Vec<u128>': Vec<u128>;
        'Vec<U128>': Vec<U128>;
        'Vec<u16>': Vec<u16>;
        'Vec<U16>': Vec<U16>;
        'Vec<u256>': Vec<u256>;
        'Vec<U256>': Vec<U256>;
        'Vec<u32>': Vec<u32>;
        'Vec<U32>': Vec<U32>;
        'Vec<U32F32>': Vec<U32F32>;
        'Vec<u64>': Vec<u64>;
        'Vec<U64>': Vec<U64>;
        'Vec<u8>': Vec<u8>;
        'Vec<U8>': Vec<U8>;
        'Vec<UncleEntryItem>': Vec<UncleEntryItem>;
        'Vec<UniqueCall>': Vec<UniqueCall>;
        'Vec<UnknownTransaction>': Vec<UnknownTransaction>;
        'Vec<UpwardMessage>': Vec<UpwardMessage>;
        'Vec<Url>': Vec<Url>;
        'Vec<usize>': Vec<usize>;
        'Vec<USize>': Vec<USize>;
        'Vec<ValidationCode>': Vec<ValidationCode>;
        'Vec<ValidationCodeHash>': Vec<ValidationCodeHash>;
        'Vec<ValidationData>': Vec<ValidationData>;
        'Vec<ValidationDataType>': Vec<ValidationDataType>;
        'Vec<ValidationFunctionParams>': Vec<ValidationFunctionParams>;
        'Vec<ValidatorCount>': Vec<ValidatorCount>;
        'Vec<ValidatorId>': Vec<ValidatorId>;
        'Vec<ValidatorIdOf>': Vec<ValidatorIdOf>;
        'Vec<ValidatorSetId>': Vec<ValidatorSetId>;
        'Vec<ValidatorSignature>': Vec<ValidatorSignature>;
        'Vec<ValidDisputeStatementKind>': Vec<ValidDisputeStatementKind>;
        'Vec<ValidityAttestation>': Vec<ValidityAttestation>;
        'Vec<VecInboundHrmpMessage>': Vec<VecInboundHrmpMessage>;
        'Vec<Venue>': Vec<Venue>;
        'Vec<VenueDetails>': Vec<VenueDetails>;
        'Vec<VenueId>': Vec<VenueId>;
        'Vec<VenueType>': Vec<VenueType>;
        'Vec<Version>': Vec<Version>;
        'Vec<VersionedMultiAsset>': Vec<VersionedMultiAsset>;
        'Vec<VersionedMultiLocation>': Vec<VersionedMultiLocation>;
        'Vec<VersionedXcm>': Vec<VersionedXcm>;
        'Vec<VestingInfo>': Vec<VestingInfo>;
        'Vec<VestingSchedule>': Vec<VestingSchedule>;
        'Vec<Vote>': Vec<Vote>;
        'Vec<VoteByPip>': Vec<VoteByPip>;
        'Vec<VoteCount>': Vec<VoteCount>;
        'Vec<VoteCountProposalFound>': Vec<VoteCountProposalFound>;
        'Vec<VoteIndex>': Vec<VoteIndex>;
        'Vec<VoterInfo>': Vec<VoterInfo>;
        'Vec<Votes>': Vec<Votes>;
        'Vec<VotesTo230>': Vec<VotesTo230>;
        'Vec<VoteThreshold>': Vec<VoteThreshold>;
        'Vec<Voting>': Vec<Voting>;
        'Vec<VotingDelegating>': Vec<VotingDelegating>;
        'Vec<VotingDirect>': Vec<VotingDirect>;
        'Vec<VotingDirectVote>': Vec<VotingDirectVote>;
        'Vec<VotingResult>': Vec<VotingResult>;
        'Vec<VouchingStatus>': Vec<VouchingStatus>;
        'Vec<VrfData>': Vec<VrfData>;
        'Vec<VrfOutput>': Vec<VrfOutput>;
        'Vec<VrfProof>': Vec<VrfProof>;
        'Vec<Weight>': Vec<Weight>;
        'Vec<WeightMultiplier>': Vec<WeightMultiplier>;
        'Vec<WeightPerClass>': Vec<WeightPerClass>;
        'Vec<WeightToFeeCoefficient>': Vec<WeightToFeeCoefficient>;
        'Vec<WinnersData>': Vec<WinnersData>;
        'Vec<WinnersDataTuple>': Vec<WinnersDataTuple>;
        'Vec<WinningData>': Vec<WinningData>;
        'Vec<WinningDataEntry>': Vec<WinningDataEntry>;
        'Vec<WithdrawReasons>': Vec<WithdrawReasons>;
        'Vec<Xcm>': Vec<Xcm>;
        'Vec<XcmAssetEffects>': Vec<XcmAssetEffects>;
        'Vec<XcmError>': Vec<XcmError>;
        'Vec<XcmHrmpChannelAccepted>': Vec<XcmHrmpChannelAccepted>;
        'Vec<XcmHrmpChannelClosing>': Vec<XcmHrmpChannelClosing>;
        'Vec<XcmHrmpNewChannelOpenRequest>': Vec<XcmHrmpNewChannelOpenRequest>;
        'Vec<XcmOrder>': Vec<XcmOrder>;
        'Vec<XcmOrderBuyExecution>': Vec<XcmOrderBuyExecution>;
        'Vec<XcmOrderDepositAsset>': Vec<XcmOrderDepositAsset>;
        'Vec<XcmOrderDepositReserveAsset>': Vec<XcmOrderDepositReserveAsset>;
        'Vec<XcmOrderExchangeAsset>': Vec<XcmOrderExchangeAsset>;
        'Vec<XcmOrderInitiateReserveWithdraw>': Vec<XcmOrderInitiateReserveWithdraw>;
        'Vec<XcmOrderInitiateTeleport>': Vec<XcmOrderInitiateTeleport>;
        'Vec<XcmOrderQueryHolding>': Vec<XcmOrderQueryHolding>;
        'Vec<XcmOrigin>': Vec<XcmOrigin>;
        'Vec<XcmOriginKind>': Vec<XcmOriginKind>;
        'Vec<XcmpMessageFormat>': Vec<XcmpMessageFormat>;
        'Vec<XcmQueryResponse>': Vec<XcmQueryResponse>;
        'Vec<XcmRelayedFrom>': Vec<XcmRelayedFrom>;
        'Vec<XcmReserveAssetDeposit>': Vec<XcmReserveAssetDeposit>;
        'Vec<XcmResponse>': Vec<XcmResponse>;
        'Vec<XcmTeleportAsset>': Vec<XcmTeleportAsset>;
        'Vec<XcmTransact>': Vec<XcmTransact>;
        'Vec<XcmTransferAsset>': Vec<XcmTransferAsset>;
        'Vec<XcmTransferReserveAsset>': Vec<XcmTransferReserveAsset>;
        'Vec<XcmWithdrawAsset>': Vec<XcmWithdrawAsset>;
        'Vec<ZkProofData>': Vec<ZkProofData>;
        AbridgedCandidateReceipt: AbridgedCandidateReceipt;
        AbridgedHostConfiguration: AbridgedHostConfiguration;
        AbridgedHrmpChannel: AbridgedHrmpChannel;
        AccountData: AccountData;
        AccountId: AccountId;
        AccountId20: AccountId20;
        AccountId32: AccountId32;
        AccountId32Junction: AccountId32Junction;
        AccountIdOf: AccountIdOf;
        AccountIndex: AccountIndex;
        AccountIndex64Junction: AccountIndex64Junction;
        AccountInfo: AccountInfo;
        AccountInfoWithDualRefCount: AccountInfoWithDualRefCount;
        AccountInfoWithProviders: AccountInfoWithProviders;
        AccountInfoWithRefCount: AccountInfoWithRefCount;
        AccountInfoWithRefCountU8: AccountInfoWithRefCountU8;
        AccountInfoWithTripleRefCount: AccountInfoWithTripleRefCount;
        AccountKey20Junction: AccountKey20Junction;
        AccountStatus: AccountStatus;
        AccountValidity: AccountValidity;
        AccountVote: AccountVote;
        AccountVoteSplit: AccountVoteSplit;
        AccountVoteStandard: AccountVoteStandard;
        ActiveGilt: ActiveGilt;
        ActiveGiltsTotal: ActiveGiltsTotal;
        ActiveIndex: ActiveIndex;
        ActiveRecovery: ActiveRecovery;
        Address: Address;
        AffirmationStatus: AffirmationStatus;
        AgentGroup: AgentGroup;
        AGId: AGId;
        AliveContractInfo: AliveContractInfo;
        AllowedSlots: AllowedSlots;
        AnySignature: AnySignature;
        ApiId: ApiId;
        ApplyExtrinsicResult: ApplyExtrinsicResult;
        ApprovalFlag: ApprovalFlag;
        Approvals: Approvals;
        ArithmeticError: ArithmeticError;
        AssetApproval: AssetApproval;
        AssetApprovalKey: AssetApprovalKey;
        AssetBalance: AssetBalance;
        AssetCompliance: AssetCompliance;
        AssetComplianceResult: AssetComplianceResult;
        AssetDestroyWitness: AssetDestroyWitness;
        AssetDetails: AssetDetails;
        AssetDidResult: AssetDidResult;
        AssetId: AssetId;
        AssetIdentifier: AssetIdentifier;
        AssetInstance: AssetInstance;
        AssetMetadata: AssetMetadata;
        AssetName: AssetName;
        AssetOptions: AssetOptions;
        AssetOwnershipRelation: AssetOwnershipRelation;
        AssetPermissions: AssetPermissions;
        AssetType: AssetType;
        AssignmentId: AssignmentId;
        AssignmentKind: AssignmentKind;
        AttestedCandidate: AttestedCandidate;
        AuctionIndex: AuctionIndex;
        AuthIndex: AuthIndex;
        AuthorityDiscoveryId: AuthorityDiscoveryId;
        AuthorityId: AuthorityId;
        AuthorityIndex: AuthorityIndex;
        AuthorityList: AuthorityList;
        AuthoritySet: AuthoritySet;
        AuthoritySetChange: AuthoritySetChange;
        AuthoritySetChanges: AuthoritySetChanges;
        AuthoritySignature: AuthoritySignature;
        AuthorityWeight: AuthorityWeight;
        Authorization: Authorization;
        AuthorizationData: AuthorizationData;
        AuthorizationNonce: AuthorizationNonce;
        AuthorizationType: AuthorizationType;
        AvailabilityBitfield: AvailabilityBitfield;
        AvailabilityBitfieldRecord: AvailabilityBitfieldRecord;
        BabeAuthorityWeight: BabeAuthorityWeight;
        BabeBlockWeight: BabeBlockWeight;
        BabeEpochConfiguration: BabeEpochConfiguration;
        BabeEquivocationProof: BabeEquivocationProof;
        BabeWeight: BabeWeight;
        BackedCandidate: BackedCandidate;
        Balance: Balance;
        BalanceLock: BalanceLock;
        BalanceLockTo212: BalanceLockTo212;
        BalanceOf: BalanceOf;
        BalanceStatus: BalanceStatus;
        BallotMeta: BallotMeta;
        BallotTimeRange: BallotTimeRange;
        BallotTitle: BallotTitle;
        BallotVote: BallotVote;
        BeefyCommitment: BeefyCommitment;
        BeefyId: BeefyId;
        BeefyKey: BeefyKey;
        BeefyNextAuthoritySet: BeefyNextAuthoritySet;
        BeefyPayload: BeefyPayload;
        BeefySignedCommitment: BeefySignedCommitment;
        Beneficiary: Beneficiary;
        Bid: Bid;
        Bidder: Bidder;
        BidKind: BidKind;
        BitVec: BitVec;
        Block: Block;
        BlockAttestations: BlockAttestations;
        BlockHash: BlockHash;
        BlockLength: BlockLength;
        BlockNumber: BlockNumber;
        BlockNumberFor: BlockNumberFor;
        BlockNumberOf: BlockNumberOf;
        BlockTrace: BlockTrace;
        BlockTraceEvent: BlockTraceEvent;
        BlockTraceEventData: BlockTraceEventData;
        BlockTraceSpan: BlockTraceSpan;
        BlockWeights: BlockWeights;
        BodyId: BodyId;
        BodyPart: BodyPart;
        BodyPartAtLeastProportion: BodyPartAtLeastProportion;
        BodyPartFraction: BodyPartFraction;
        BodyPartMoreThanProportion: BodyPartMoreThanProportion;
        bool: bool;
        Bool: Bool;
        Bounty: Bounty;
        BountyIndex: BountyIndex;
        BountyStatus: BountyStatus;
        BountyStatusActive: BountyStatusActive;
        BountyStatusCuratorProposed: BountyStatusCuratorProposed;
        BountyStatusPendingPayout: BountyStatusPendingPayout;
        BridgedBlockHash: BridgedBlockHash;
        BridgedBlockNumber: BridgedBlockNumber;
        BridgedHeader: BridgedHeader;
        BridgeTx: BridgeTx;
        BridgeTxDetail: BridgeTxDetail;
        BridgeTxStatus: BridgeTxStatus;
        BufferedSessionChange: BufferedSessionChange;
        Bytes: Bytes;
        CACheckpoint: CACheckpoint;
        CADetails: CADetails;
        CAId: CAId;
        CAKind: CAKind;
        CalendarPeriod: CalendarPeriod;
        CalendarUnit: CalendarUnit;
        Call: Call;
        CallHash: CallHash;
        CallHashOf: CallHashOf;
        CallIndex: CallIndex;
        CandidateCommitments: CandidateCommitments;
        CandidateDescriptor: CandidateDescriptor;
        CandidateHash: CandidateHash;
        CandidateInfo: CandidateInfo;
        CandidatePendingAvailability: CandidatePendingAvailability;
        CandidateReceipt: CandidateReceipt;
        CanTransferResult: CanTransferResult;
        CappedFee: CappedFee;
        CddId: CddId;
        CddStatus: CddStatus;
        ChainProperties: ChainProperties;
        ChainType: ChainType;
        ChangesTrieConfiguration: ChangesTrieConfiguration;
        ChangesTrieSignal: ChangesTrieSignal;
        CheckpointId: CheckpointId;
        CheckpointSchedule: CheckpointSchedule;
        ChoiceTitle: ChoiceTitle;
        Claim: Claim;
        Claim1stKey: Claim1stKey;
        Claim2ndKey: Claim2ndKey;
        ClaimType: ClaimType;
        ClassDetails: ClassDetails;
        ClassicTickerImport: ClassicTickerImport;
        ClassicTickerRegistration: ClassicTickerRegistration;
        ClassId: ClassId;
        ClassMetadata: ClassMetadata;
        CodecHash: CodecHash;
        CodeHash: CodeHash;
        CollatorId: CollatorId;
        CollatorSignature: CollatorSignature;
        CollectiveOrigin: CollectiveOrigin;
        CommittedCandidateReceipt: CommittedCandidateReceipt;
        Committee: Committee;
        ComplianceRequirement: ComplianceRequirement;
        ComplianceRequirementResult: ComplianceRequirementResult;
        Condition: Condition;
        ConditionResult: ConditionResult;
        ConditionType: ConditionType;
        ConfigData: ConfigData;
        Consensus: Consensus;
        ConsensusEngineId: ConsensusEngineId;
        ConsumedWeight: ConsumedWeight;
        ContractCallRequest: ContractCallRequest;
        ContractConstructorSpec: ContractConstructorSpec;
        ContractContractSpec: ContractContractSpec;
        ContractCryptoHasher: ContractCryptoHasher;
        ContractDiscriminant: ContractDiscriminant;
        ContractDisplayName: ContractDisplayName;
        ContractEventParamSpec: ContractEventParamSpec;
        ContractEventSpec: ContractEventSpec;
        ContractExecResult: ContractExecResult;
        ContractExecResultErr: ContractExecResultErr;
        ContractExecResultErrModule: ContractExecResultErrModule;
        ContractExecResultOk: ContractExecResultOk;
        ContractExecResultResult: ContractExecResultResult;
        ContractExecResultSuccessTo255: ContractExecResultSuccessTo255;
        ContractExecResultSuccessTo260: ContractExecResultSuccessTo260;
        ContractExecResultTo255: ContractExecResultTo255;
        ContractExecResultTo260: ContractExecResultTo260;
        ContractExecResultTo267: ContractExecResultTo267;
        ContractInfo: ContractInfo;
        ContractInstantiateResult: ContractInstantiateResult;
        ContractLayoutArray: ContractLayoutArray;
        ContractLayoutCell: ContractLayoutCell;
        ContractLayoutEnum: ContractLayoutEnum;
        ContractLayoutHash: ContractLayoutHash;
        ContractLayoutHashingStrategy: ContractLayoutHashingStrategy;
        ContractLayoutKey: ContractLayoutKey;
        ContractLayoutStruct: ContractLayoutStruct;
        ContractLayoutStructField: ContractLayoutStructField;
        ContractMessageParamSpec: ContractMessageParamSpec;
        ContractMessageSpec: ContractMessageSpec;
        ContractProject: ContractProject;
        ContractProjectContract: ContractProjectContract;
        ContractProjectSource: ContractProjectSource;
        ContractSelector: ContractSelector;
        ContractStorageKey: ContractStorageKey;
        ContractStorageLayout: ContractStorageLayout;
        ContractTypeSpec: ContractTypeSpec;
        Conviction: Conviction;
        CoreAssignment: CoreAssignment;
        CoreIndex: CoreIndex;
        CoreOccupied: CoreOccupied;
        CorporateAction: CorporateAction;
        Counter: Counter;
        CountryCode: CountryCode;
        CreatedBlock: CreatedBlock;
        CustomAssetTypeId: CustomAssetTypeId;
        Data: Data;
        DeferredOffenceOf: DeferredOffenceOf;
        DefunctVoter: DefunctVoter;
        DelayKind: DelayKind;
        DelayKindBest: DelayKindBest;
        Delegations: Delegations;
        DeletedContract: DeletedContract;
        DepositBalance: DepositBalance;
        DepositBalanceOf: DepositBalanceOf;
        DepositInfo: DepositInfo;
        DestroyWitness: DestroyWitness;
        DidRecord: DidRecord;
        DidRecords: DidRecords;
        DidRecordsSuccess: DidRecordsSuccess;
        DidStatus: DidStatus;
        Digest: Digest;
        DigestItem: DigestItem;
        DigestOf: DigestOf;
        DispatchableName: DispatchableName;
        DispatchableNames: DispatchableNames;
        DispatchClass: DispatchClass;
        DispatchError: DispatchError;
        DispatchErrorModule: DispatchErrorModule;
        DispatchErrorTo198: DispatchErrorTo198;
        DispatchInfo: DispatchInfo;
        DispatchInfoTo190: DispatchInfoTo190;
        DispatchInfoTo244: DispatchInfoTo244;
        DispatchOutcome: DispatchOutcome;
        DispatchResult: DispatchResult;
        DispatchResultOf: DispatchResultOf;
        DispatchResultTo198: DispatchResultTo198;
        DisputeStatement: DisputeStatement;
        DisputeStatementSet: DisputeStatementSet;
        Distribution: Distribution;
        Document: Document;
        DocumentHash: DocumentHash;
        DocumentId: DocumentId;
        DocumentName: DocumentName;
        DocumentType: DocumentType;
        DocumentUri: DocumentUri;
        DoubleEncodedCall: DoubleEncodedCall;
        DoubleVoteReport: DoubleVoteReport;
        DownwardMessage: DownwardMessage;
        EcdsaSignature: EcdsaSignature;
        Ed25519Signature: Ed25519Signature;
        EncodedFinalityProofs: EncodedFinalityProofs;
        EncodedJustification: EncodedJustification;
        EpochAuthorship: EpochAuthorship;
        ErrorAt: ErrorAt;
        ErrorMetadataLatest: ErrorMetadataLatest;
        ErrorMetadataV10: ErrorMetadataV10;
        ErrorMetadataV11: ErrorMetadataV11;
        ErrorMetadataV12: ErrorMetadataV12;
        ErrorMetadataV13: ErrorMetadataV13;
        ErrorMetadataV9: ErrorMetadataV9;
        EthAccount: EthAccount;
        EthBlock: EthBlock;
        EthBloom: EthBloom;
        EthCallRequest: EthCallRequest;
        EthereumAccountId: EthereumAccountId;
        EthereumAddress: EthereumAddress;
        EthereumLookupSource: EthereumLookupSource;
        EthereumSignature: EthereumSignature;
        EthFilter: EthFilter;
        EthFilterAddress: EthFilterAddress;
        EthFilterChanges: EthFilterChanges;
        EthFilterTopic: EthFilterTopic;
        EthFilterTopicEntry: EthFilterTopicEntry;
        EthFilterTopicInner: EthFilterTopicInner;
        EthHeader: EthHeader;
        EthLog: EthLog;
        EthReceipt: EthReceipt;
        EthRichBlock: EthRichBlock;
        EthRichHeader: EthRichHeader;
        EthStorageProof: EthStorageProof;
        EthSubKind: EthSubKind;
        EthSubParams: EthSubParams;
        EthSubResult: EthSubResult;
        EthSyncInfo: EthSyncInfo;
        EthSyncStatus: EthSyncStatus;
        EthTransaction: EthTransaction;
        EthTransactionAction: EthTransactionAction;
        EthTransactionCondition: EthTransactionCondition;
        EthTransactionRequest: EthTransactionRequest;
        EthTransactionSignature: EthTransactionSignature;
        EthTransactionStatus: EthTransactionStatus;
        EthWork: EthWork;
        Event: Event;
        EventCounts: EventCounts;
        EventDid: EventDid;
        EventId: EventId;
        EventIndex: EventIndex;
        EventMetadataLatest: EventMetadataLatest;
        EventMetadataV10: EventMetadataV10;
        EventMetadataV11: EventMetadataV11;
        EventMetadataV12: EventMetadataV12;
        EventMetadataV13: EventMetadataV13;
        EventMetadataV9: EventMetadataV9;
        EventRecord: EventRecord;
        EvmAccount: EvmAccount;
        EvmLog: EvmLog;
        EvmVicinity: EvmVicinity;
        ExecReturnValue: ExecReturnValue;
        ExitError: ExitError;
        ExitFatal: ExitFatal;
        ExitReason: ExitReason;
        ExitRevert: ExitRevert;
        ExitSucceed: ExitSucceed;
        ExplicitDisputeStatement: ExplicitDisputeStatement;
        ExtensionAttributes: ExtensionAttributes;
        Extrinsic: Extrinsic;
        ExtrinsicEra: ExtrinsicEra;
        ExtrinsicMetadataLatest: ExtrinsicMetadataLatest;
        ExtrinsicMetadataV11: ExtrinsicMetadataV11;
        ExtrinsicMetadataV12: ExtrinsicMetadataV12;
        ExtrinsicMetadataV13: ExtrinsicMetadataV13;
        ExtrinsicMetadataV14: ExtrinsicMetadataV14;
        ExtrinsicOrHash: ExtrinsicOrHash;
        ExtrinsicPayload: ExtrinsicPayload;
        ExtrinsicPayloadUnknown: ExtrinsicPayloadUnknown;
        ExtrinsicPayloadV4: ExtrinsicPayloadV4;
        ExtrinsicPermissions: ExtrinsicPermissions;
        ExtrinsicSignature: ExtrinsicSignature;
        ExtrinsicSignatureV4: ExtrinsicSignatureV4;
        ExtrinsicStatus: ExtrinsicStatus;
        ExtrinsicsWeight: ExtrinsicsWeight;
        ExtrinsicUnknown: ExtrinsicUnknown;
        ExtrinsicV4: ExtrinsicV4;
        ExtVersion: ExtVersion;
        FeeDetails: FeeDetails;
        Fixed128: Fixed128;
        Fixed64: Fixed64;
        FixedI128: FixedI128;
        FixedI64: FixedI64;
        FixedU128: FixedU128;
        FixedU64: FixedU64;
        ForkTreePendingChange: ForkTreePendingChange;
        ForkTreePendingChangeNode: ForkTreePendingChangeNode;
        FullIdentification: FullIdentification;
        FunctionArgumentMetadataLatest: FunctionArgumentMetadataLatest;
        FunctionArgumentMetadataV10: FunctionArgumentMetadataV10;
        FunctionArgumentMetadataV11: FunctionArgumentMetadataV11;
        FunctionArgumentMetadataV12: FunctionArgumentMetadataV12;
        FunctionArgumentMetadataV13: FunctionArgumentMetadataV13;
        FunctionArgumentMetadataV9: FunctionArgumentMetadataV9;
        FunctionMetadataLatest: FunctionMetadataLatest;
        FunctionMetadataV10: FunctionMetadataV10;
        FunctionMetadataV11: FunctionMetadataV11;
        FunctionMetadataV12: FunctionMetadataV12;
        FunctionMetadataV13: FunctionMetadataV13;
        FunctionMetadataV9: FunctionMetadataV9;
        FundIndex: FundIndex;
        FundInfo: FundInfo;
        FundingRoundName: FundingRoundName;
        Fundraiser: Fundraiser;
        FundraiserId: FundraiserId;
        FundraiserName: FundraiserName;
        FundraiserStatus: FundraiserStatus;
        FundraiserTier: FundraiserTier;
        Gas: Gas;
        GiltBid: GiltBid;
        GlobalValidationData: GlobalValidationData;
        GlobalValidationSchedule: GlobalValidationSchedule;
        GrandpaCommit: GrandpaCommit;
        GrandpaEquivocation: GrandpaEquivocation;
        GrandpaEquivocationProof: GrandpaEquivocationProof;
        GrandpaEquivocationValue: GrandpaEquivocationValue;
        GrandpaJustification: GrandpaJustification;
        GrandpaPrecommit: GrandpaPrecommit;
        GrandpaPrevote: GrandpaPrevote;
        GrandpaSignedPrecommit: GrandpaSignedPrecommit;
        GranularCanTransferResult: GranularCanTransferResult;
        GroupIndex: GroupIndex;
        H1024: H1024;
        H128: H128;
        H160: H160;
        H2048: H2048;
        H256: H256;
        H32: H32;
        H512: H512;
        H64: H64;
        HandledTxStatus: HandledTxStatus;
        Hash: Hash;
        HeadData: HeadData;
        Header: Header;
        HeaderPartial: HeaderPartial;
        Health: Health;
        Heartbeat: Heartbeat;
        HeartbeatTo244: HeartbeatTo244;
        HostConfiguration: HostConfiguration;
        HostFnWeights: HostFnWeights;
        HostFnWeightsTo264: HostFnWeightsTo264;
        HrmpChannel: HrmpChannel;
        HrmpChannelId: HrmpChannelId;
        HrmpOpenChannelRequest: HrmpOpenChannelRequest;
        i128: i128;
        I128: I128;
        i16: i16;
        I16: I16;
        i256: i256;
        I256: I256;
        i32: i32;
        I32: I32;
        I32F32: I32F32;
        i64: i64;
        I64: I64;
        i8: i8;
        I8: I8;
        IdentificationTuple: IdentificationTuple;
        IdentityClaim: IdentityClaim;
        IdentityId: IdentityId;
        IdentityRole: IdentityRole;
        ImmortalEra: ImmortalEra;
        ImportedAux: ImportedAux;
        InactiveMember: InactiveMember;
        InboundDownwardMessage: InboundDownwardMessage;
        InboundHrmpMessage: InboundHrmpMessage;
        InboundHrmpMessages: InboundHrmpMessages;
        InboundStatus: InboundStatus;
        IncludedBlocks: IncludedBlocks;
        InclusionFee: InclusionFee;
        IncomingParachain: IncomingParachain;
        IncomingParachainDeploy: IncomingParachainDeploy;
        IncomingParachainFixed: IncomingParachainFixed;
        Index: Index;
        IndicesLookupSource: IndicesLookupSource;
        InitializationData: InitializationData;
        InstanceDetails: InstanceDetails;
        InstanceId: InstanceId;
        InstanceMetadata: InstanceMetadata;
        InstantiateRequest: InstantiateRequest;
        InstantiateReturnValue: InstantiateReturnValue;
        Instruction: Instruction;
        InstructionId: InstructionId;
        InstructionStatus: InstructionStatus;
        InstructionWeights: InstructionWeights;
        InvalidDisputeStatementKind: InvalidDisputeStatementKind;
        InvalidTransaction: InvalidTransaction;
        InvestorUid: InvestorUid;
        InvestorZKProofData: InvestorZKProofData;
        ItnRewardStatus: ItnRewardStatus;
        Json: Json;
        Junction: Junction;
        Justification: Justification;
        JustificationNotification: JustificationNotification;
        Justifications: Justifications;
        Key: Key;
        KeyIdentityData: KeyIdentityData;
        KeyOwnerProof: KeyOwnerProof;
        Keys: Keys;
        KeyTypeId: KeyTypeId;
        KeyValue: KeyValue;
        KeyValueOption: KeyValueOption;
        Kind: Kind;
        LastContribution: LastContribution;
        LastRuntimeUpgradeInfo: LastRuntimeUpgradeInfo;
        LeasePeriod: LeasePeriod;
        LeasePeriodOf: LeasePeriodOf;
        Leg: Leg;
        LegacyPalletPermissions: LegacyPalletPermissions;
        LegacyPermissions: LegacyPermissions;
        LegId: LegId;
        LegStatus: LegStatus;
        Limits: Limits;
        LimitsTo264: LimitsTo264;
        LocalCAId: LocalCAId;
        LocalValidationData: LocalValidationData;
        LockIdentifier: LockIdentifier;
        LookupSource: LookupSource;
        LookupTarget: LookupTarget;
        LotteryConfig: LotteryConfig;
        MaybeBlock: MaybeBlock;
        MaybeRandomness: MaybeRandomness;
        MaybeVrf: MaybeVrf;
        MemberCount: MemberCount;
        MembershipProof: MembershipProof;
        Memo: Memo;
        MessageId: MessageId;
        MessageIngestionType: MessageIngestionType;
        MessageQueueChain: MessageQueueChain;
        MessagingStateSnapshot: MessagingStateSnapshot;
        MessagingStateSnapshotEgressEntry: MessagingStateSnapshotEgressEntry;
        MetadataAll: MetadataAll;
        MetadataLatest: MetadataLatest;
        MetadataV10: MetadataV10;
        MetadataV11: MetadataV11;
        MetadataV12: MetadataV12;
        MetadataV13: MetadataV13;
        MetadataV14: MetadataV14;
        MetadataV9: MetadataV9;
        MetaDescription: MetaDescription;
        MetaUrl: MetaUrl;
        MetaVersion: MetaVersion;
        MmrLeafProof: MmrLeafProof;
        MmrRootHash: MmrRootHash;
        ModuleConstantMetadataLatest: ModuleConstantMetadataLatest;
        ModuleConstantMetadataV10: ModuleConstantMetadataV10;
        ModuleConstantMetadataV11: ModuleConstantMetadataV11;
        ModuleConstantMetadataV12: ModuleConstantMetadataV12;
        ModuleConstantMetadataV13: ModuleConstantMetadataV13;
        ModuleConstantMetadataV9: ModuleConstantMetadataV9;
        ModuleId: ModuleId;
        ModuleMetadataLatest: ModuleMetadataLatest;
        ModuleMetadataV10: ModuleMetadataV10;
        ModuleMetadataV11: ModuleMetadataV11;
        ModuleMetadataV12: ModuleMetadataV12;
        ModuleMetadataV13: ModuleMetadataV13;
        ModuleMetadataV9: ModuleMetadataV9;
        Moment: Moment;
        MoreAttestations: MoreAttestations;
        MortalEra: MortalEra;
        Motion: Motion;
        MotionInfoLink: MotionInfoLink;
        MotionTitle: MotionTitle;
        MovePortfolioItem: MovePortfolioItem;
        MultiAddress: MultiAddress;
        MultiAsset: MultiAsset;
        MultiAssetAbstractFungible: MultiAssetAbstractFungible;
        MultiAssetAbstractNonFungible: MultiAssetAbstractNonFungible;
        MultiAssetConcreteFungible: MultiAssetConcreteFungible;
        MultiAssetConcreteNonFungible: MultiAssetConcreteNonFungible;
        MultiDisputeStatementSet: MultiDisputeStatementSet;
        MultiLocation: MultiLocation;
        Multiplier: Multiplier;
        Multisig: Multisig;
        MultiSignature: MultiSignature;
        MultiSigner: MultiSigner;
        NetworkId: NetworkId;
        NetworkState: NetworkState;
        NetworkStatePeerset: NetworkStatePeerset;
        NetworkStatePeersetInfo: NetworkStatePeersetInfo;
        NewBidder: NewBidder;
        NextAuthority: NextAuthority;
        NextConfigDescriptor: NextConfigDescriptor;
        NextConfigDescriptorV1: NextConfigDescriptorV1;
        NodeRole: NodeRole;
        NotConnectedPeer: NotConnectedPeer;
        Null: Null;
        OffChainSignature: OffChainSignature;
        OffenceDetails: OffenceDetails;
        Offender: Offender;
        OpaqueCall: OpaqueCall;
        OpaqueMultiaddr: OpaqueMultiaddr;
        OpaqueNetworkState: OpaqueNetworkState;
        OpaquePeerId: OpaquePeerId;
        OpaqueTimeSlot: OpaqueTimeSlot;
        OpenTip: OpenTip;
        OpenTipFinderTo225: OpenTipFinderTo225;
        OpenTipTip: OpenTipTip;
        OpenTipTo225: OpenTipTo225;
        Origin: Origin;
        OriginCaller: OriginCaller;
        OutboundHrmpMessage: OutboundHrmpMessage;
        OutboundStatus: OutboundStatus;
        Outcome: Outcome;
        OverweightIndex: OverweightIndex;
        Owner: Owner;
        PageCounter: PageCounter;
        PageIndexData: PageIndexData;
        PalletCallMetadataLatest: PalletCallMetadataLatest;
        PalletCallMetadataV14: PalletCallMetadataV14;
        PalletConstantMetadataLatest: PalletConstantMetadataLatest;
        PalletConstantMetadataV14: PalletConstantMetadataV14;
        PalletErrorMetadataLatest: PalletErrorMetadataLatest;
        PalletErrorMetadataV14: PalletErrorMetadataV14;
        PalletEventMetadataLatest: PalletEventMetadataLatest;
        PalletEventMetadataV14: PalletEventMetadataV14;
        PalletId: PalletId;
        PalletMetadataLatest: PalletMetadataLatest;
        PalletMetadataV14: PalletMetadataV14;
        PalletName: PalletName;
        PalletPermissions: PalletPermissions;
        PalletsOrigin: PalletsOrigin;
        PalletStorageMetadataLatest: PalletStorageMetadataLatest;
        PalletStorageMetadataV14: PalletStorageMetadataV14;
        PalletVersion: PalletVersion;
        ParachainDispatchOrigin: ParachainDispatchOrigin;
        ParachainInherentData: ParachainInherentData;
        ParachainProposal: ParachainProposal;
        ParachainsInherentData: ParachainsInherentData;
        ParaGenesisArgs: ParaGenesisArgs;
        ParaId: ParaId;
        ParaInfo: ParaInfo;
        ParaLifecycle: ParaLifecycle;
        ParaPastCodeMeta: ParaPastCodeMeta;
        ParaScheduling: ParaScheduling;
        ParathreadClaim: ParathreadClaim;
        ParathreadClaimQueue: ParathreadClaimQueue;
        ParathreadEntry: ParathreadEntry;
        ParaValidatorIndex: ParaValidatorIndex;
        Pays: Pays;
        Peer: Peer;
        PeerEndpoint: PeerEndpoint;
        PeerEndpointAddr: PeerEndpointAddr;
        PeerInfo: PeerInfo;
        PeerPing: PeerPing;
        PendingChange: PendingChange;
        PendingPause: PendingPause;
        PendingResume: PendingResume;
        Perbill: Perbill;
        Percent: Percent;
        Percentage: Percentage;
        PerDispatchClassU32: PerDispatchClassU32;
        PerDispatchClassWeight: PerDispatchClassWeight;
        PerDispatchClassWeightsPerClass: PerDispatchClassWeightsPerClass;
        Period: Period;
        Permill: Permill;
        PermissionedIdentityPrefs: PermissionedIdentityPrefs;
        PermissionLatest: PermissionLatest;
        Permissions: Permissions;
        PermissionsV1: PermissionsV1;
        PermissionVersions: PermissionVersions;
        Perquintill: Perquintill;
        PersistedValidationData: PersistedValidationData;
        PerU16: PerU16;
        Phantom: Phantom;
        PhantomData: PhantomData;
        Phase: Phase;
        Pip: Pip;
        PipDescription: PipDescription;
        PipId: PipId;
        PipsMetadata: PipsMetadata;
        PluralityJunction: PluralityJunction;
        PolymeshVotes: PolymeshVotes;
        PortableRegistry: PortableRegistry;
        PortableType: PortableType;
        PortfolioId: PortfolioId;
        PortfolioKind: PortfolioKind;
        PortfolioName: PortfolioName;
        PortfolioNumber: PortfolioNumber;
        PortfolioPermissions: PortfolioPermissions;
        PortfolioValidityResult: PortfolioValidityResult;
        PosRatio: PosRatio;
        PreAuthorizedKeyInfo: PreAuthorizedKeyInfo;
        Precommits: Precommits;
        PrefabWasmModule: PrefabWasmModule;
        PrefixedStorageKey: PrefixedStorageKey;
        PreimageStatus: PreimageStatus;
        PreimageStatusAvailable: PreimageStatusAvailable;
        PreRuntime: PreRuntime;
        Prevotes: Prevotes;
        PriceTier: PriceTier;
        Priority: Priority;
        PriorLock: PriorLock;
        PropIndex: PropIndex;
        Proposal: Proposal;
        ProposalData: ProposalData;
        ProposalDetails: ProposalDetails;
        ProposalIndex: ProposalIndex;
        ProposalState: ProposalState;
        ProposalStatus: ProposalStatus;
        Proposer: Proposer;
        ProtocolOp: ProtocolOp;
        ProxyAnnouncement: ProxyAnnouncement;
        ProxyDefinition: ProxyDefinition;
        ProxyState: ProxyState;
        ProxyType: ProxyType;
        QueueConfigData: QueueConfigData;
        QueuedParathread: QueuedParathread;
        Randomness: Randomness;
        Raw: Raw;
        RawAuraPreDigest: RawAuraPreDigest;
        RawBabePreDigest: RawBabePreDigest;
        RawBabePreDigestCompat: RawBabePreDigestCompat;
        RawBabePreDigestPrimary: RawBabePreDigestPrimary;
        RawBabePreDigestPrimaryTo159: RawBabePreDigestPrimaryTo159;
        RawBabePreDigestSecondaryPlain: RawBabePreDigestSecondaryPlain;
        RawBabePreDigestSecondaryTo159: RawBabePreDigestSecondaryTo159;
        RawBabePreDigestSecondaryVRF: RawBabePreDigestSecondaryVRF;
        RawBabePreDigestTo159: RawBabePreDigestTo159;
        RawOrigin: RawOrigin;
        RawVRFOutput: RawVRFOutput;
        ReadProof: ReadProof;
        Reasons: Reasons;
        Receipt: Receipt;
        ReceiptDetails: ReceiptDetails;
        ReceiptMetadata: ReceiptMetadata;
        RecordDate: RecordDate;
        RecordDateSpec: RecordDateSpec;
        RecoveryConfig: RecoveryConfig;
        RefCount: RefCount;
        RefCountTo259: RefCountTo259;
        ReferendumIndex: ReferendumIndex;
        ReferendumInfo: ReferendumInfo;
        ReferendumInfoFinished: ReferendumInfoFinished;
        ReferendumInfoTo239: ReferendumInfoTo239;
        ReferendumStatus: ReferendumStatus;
        RegisteredParachainInfo: RegisteredParachainInfo;
        RelayBlockNumber: RelayBlockNumber;
        RelayChainBlockNumber: RelayChainBlockNumber;
        RelayChainHash: RelayChainHash;
        RelayHash: RelayHash;
        Releases: Releases;
        Remark: Remark;
        Renouncing: Renouncing;
        RentProjection: RentProjection;
        ReplacementTimes: ReplacementTimes;
        ReportedRoundStates: ReportedRoundStates;
        Reporter: Reporter;
        ReportIdOf: ReportIdOf;
        ReserveData: ReserveData;
        ReserveIdentifier: ReserveIdentifier;
        RestrictionResult: RestrictionResult;
        Retriable: Retriable;
        RistrettoPoint: RistrettoPoint;
        RoundState: RoundState;
        RpcMethods: RpcMethods;
        RuntimeDbWeight: RuntimeDbWeight;
        RuntimeDispatchInfo: RuntimeDispatchInfo;
        RuntimeVersion: RuntimeVersion;
        RuntimeVersionApi: RuntimeVersionApi;
        RuntimeVersionPartial: RuntimeVersionPartial;
        Scalar: Scalar;
        Schedule: Schedule;
        Scheduled: Scheduled;
        ScheduledTo254: ScheduledTo254;
        ScheduleId: ScheduleId;
        SchedulePeriod: SchedulePeriod;
        SchedulePriority: SchedulePriority;
        ScheduleSpec: ScheduleSpec;
        ScheduleTo212: ScheduleTo212;
        ScheduleTo258: ScheduleTo258;
        ScheduleTo264: ScheduleTo264;
        Scheduling: Scheduling;
        Scope: Scope;
        ScopeClaimProof: ScopeClaimProof;
        ScopeId: ScopeId;
        Seal: Seal;
        SealV0: SealV0;
        SecondaryKey: SecondaryKey;
        SecondaryKeyWithAuth: SecondaryKeyWithAuth;
        SecurityToken: SecurityToken;
        SeedOf: SeedOf;
        ServiceQuality: ServiceQuality;
        SessionIndex: SessionIndex;
        SessionInfo: SessionInfo;
        SessionInfoValidatorGroup: SessionInfoValidatorGroup;
        SessionKeys1: SessionKeys1;
        SessionKeys10: SessionKeys10;
        SessionKeys10B: SessionKeys10B;
        SessionKeys2: SessionKeys2;
        SessionKeys3: SessionKeys3;
        SessionKeys4: SessionKeys4;
        SessionKeys5: SessionKeys5;
        SessionKeys6: SessionKeys6;
        SessionKeys6B: SessionKeys6B;
        SessionKeys7: SessionKeys7;
        SessionKeys7B: SessionKeys7B;
        SessionKeys8: SessionKeys8;
        SessionKeys8B: SessionKeys8B;
        SessionKeys9: SessionKeys9;
        SessionKeys9B: SessionKeys9B;
        SetId: SetId;
        SetIndex: SetIndex;
        SettlementType: SettlementType;
        Si0Field: Si0Field;
        Si0LookupTypeId: Si0LookupTypeId;
        Si0Path: Si0Path;
        Si0Type: Si0Type;
        Si0TypeDef: Si0TypeDef;
        Si0TypeDefArray: Si0TypeDefArray;
        Si0TypeDefBitSequence: Si0TypeDefBitSequence;
        Si0TypeDefCompact: Si0TypeDefCompact;
        Si0TypeDefComposite: Si0TypeDefComposite;
        Si0TypeDefPhantom: Si0TypeDefPhantom;
        Si0TypeDefPrimitive: Si0TypeDefPrimitive;
        Si0TypeDefSequence: Si0TypeDefSequence;
        Si0TypeDefTuple: Si0TypeDefTuple;
        Si0TypeDefVariant: Si0TypeDefVariant;
        Si0TypeParameter: Si0TypeParameter;
        Si0Variant: Si0Variant;
        SiField: SiField;
        Signatory: Signatory;
        Signature: Signature;
        SignedAvailabilityBitfield: SignedAvailabilityBitfield;
        SignedAvailabilityBitfields: SignedAvailabilityBitfields;
        SignedBlock: SignedBlock;
        SignedBlockWithJustification: SignedBlockWithJustification;
        SignedBlockWithJustifications: SignedBlockWithJustifications;
        SignedExtensionMetadataLatest: SignedExtensionMetadataLatest;
        SignedExtensionMetadataV14: SignedExtensionMetadataV14;
        SignerPayload: SignerPayload;
        SigningContext: SigningContext;
        SiLookupTypeId: SiLookupTypeId;
        SiPath: SiPath;
        SiType: SiType;
        SiTypeDef: SiTypeDef;
        SiTypeDefArray: SiTypeDefArray;
        SiTypeDefBitSequence: SiTypeDefBitSequence;
        SiTypeDefCompact: SiTypeDefCompact;
        SiTypeDefComposite: SiTypeDefComposite;
        SiTypeDefPrimitive: SiTypeDefPrimitive;
        SiTypeDefSequence: SiTypeDefSequence;
        SiTypeDefTuple: SiTypeDefTuple;
        SiTypeDefVariant: SiTypeDefVariant;
        SiTypeParameter: SiTypeParameter;
        SiVariant: SiVariant;
        SkippedCount: SkippedCount;
        SlashingSwitch: SlashingSwitch;
        Slot: Slot;
        SlotNumber: SlotNumber;
        SlotRange: SlotRange;
        SmartExtension: SmartExtension;
        SmartExtensionName: SmartExtensionName;
        SmartExtensionType: SmartExtensionType;
        SnapshotId: SnapshotId;
        SnapshotMetadata: SnapshotMetadata;
        SnapshotResult: SnapshotResult;
        SnapshottedPip: SnapshottedPip;
        SocietyJudgement: SocietyJudgement;
        SocietyVote: SocietyVote;
        Sr25519Signature: Sr25519Signature;
        Statement: Statement;
        StatementKind: StatementKind;
        StorageChangeSet: StorageChangeSet;
        StorageData: StorageData;
        StorageEntryMetadataLatest: StorageEntryMetadataLatest;
        StorageEntryMetadataV10: StorageEntryMetadataV10;
        StorageEntryMetadataV11: StorageEntryMetadataV11;
        StorageEntryMetadataV12: StorageEntryMetadataV12;
        StorageEntryMetadataV13: StorageEntryMetadataV13;
        StorageEntryMetadataV14: StorageEntryMetadataV14;
        StorageEntryMetadataV9: StorageEntryMetadataV9;
        StorageEntryModifierLatest: StorageEntryModifierLatest;
        StorageEntryModifierV10: StorageEntryModifierV10;
        StorageEntryModifierV11: StorageEntryModifierV11;
        StorageEntryModifierV12: StorageEntryModifierV12;
        StorageEntryModifierV13: StorageEntryModifierV13;
        StorageEntryModifierV14: StorageEntryModifierV14;
        StorageEntryModifierV9: StorageEntryModifierV9;
        StorageEntryTypeLatest: StorageEntryTypeLatest;
        StorageEntryTypeV10: StorageEntryTypeV10;
        StorageEntryTypeV11: StorageEntryTypeV11;
        StorageEntryTypeV12: StorageEntryTypeV12;
        StorageEntryTypeV13: StorageEntryTypeV13;
        StorageEntryTypeV14: StorageEntryTypeV14;
        StorageEntryTypeV9: StorageEntryTypeV9;
        StorageHasher: StorageHasher;
        StorageHasherV10: StorageHasherV10;
        StorageHasherV11: StorageHasherV11;
        StorageHasherV12: StorageHasherV12;
        StorageHasherV13: StorageHasherV13;
        StorageHasherV14: StorageHasherV14;
        StorageHasherV9: StorageHasherV9;
        StorageKey: StorageKey;
        StorageKind: StorageKind;
        StorageMetadataLatest: StorageMetadataLatest;
        StorageMetadataV10: StorageMetadataV10;
        StorageMetadataV11: StorageMetadataV11;
        StorageMetadataV12: StorageMetadataV12;
        StorageMetadataV13: StorageMetadataV13;
        StorageMetadataV9: StorageMetadataV9;
        StorageProof: StorageProof;
        StoredPendingChange: StoredPendingChange;
        StoredSchedule: StoredSchedule;
        StoredState: StoredState;
        StrikeCount: StrikeCount;
        SubId: SubId;
        Subsidy: Subsidy;
        SyncState: SyncState;
        SystemInherentData: SystemInherentData;
        SystemOrigin: SystemOrigin;
        Tally: Tally;
        TargetIdAuthorization: TargetIdAuthorization;
        TargetIdentities: TargetIdentities;
        TargetIdentity: TargetIdentity;
        TargetTreatment: TargetTreatment;
        TaskAddress: TaskAddress;
        TAssetBalance: TAssetBalance;
        TAssetDepositBalance: TAssetDepositBalance;
        Tax: Tax;
        TemplateDetails: TemplateDetails;
        TemplateMetadata: TemplateMetadata;
        Text: Text;
        Ticker: Ticker;
        TickerRegistration: TickerRegistration;
        TickerRegistrationConfig: TickerRegistrationConfig;
        Timepoint: Timepoint;
        TokenError: TokenError;
        TombstoneContractInfo: TombstoneContractInfo;
        TraceBlockResponse: TraceBlockResponse;
        TraceError: TraceError;
        TransactionInfo: TransactionInfo;
        TransactionPriority: TransactionPriority;
        TransactionStorageProof: TransactionStorageProof;
        TransactionValidityError: TransactionValidityError;
        TransferManager: TransferManager;
        TransferManagerResult: TransferManagerResult;
        TransientValidationData: TransientValidationData;
        TreasuryProposal: TreasuryProposal;
        TrieId: TrieId;
        TrieIndex: TrieIndex;
        TrustedFor: TrustedFor;
        TrustedIssuer: TrustedIssuer;
        Type: Type;
        u128: u128;
        U128: U128;
        u16: u16;
        U16: U16;
        u256: u256;
        U256: U256;
        u32: u32;
        U32: U32;
        U32F32: U32F32;
        u64: u64;
        U64: U64;
        u8: u8;
        U8: U8;
        UncleEntryItem: UncleEntryItem;
        UniqueCall: UniqueCall;
        UnknownTransaction: UnknownTransaction;
        UpwardMessage: UpwardMessage;
        Url: Url;
        usize: usize;
        USize: USize;
        ValidationCode: ValidationCode;
        ValidationCodeHash: ValidationCodeHash;
        ValidationData: ValidationData;
        ValidationDataType: ValidationDataType;
        ValidationFunctionParams: ValidationFunctionParams;
        ValidatorCount: ValidatorCount;
        ValidatorId: ValidatorId;
        ValidatorIdOf: ValidatorIdOf;
        ValidatorSetId: ValidatorSetId;
        ValidatorSignature: ValidatorSignature;
        ValidDisputeStatementKind: ValidDisputeStatementKind;
        ValidityAttestation: ValidityAttestation;
        VecInboundHrmpMessage: VecInboundHrmpMessage;
        Venue: Venue;
        VenueDetails: VenueDetails;
        VenueId: VenueId;
        VenueType: VenueType;
        Version: Version;
        VersionedMultiAsset: VersionedMultiAsset;
        VersionedMultiLocation: VersionedMultiLocation;
        VersionedXcm: VersionedXcm;
        VestingInfo: VestingInfo;
        VestingSchedule: VestingSchedule;
        Vote: Vote;
        VoteByPip: VoteByPip;
        VoteCount: VoteCount;
        VoteCountProposalFound: VoteCountProposalFound;
        VoteIndex: VoteIndex;
        VoterInfo: VoterInfo;
        Votes: Votes;
        VotesTo230: VotesTo230;
        VoteThreshold: VoteThreshold;
        Voting: Voting;
        VotingDelegating: VotingDelegating;
        VotingDirect: VotingDirect;
        VotingDirectVote: VotingDirectVote;
        VotingResult: VotingResult;
        VouchingStatus: VouchingStatus;
        VrfData: VrfData;
        VrfOutput: VrfOutput;
        VrfProof: VrfProof;
        Weight: Weight;
        WeightMultiplier: WeightMultiplier;
        WeightPerClass: WeightPerClass;
        WeightToFeeCoefficient: WeightToFeeCoefficient;
        WinnersData: WinnersData;
        WinnersDataTuple: WinnersDataTuple;
        WinningData: WinningData;
        WinningDataEntry: WinningDataEntry;
        WithdrawReasons: WithdrawReasons;
        Xcm: Xcm;
        XcmAssetEffects: XcmAssetEffects;
        XcmError: XcmError;
        XcmHrmpChannelAccepted: XcmHrmpChannelAccepted;
        XcmHrmpChannelClosing: XcmHrmpChannelClosing;
        XcmHrmpNewChannelOpenRequest: XcmHrmpNewChannelOpenRequest;
        XcmOrder: XcmOrder;
        XcmOrderBuyExecution: XcmOrderBuyExecution;
        XcmOrderDepositAsset: XcmOrderDepositAsset;
        XcmOrderDepositReserveAsset: XcmOrderDepositReserveAsset;
        XcmOrderExchangeAsset: XcmOrderExchangeAsset;
        XcmOrderInitiateReserveWithdraw: XcmOrderInitiateReserveWithdraw;
        XcmOrderInitiateTeleport: XcmOrderInitiateTeleport;
        XcmOrderQueryHolding: XcmOrderQueryHolding;
        XcmOrigin: XcmOrigin;
        XcmOriginKind: XcmOriginKind;
        XcmpMessageFormat: XcmpMessageFormat;
        XcmQueryResponse: XcmQueryResponse;
        XcmRelayedFrom: XcmRelayedFrom;
        XcmReserveAssetDeposit: XcmReserveAssetDeposit;
        XcmResponse: XcmResponse;
        XcmTeleportAsset: XcmTeleportAsset;
        XcmTransact: XcmTransact;
        XcmTransferAsset: XcmTransferAsset;
        XcmTransferReserveAsset: XcmTransferReserveAsset;
        XcmWithdrawAsset: XcmWithdrawAsset;
        ZkProofData: ZkProofData;
    }
}
//# sourceMappingURL=augment-types.d.ts.map